2015-12-21  Freddie Chopin  <freddie.chopin@gmail.com>

	* libc/stdlib/__atexit.c (__register_exitproc): Fix for
	_ATEXIT_DYNAMIC_ALLOC.

2015-12-21  Freddie Chopin  <freddie.chopin@gmail.com>

	* libc/stdlib/on_exit_args.{c,h}: New files.
	* libc/stdlib/Makefile.am: Add new source file.
	* libc/stdlib/Makefile.in: Regenerate.
	* libc/stdlib/__atexit.c (__register_exitproc): Initialize
	_on_exit_args_ptr field of _GLOBAL_ATEXIT on first run.
	* libc/stdlib/on_exit.c: Force linking of static instance of
	_on_exit_args.
	* libc/stdlib/cxa_atexit.c: Likewise.

2015-12-17  Anton Kolesov  <Anton.Kolesov@synopsys.com>

	* libc/machine/arc/asm.h: Define new GCC definition for old compiler.
	* libc/machine/arc/memcmp-bs-norm.S: Use new GCC defines to detect
	processor features.
	* libc/machine/arc/memcmp.S: Likewise.
	* libc/machine/arc/memcpy-archs.S: Likewise.
	* libc/machine/arc/memcpy-bs.S: Likewise.
	* libc/machine/arc/memcpy.S: Likewise.	* libc/machine/arc/memset-archs.S: Likewise.
	* libc/machine/arc/memset-archs.S: Likewise.
	* libc/machine/arc/memset-bs.S: Likewise.
	* libc/machine/arc/memset.S: Likewise.
	* libc/machine/arc/setjmp.S: Likewise.
	* libc/machine/arc/strchr-bs-norm.S: Likewise.
	* libc/machine/arc/strchr-bs.S: Likewise.
	* libc/machine/arc/strchr.S: Likewise.
	* libc/machine/arc/strcmp-archs.S: Likewise.
	* libc/machine/arc/strcmp.S: Likewise.
	* libc/machine/arc/strcpy-bs-arc600.S: Likewise.
	* libc/machine/arc/strcpy-bs.S: Likewise.
	* libc/machine/arc/strcpy.S: Likewise.
	* libc/machine/arc/strlen-bs-norm.S: Likewise.
	* libc/machine/arc/strlen-bs.S: Likewise.
	* libc/machine/arc/strlen.S: Likewise.
	* libc/machine/arc/strncpy-bs.S: Likewise.
	* libc/machine/arc/strncpy.S: Likewise.

2015-12-17  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/types.h: Remove including <sys/select.h>.

2015-12-14  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/reent.h (_REENT_INIT_PTR_ZEROED): New.
	(_REENT_INIT_PTR): Define only once and use _REENT_INIT_PTR_ZEROED().

2015-12-14  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/_sigset.h: New.
	* libc/include/sys/select.h: Do not include <sys/types.h> and
	<sys/time.h> to avoid cyclic header file dependencies.  Include
	specialized header files instead.
	(sigset_t): Conditionally define.
	* libc/include/sys/signal.h (sigset_t): Likewise.
	* libc/include/sys/time.h: Include <sys/select.h> if
	__BSD_VISIBLE.
	* libc/include/sys/types.h: Likewise.

2015-12-12  Freddie Chopin  <freddie.chopin@gmail.com>

	* libc/stdlib/__atexit.c (__register_exitproc): Always release
	lock before return.

2015-12-09  Thomas Preud'homme  <thomas.preudhomme@arm.com>

	* libm/machine/arm/s_ceil.c: Also check that 64bit FP instructions are
	available in the guard.
	* libm/machine/arm/s_floor.c: Likewise.
	* libm/machine/arm/s_nearbyint.c: Likewise.
	* libm/machine/arm/s_rint.c: Likewise.
	* libm/machine/arm/s_round.c: Likewise.
	* libm/machine/arm/s_trunc.c: Likewise.

2015-12-08  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/fclose.c (_fclose_r): Make _flockfile/_funlockfile calls
	dependent on __SNLK flag.
	* libc/stdio/findfp.c (__fp_lock): Ditto.
	(__fp_unlock): Ditto.
	* libc/stdio/freopen.c (_freopen_r): Ditto.
	* libc/stdio64/freopen64.c (_freopen64_r): Ditto.

2015-12-08  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/freopen.c (_freopen_r): Only reset __SWID bit per SUSv4.
	* libc/stdio64/freopen64.c (_freopen64_r): Add missing resetting of
	flag values and _mbstate.

2015-12-07  Nick Withers  <nick.withers@anu.edu.au>

	* libc/sys/arm/sys/param.h (NBBY): Define if not already defined.
	* libc/sys/rtems/include/sys/param.h (NBBY): Define.

2015-12-07  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/types.h: Move definitions of NBBY and howmany to
	sys/param.h.  Move definitions of select(2) macros to sys/select.h.
	* libc/include/sys/param.h: See above.
	* libc/include/sys/select.h: Move Cygwin's sys/select.h here.

2015-11-26  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/strtodg.c: Add ifdef to check _HAVE_LONG_DOUBLE and
	_LDBL_EQ_DBL.

2015-11-24  Steve Ellcey  <sellcey@imgtec.com>

	* libc/stdlib/strtorx.c: Fix ifdef to check _LDBL_EQ_DBL.

2015-11-23  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/machine/arm/strlen-stub.c: Adjust strlen-armv7.S selection logic.
	* libc/machine/arm/strlen.S: Likewise.

2015-11-23  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/machine/arm/strlen-stub.c: Move T2 -O2 implementation to...
	* libc/machine/arm/strlen-thumb2-Os.S: New file.
	* libc/machine/arm/strlen.S: Include strlen-thumb2-Os.S.

2015-11-21  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/strtodg.c: Define USE_LOCALE.
	(_strtodg_r): Handle multibyte decimal point.

2015-11-20  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/Makefile.am (GENERAL_SOURCES): Add strtodg.c and
	strtorx.c.
	* libc/stdlib/Makefile.in: Regenerate.
	* libc/stdlib/strtodg.c: New file implementing generic string to long
	double conversion.
	* libc/stdlib/strtorx.c: New file, implementing IEEE format string to
	long double conversion.
	* libc/stdlib/mprec.h (_strtodg_r): Declare.
	(_strtorx_r): Declare.
	* libc/stdlib/gdtoa.h (__UShort): Define.
	* libc/stdlib/strtold.c (__flt_rounds): Define for i386 and x86_64
	target.
	(FLT_ROUNDS): Define, as 0 on platforms missing a __flt_rounds
	function.
	(_strtold_r): Converted from strtold.  Call _strtorx_r on targets
	supporting distinct long doubles.
	(strtold): Just call _strtold_r.
	* libc/include/stdlib.h (_strtold_r): Declare.
	* libc/stdlib/ldtoa.c (_strtold): Comment out.  Explain why.
	* libc/stdio/vfscanf.c (__SVFSCANF_R): Call _strtold_r instead of
	_strtold.
	* libc/machine/powerpc/vfscanf.c (__svfscanf_r): Ditto.

2015-11-20  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/strtod.c (match): Move from here...
	* libc/stdlib/gdtoa-hexnan.c (match): ...to here.
	* libc/stdlib/mprec.h (match): Declare and add __match define.

2015-11-20  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/wcstold.c (_strtold): Drop unused declaration.

2015-11-19  Yaakov Selkowitz  <yselkowi@redhat.com>

	* libc/stdlib/stdlib.tex: Fix typo in rpmatch reference.

2015-11-19  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/ldtoa.c: Convert to GNU style so as not to get crazy
	reading the code.

2015-11-19  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/rpmatch.c: Include sys/types.h to make GCC happy.

2015-11-12  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/stdio/sprintf.c: Simplify documentation markup.
	* libc/stdio/swprintf.c: Ditto.

2015-11-12  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/stdio/sscanf.c: Improve documentation markup.
	* libc/stdio/swscanf.c: Ditto.

2015-11-17  Yaakov Selkowitz  <yselkowi@redhat.com>

	* libc/include/stdlib.h (rpmatch): Declare.
	* libc/stdlib/Makefile.am (ELIX_4_SOURCES): Add rpmatch.c.
	(CHEWOUT_FILES): Add rpmatch.def.
	* libc/stdlib/Makefile.in: Regenerate.
	* libc/stdlib/rpmatch.c: New file.
	* libc/stdlib/stdlib.tex: Add references to rpmatch.

2015-11-13  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/machine/arm/strlen-stub.c: Move T1 -O2 implementation to...
	* libc/machine/arm/strlen-thumb1-Os.S: New file.
	* libc/machine/arm/strlen.S: Include strlen-thumb1-Os.S.

2015-11-13  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/machine/arm/Makefile.am: Adding strlen.S.
	* libc/machine/arm/Makefile.in: Regenerate.
	* libc/machine/arm/strlen.S: New.
	* libc/machine/arm/strlen-stub.c: Rewrite #if condition.
	* libc/machine/arm/strlen-armv7.S: Remove surrounding #if.

2015-11-13  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/machine/arm/Makefile.am: Rename strlen.c to strlen-stub.c
	* libc/machine/arm/Makefile.in: Regenerate.
	* libc/machine/arm/strlen.c: Rename to...
	* libc/machine/arm/strlen-stub.c: ... this.

2015-11-13  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/machine/arm/Makefile.am: Drop STRLEN_SRC and STRLEN_OBJ.
	Adding strlen.c.
	* libc/machine/arm/configure.in (HAVE_THUMB1, OPT_SIZE): Remove.
	* libc/machine/arm/strlen.c: Include ../../string/strlen.c.
	* libc/machine/arm/configure: Regenerate.
	* libc/machine/arm/Makefile.in: Regenerate.

2015-11-13  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/machine/arm/strlen.c: Refactor nested #if.

2015-11-12  Anton Kolesov  <Anton.Kolesov@synopsys.com>

	* configure.host: Add ARC support.
	* libc/include/machine/setjmp.h: Likewise.
	* libc/machine/configure: Likewise.
	* libc/machine/configure.in: Likewise.
	* libc/machine/arc/Makefile.am: Likewise.
	* libc/machine/arc/Makefile.in: Likewise.
	* libc/machine/arc/aclocal.m4: Likewise.
	* libc/machine/arc/asm.h: Likewise.
	* libc/machine/arc/configure: Likewise.
	* libc/machine/arc/configure.in: Likewise.
	* libc/machine/arc/memcmp-bs-norm.S: Likewise.
	* libc/machine/arc/memcmp-stub.c: Likewise.
	* libc/machine/arc/memcmp.S: Likewise.
	* libc/machine/arc/memcpy-archs.S: Likewise.
	* libc/machine/arc/memcpy-bs.S: Likewise.
	* libc/machine/arc/memcpy-stub.c: Likewise.
	* libc/machine/arc/memcpy.S: Likewise.
	* libc/machine/arc/memset-archs.S: Likewise.
	* libc/machine/arc/memset-bs.S: Likewise.
	* libc/machine/arc/memset-stub.c: Likewise.
	* libc/machine/arc/memset.S: Likewise.
	* libc/machine/arc/setjmp.S: Likewise.
	* libc/machine/arc/strchr-bs-norm.S: Likewise.
	* libc/machine/arc/strchr-bs.S: Likewise.
	* libc/machine/arc/strchr-stub.c: Likewise.
	* libc/machine/arc/strchr.S: Likewise.
	* libc/machine/arc/strcmp-archs.S: Likewise.
	* libc/machine/arc/strcmp-stub.c: Likewise.
	* libc/machine/arc/strcmp.S: Likewise.
	* libc/machine/arc/strcpy-bs-arc600.S: Likewise.
	* libc/machine/arc/strcpy-bs.S: Likewise.
	* libc/machine/arc/strcpy-stub.c: Likewise.
	* libc/machine/arc/strcpy.S: Likewise.
	* libc/machine/arc/strlen-bs-norm.S: Likewise.
	* libc/machine/arc/strlen-bs.S: Likewise.
	* libc/machine/arc/strlen-stub.c: Likewise.
	* libc/machine/arc/strlen.S: Likewise.
	* libc/machine/arc/strncpy-bs.S: Likewise.
	* libc/machine/arc/strncpy-stub.c: Likewise.
	* libc/machine/arc/strncpy.S: Likewise.

2015-11-12  Anton Kolesov  <Anton.Kolesov@synopsys.com>

	* configure.host: Remove ARC system.
	* libc/sys/configure: Likewise.
	* libc/sys/configure.in: Likewise.
	* libc/sys/arc/Makefile.am: Likewise.
	* libc/sys/arc/Makefile.in: Likewise.
	* libc/sys/arc/aclocal.m4: Likewise.
	* libc/sys/arc/configure: Likewise.
	* libc/sys/arc/configure.in: Likewise.
	* libc/sys/arc/crt0.S: Likewise.
	* libc/sys/arc/dummy.S: Likewise.
	* libc/sys/arc/isatty.c: Likewise.
	* libc/sys/arc/mem-layout.c: Likewise.
	* libc/sys/arc/sbrk.c: Likewise.
	* libc/sys/arc/sys/syscall.h: Likewise.
	* libc/sys/arc/syscalls.c: Likewise.

2015-11-12  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* testsuite/lib/flags.exp (libgloss_link_flags): Drop multilibtop
	from target_build_path.

2015-11-06  Jon Turney  <jon.turney@dronecode.org.uk>

	* doc/makedoc.c (iscommand): Only allow commands to have trailing
	spaces, not space separated words.

2015-11-06  Jon Turney  <jon.turney@dronecode.org.uk>

	* libm/mathfp/s_acos.c: Fix QUICKREF.
	* libm/mathfp/e_acosh.c: Ditto.
	* libm/math/w_asin.c: Ditto.
	* libm/mathfp/e_acosh.c: Ditto.
	* libm/mathfp/s_acos.c: Ditto.

2015-11-06  Jon Turney  <jon.turney@dronecode.org.uk>

	* doc/doc.str: Fix INTERNAL_DEFINITION, INTERNAL_FUNCTION and
	INTERNAL.

2015-11-12  Wilco Dijkstra  <wdijkstr@arm.com>

	* newlib/libc/machine/aarch64/memcpy.S (memcpy): Further tuning for
	performance.

2015-11-12  Joseph Myers  <joseph@codesourcery.com>

	* libc/machine/arm/strcmp-arm-tiny.S: Use .cfi_sections
	.debug_frame.
	* libc/machine/arm/strcmp-armv4.S: Likewise.
	* libc/machine/arm/strcmp-armv4t.S: Likewise.
	* libc/machine/arm/strcmp-armv6.S: Likewise.
	* libc/machine/arm/strcmp-armv6m.S: Likewise.
	* libc/machine/arm/strcmp-armv7.S: Likewise.
	* libc/machine/arm/strcmp-armv7m.S: Likewise.

2015-11-06  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/machine/arm/Makefile.am: Drop MEMCHR_SRC and MEMCHR_OBJ.
	* libc/machine/arm/Makefile.in: Regenerate.
	* libc/machine/arm/memchr-stub.c: New.
	* libc/machine/arm/memchr.S: Adjust comments.  Include memchr.c and
	acle-compat.h.  Make .arch directive architecture dependent.
	* libc/machine/arm/configure.in (HAVE_ARMV7): Remove.
	* libc/machine/arm/configure: Regenerate.

2015-11-06  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/machine/arm/Makefile.am: Drop MEMCPY_SRC and MEMCPY_OBJ.
	* libc/machine/arm/Makefile.in: Regenerate.
	* libc/machine/arm/configure.in: Remove HAVE_ARMV8A, HAVE_ARMV7A and
	HAVE_ARM7M.
	* libc/machine/arm/configure: Regenerate.
	* libc/machine/arm/memcpy-stub.c: New.
	* libc/machine/arm/memcpy.c: Adjust copyright year.  Adjust comments.
	Include acle-compat.h.

2015-11-06  Olivier Martin  <olivier@labapart.com>

	* libc/include/stdlib.h (mktemp): Change attribute to deprecated.
	(_mktemp_r): Ditto.

2015-11-03  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/machine/arm/configure.in: Check for __ARM_ARCH_8A__.
	* libc/machine/arm/memcpy.S: Handle __ARM_ARCH_8A__.
	* libc/machine/arm/Makefile.am: Consider HAVE_ARMV8A in memcpy
	selection.
	* libc/machine/arm/Makefile.in: Regenerate.
	* libc/machine/arm/configure: Regenerate.

2015-11-02  Jon Turney  <jon.turney@dronecode.org.uk>

	* HOWTO: Update.
	* Makefile.shared: Move documentation rules to here...
	* libc/argz/Makefile.am: ... from here ...
	* libc/ctype/Makefile.am: ... and here.
	* libc/errno/Makefile.am: Ditto.
	* libc/iconv/Makefile.am: Ditto.
	* libc/iconv/ccs/Makefile.am : Ditto.
	* libc/iconv/ces/Makefile.am: Ditto.
	* libc/iconv/lib/Makefile.am: Ditto.
	* libc/locale/Makefile.am: Ditto.
	* libc/misc/Makefile.am: Ditto.
	* libc/posix/Makefile.am: Ditto.
	* libc/reent/Makefile.am: Ditto.
	* libc/search/Makefile.am: Ditto.
	* libc/stdio/Makefile.am: Ditto.
	* libc/stdio64/Makefile.am: Ditto.
	* libc/stdlib/Makefile.am : Ditto.
	* libc/string/Makefile.am: Ditto.
	* libc/syscalls/Makefile.am: Ditto.
	* libc/time/Makefile.am : Ditto.
	* libc/unix/Makefile.am: Ditto.
	* libc/xdr/Makefile.am: Ditto.
	* libm/common/Makefile.am: Ditto.
	* libm/complex/Makefile.am: Ditto.
	* libm/math/Makefile.am: Ditto.
	* libm/mathfp/Makefile.am: Ditto.

2015-11-02  Jon Turney  <jon.turney@dronecode.org.uk>

        * libc/time/wcsftime.c: Consistently use an em-dash in FUNCTION
summary.
        * libm/common/isgreater.c: Ditto.
        * libm/common/s_fdim.c: Ditto.
        * libm/common/s_fma.c: Ditto.
        * libm/common/s_fmax.c: Ditto.
        * libm/common/s_fmin.c: Ditto.
        * libm/common/s_infinity.c: Ditto.
        * libm/common/s_isnan.c: Ditto.
        * libm/common/s_log2.c: Ditto.
        * libm/common/s_logb.c: Ditto.
        * libm/common/s_lrint.c: Ditto.
        * libm/common/s_lround.c: Ditto.
        * libm/common/s_nearbyint.c: Ditto.
        * libm/common/s_remquo.c: Ditto.
        * libm/common/s_rint.c: Ditto.
        * libm/common/s_round.c: Ditto.
        * libm/common/s_scalbn.c: Ditto.
        * libm/common/s_signbit.c: Ditto.
        * libm/common/s_trunc.c: Ditto.
        * libm/math/w_exp2.c: Ditto.
        * libm/math/w_gamma.c: Ditto.

2015-11-02  Jon Turney  <jon.turney@dronecode.org.uk>

        * libc/stdio/fseek.c: Add missing semicolons to prototypes in
        SYNOPSIS.
        * libc/stdio/fwide.c: Ditto.
        * libc/stdio64/fseeko64.c: Ditto.
        * libc/string/strtok.c: Ditto.
        * libc/string/wcstok.c: Ditto.
        * libm/math/w_cosh.c: Ditto.
        * libm/math/w_fmod.c:  Ditto.
        * libm/mathfp/s_cosh.c: Ditto.
        * libm/mathfp/s_fmod.c: Ditto.

2015-11-02  Steve Ellcey  <sellcey@imgtec.com>

	* libc/machine/mips/memcpy.S (memcpy): Add word copies for small
	aligned data.

2015-10-30  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/pthread.h: Include <sched.h> instead of <sys/sched.h>.

2015-10-26  Brian Inglis  <Brian.Inglis@SystematicSw.ab.ca>

	* libc/time/strftime.c (__strftime): add support for %s (seconds from
	Unix epoch).  Fix whitespaces.

2015-10-19  Nick Clifton  <nickc@redhat.com>

	* libc/include/sys/_intsup.h: Add support for 16-bit and 20-bit
	pointers.

2015-10-14  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/stdlib/Makefile.am (GENERAL_SOURCES): Add alloc_aligned.c.c.
	* libc/stdlib/Makefile.in: Regenerate.
	* libc/stdlib/aligned_alloc.c: New.

2015-10-14  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/stdlib.h (alloc_aligned): Declare.

2015-10-14  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/stdlib.h (at_quick_exit): Declare.
	(quick_exit): Likewise.
	* libc/stdlib/Makefile.am (GENERAL_SOURCES): Add
	quick_exit.c.
	* libc/stdlib/Makefile.in: Regenerate.
	* libc/stdlib/quick_exit.c: New.

2015-10-13  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/threads.h: New.
	* libc/sys/rtems/include/machine/_threads.h: Likewise.

2015-10-13  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/cdefs.h: Synchronize with latest FreeBSD
	version.

2015-10-13  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/cdefs.h: Add style changes of latest FreeBSD
	version.

2015-10-08  Nick Clifton  <nickc@redhat.com>

	* libc/include/machine/setjmp.h (_JBLEN): Define for IA64.

2015-09-22  James Bowman  <james.bowman@ftdichip.com>

	* configure.host (ft32): minimise newlib code size

2015-09-04  James Bowman  <james.bowman@ftdichip.com>

	* configure.host: Add ft32 support.
	* libc/include/machine/ieeefp.h: Ditto.
	* libc/include/machine/setjmp.h: Ditto.
	* libc/machine/configure.in: Ditto.
	* libc/machine/configure: Ditto.
	* libc/machine/ft32/Makefile.am: New file.
	* libc/machine/ft32/Makefile.in: Ditto.
	* libc/machine/ft32/aclocal.m4: Ditto.
	* libc/machine/ft32/configure.in: Ditto.
	* libc/machine/ft32/configure: Ditto.
	* libc/machine/ft32/memcpy.S: Ditto.
	* libc/machine/ft32/memset.S: Ditto.
	* libc/machine/ft32/setjmp.S: Ditto.
	* libc/machine/ft32/stpcmp.S: Ditto.
	* libc/machine/ft32/strcmp.S: Ditto.
	* libc/machine/ft32/strcpy.S: Ditto.
	* libc/machine/ft32/strlen.S: Ditto.

2015-09-03  Hans-Peter Nilsson  <hp@axis.com>

	* libc/machine/cris/sys/signal.h (kill): Declare.

2015-08-29  Corinna Vinschen  <corinna@vinschen.de>

	* include/sys/unistd.h (_SC_LEVEL*): Add cache-related variables as
	on Linux.

2015-08-27  Markus Eisenmann  <meisenmann.lba@fh-salzburg.ac.at>

	* libc/machine/arm/strlen-armv7.S: Fix prepocessor check to avoid
	double definition of strlen.

2015-08-27  Andre Vieira  <andre.simoesdiasvieira@arm.com>

	* libc/include/sys/_intsup.h: Defined new __INTxx, __FASTxx and
	__LEASTxx macro's to hold information regarding the respective types
	print and scan formats.
	* libc/include/inttypes.h: Defined LEAST and FAST specific PRI and SCN
	macro's as these are not always the same as the INT variants. Used the
	new __INTxx, __FASTxx and __LEASTxx macro's in their corresponding PRI
	and SCN macros.

2015-08-07  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* libc/sys/or1k/mlock.c: Fix exception enable saving

2015-08-03  Shoichi Sakon  <s-sakon@ap.jp.nec.com>

	* libc/stdio/vfwscanf.c (__SVFWSCANF_R): Convert wrong usage of va_arg
	to GET_ARG in %lc, %ls nad %l[] cases.  Fix unterminated string in %l[]
	case.

2015-07-30  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/include/sys/lock.h (__LOCK_INIT_RECURSIVE): Use
	proper type.

2015-07-30  Wilco Dijkstra  <wdijkstr@arm.com>

	* libc/machine/aarch64/memset.S (memset): Rewrite.

2015-07-28  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	libc/sys/rtems/machine/_types.h: Move to ...
	libc/sys/rtems/include/machine/_types.h: ... here.
	libc/sys/rtems/machine/limits.h: Move to ...
	libc/sys/rtems/include/machine/limits.h: ... here.
	libc/sys/rtems/machine/param.h: Move to ...
	libc/sys/rtems/include/machine/param.h: ... here.
	libc/sys/rtems/sys/cpuset.h: Move to ...
	libc/sys/rtems/include/sys/cpuset.h: ... here.
	libc/sys/rtems/sys/dirent.h: Move to ...
	libc/sys/rtems/include/sys/dirent.h: ... here.
	libc/sys/rtems/sys/param.h: Move to ...
	libc/sys/rtems/include/sys/param.h: ... here.
	libc/sys/rtems/sys/syslimits.h: Move to ...
	libc/sys/rtems/include/sys/syslimits.h: ... here.
	libc/sys/rtems/sys/utime.h: Move to ...
	libc/sys/rtems/include/sys/utime.h: ... here.

2015-07-28  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/include/sys/lock.h: New.

2015-07-21  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/machine/setjmp.h (siglongjmp): Declare as function on
	Cygwin.
	(sigsetjmp): Ditto.
	(_longjmp): Mark as noreturn function on Cygwin.

2015-07-15  Wilco Dijkstra  <wdijkstr@arm.com>

	* libc/machine/aarch64/memset.S (memset):
	Revert: Rewrite of optimized memset.

2015-07-13  Wilco Dijkstra  <wdijkstr@arm.com>

	* libc/machine/aarch64/memset.S (memset):
	Rewrite of optimized memset.

2015-07-13  Wilco Dijkstra  <wdijkstr@arm.com>

	* libc/machine/aarch64/memcpy.S (memcpy):
	Rewrite of optimized memcpy.

2015-07-13  Wilco Dijkstra  <wdijkstr@arm.com>

	* libc/machine/aarch64/memove.S (memmove):
	Rewrite of optimized memmove.

2015-07-06  Yaakov Selkowitz  <yselkowi@redhat.com>

	* libc/include/libgen.h (basename): Define as __xpg_basename
	for source compatibility with glibc.
	Declare with __ASMNAME("basename") for ABI compatibility.
	* libc/include/string.h (basename): Define as basename for
	source compatibility with glibc.
	Declare with __ASMNAME("__gnu_basename") for ABI compatibility.

2015-07-06  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/time.h: Explicitely include sys/cdefs.h.
	* libc/include/sys/types.h: Ditto.  Guard BSD convenience base types
	with __BSD_VISIBLE rather than !_POSIX_SOURCE.

2015-07-01  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/stdio/fputs.c (_puts_r): Add missing CHECK_INIT().
	* libc/stdio/gets.c (_gets_r): Add missing _REENT_SMALL_CHECK_INIT() and
	CHECK_INIT().  Use _stdin_r() to get the file pointer instead of stdin.

2015-06-29  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/ctype/Makefile.in: Regenerate.
	* libc/posix/Makefile.in: Ditto.
	* libc/stdio/Makefile.in: Ditto.
	* libc/stdio64/Makefile.in: Ditto.
	* libc/stdlib/Makefile.in: Ditto.
	* libc/string/Makefile.in: Ditto.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/ctype/Makefile.am (CHEWOUT_FILES): Add isblank.def.
	* libc/ctype/ctype.tex: Include isblank and add to menu.
	* libc/posix/Makefile.am (CHEWOUT_FILES): Add posix_spawn.def.
	* libc/posix/posix.tex: Include posix_spawn and add to menu.
	* libc/stdio64/Makefile.am (CHEWOUT_FILES): Add fdopen.def.
	* libc/stdio64/stdio64.tex: Include fdopen64 and add to menu.
	* libc/stdio64/fdopen64.c: Improve one-line description.
	* libc/string/Makefile.am (CHEWOUT_FILES): Add strchrnul.def.
	* libc/string/strings.tex: Include strchrnul and add to menu.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/stdlib/stdlib.tex: Include itoa and utoa, and add to menu.
	* libc/string/strings.tex: Include memrchr and rawmemchr, and add
	to menu.
	* libm/math/math.tex: Include exp10 and pow10, and add to menu.
	* libm/common/s_exp10.c: Improve one-line description.
	* libm/common/s_exp10.c: Ditto.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/stdlib/Makefile.am (CHEWOUT_FILES): Remove $(MALLOCR).def.
	* libc/stdio/Makefile.am (CHEWOUT_FILES): Remove getwc.def and
	putwc.def.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/locale/locale.c: Fix mismatched parentheses in
	documentation.
	* libc/locale/locale.tex: Ditto.
	* libc/stdio/fgetwc.c: Ditto.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/stdlib/efgcvt.c: Fix typo-ed function names in
	documentation.
	* libc/stdlib/stdlib.tex: Fix function name in menu to match.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/stdio/fread.c: Fix inconsistent use of '.' to separate
	function names in FUNCTION mark up.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/stdlib/llabs.c: Mark up parameter name in ANSI_SYNOPSIS.
	* libc/time/tzset.c: Add and mark up parameter in SYNOPSIS.
	* libm/common/s_nan.c: Ditto.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/stdio/getchar_u.c: Fix a non-ANSI prototype in SYNOPSIS.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/string/wcscpy.c: Remove stray ',' from prototype in
	ANSI_SYNOPSIS.
	* libc/string/wcpcpy.c: Ditto.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/stdlib/itoa.c: Fix makedoc markup.
	* libc/stdlib/wcsnrtombs.c: Ditto.

2015-06-23  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/signal/signal.tex: Use texinfo not makedoc markup.
	* libc/stdio/stdio.tex: Ditto.

2015-06-22  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/signal.h: Include forgotten sys/cdefs.h.

2015-06-20  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/signal.h: Move altstack macros completely
	outside of rtems block.

2015-06-19  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/signal.h: Define SS_ONSTACK and SS_DISABLE
	unconditionally.
	(sigaltstack): Enable prototype on Cygwin.

2015-06-15  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/time/gmtime_r.c (gmtime_r): use faster algorithm from
	civil_from_days() by Howard Hinnant

2015-06-01  Hale Wang  <hale.wang@arm.com>

	* libc/machine/arm/aeabi_memmove-arm.S (__aeabi_memmove): Update the
	assembler implementation.
	* libc/machine/arm/aeabi_memmove-thumb.S (__aeabi_memmove): Ditto.
	* libc/machine/arm/aeabi_memmove-thumb2.S (__aeabi_memmove): Ditto.
	* libc/machine/arm/aeabi_memset-arm.S (__aeabi_memset): Ditto.
	* libc/machine/arm/aeabi_memset-thumb.S (__aeabi_memset): Ditto.
	* libc/machine/arm/aeabi_memset-thumb2.S (__aeabi_memset): Ditto.

2015-06-01  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	* libm/machine/aarch64/e_sqrt.c: New file.
	* libm/machine/aarch64/ef_sqrt.c: New file.
	* libm/machine/aarch64/s_fabs.c: New file.
	* libm/machine/aarch64/sf_fabs.c: New file.
	* libm/machine/aarch64/Makefile.in: Add new source files.
	* libm/machine/aarch64/Makefile.am: Regenerate.

2015-05-31  David Stacey  <drstacey@tiscali.co.uk>

	* libc/argz/argz_replace.c (argz_replace): Correct behaviour when memory
	is exhausted.

2015-05-28  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/wait.h: Fix comment.

2015-05-27  David Stacey  <drstacey@tiscali.co.uk>

	* libc/argz/argz_replace.c: Fix potential memory leak.

2015-05-26  DJ Delorie  <dj@redhat.com>

	* libm/math/e_sqrt.c (__ieee754_sqrt): Don't truncate constant to
	"int".

2015-05-13  Nick Clifton  <nickc@redhat.com>

	* libm/common/s_signbit.c (__signbitf): Fix for 16-bit targets.
	(__signbitd): Likewise.

2015-05-02  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/time.h: Include sys/select.h on Cygwin.  Explain why.

2015-04-29  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/config.h: Move evaluation of _UINTPTR_EQ_ULONG and
	_UINTPTR_EQ_ULONGLONG from here...
	* libc/include/sys/_intsup.h: ...to here.  Rename to _INTPTR_EQ_LONG
	and _INTPTR_EQ_LONGLONG to refer to signed base type.  Add test for
	base type of int32_t and set _INT32_EQ_LONG accordingly.
	* libc/include/stdint.h: Change checks for __have_long32 to checks
	for _INT32_EQ_LONG.
	* libc/include/inttypes.h: Ditto.  Accommodate aforementioned name
	change.

2015-04-22  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/libgen.h (basename): Drop defining _BASENAME_DEFINED.
	Always define macro basename.  Add comment to explain why.
	* libc/include/string.h (basename): Check for basename instead of
	_BASENAME_DEFINED.  Drop __GNUC__ branch, always use basename macro.
	Change comment to explain why.  Add nonnull function attribute.

2015-04-09  Nick Clifton  <nickc@redhat.com>

	* libc/machine/rx/memchr.S: Add non-string insn using version.
	* libc/machine/rx/memcpy.S: Likewise.
	* libc/machine/rx/memmove.S: Likewise.
	* libc/machine/rx/mempcpy.S: Likewise.
	* libc/machine/rx/strcat.S: Likewise.
	* libc/machine/rx/strcmp.S: Likewise.
	* libc/machine/rx/strcpy.S: Likewise.
	* libc/machine/rx/strlen.S: Likewise.
	* libc/machine/rx/strncat.S: Likewise.
	* libc/machine/rx/strncmp.S: Likewise.
	* libc/machine/rx/strncpy.S: Likewise.

2015-04-01  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdint.h: Throughout add parens around MIN/MAX values.

2015-04-01  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/_stdint.h: New file.
	* libc/include/stdint.h (int8_t): Move to <sys/_stdint.h>.
	(uint8_t): Likewise.
	(int16_t): Likewise.
	(uint16_t): Likewise.
	(int32_t): Likewise.
	(uint32_t): Likewise.
	(int64_t): Likewise.
	(uint64_t): Likewise.
	(intptr_t): Likewise.
	(uintptr_t): Likewise.
	* libc/include/sys/types.h: Include <sys/_stdint.h>.
	* libc/sys/rtems/machine/_types.h: Remove <stdint.h> include.
	* libc/sys/time.h>: Replace __uint32_t with uint32_t and
	__uint64_t with uint64_t.

2015-04-01  Jon TURNEY  <jon.turney@dronecode.org.uk>

	* libc/include/sys/signal.h (stack_t): Make typedef generally
	available.

2015-04-01  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdlib/wctomb_r.c (__utf8_wctomb): Fix check for handling a
	lone high surrogate.

2015-03-31  Corinna Vinschen  <vinschen@redhat.com>

	* libc/time/lcltime_r.c (localtime_r): Call _tzset_unlocked inside
	TZ lock.
	* libc/time/mktime.c (mktime):  Ditto.
	* libc/time/strftime.c (strftime, wcsftime): Ditto.  Guard against
	calling _tzset_unlocked more than once (baring recursion).

2015-03-31  Corinna Vinschen  <vinschen@redhat.com>

	* libc/time/local.h (_tzset_unlocked_r): Add prototype.
	(_tzset_unlocked): Ditto.
	* libc/time/tzset.c (_tzset_unlocked): New function, call
	_tzset_unlocked_r.
	(tzset): Lock and call _tzset_unlocked_r.
	* libc/time/tzset_r (_tzset_unlocked_r): Remove locking and rename
	from _tzset_r.
	(_tzset_r): Lock and call _tzset_unlocked_r.

2015-03-30  Craig Howland  <howland@LGSInnovations.com>

	* libc/stdlib/setenv_r.c (_setenv_r): Remove tzset() call for TZ
	definition.
	* libc/time/lcltime_r.c (localtime_r): Add tzset() call
	* libc/time/mktime.c (mktime):  Ditto.
	* libc/time/strftime.c (strftime, wcsftime): Ditto.

2015-03-30  Yaakov Selkowitz  <yselkowi@redhat.com>

	* libc/time/strftime.c (strftime) <%Z>: Initialize tznam to NULL.
	Use _tzname as fallback if TM_ZONE is NULL.

2015-03-30  Yaakov Selkowitz  <yselkowi@redhat.com>

	* libc/include/libgen.h (_BASENAME_DEFINED): Define.
	* libc/include/string.h (basename): Declare.
	* libc/string/Makefile.am (ELIX_4_SOURCES): Add gnu_basename.c.
	* libc/string/Makefile.in: Regenerate.
	* libc/string/gnu_basename.c: New file.

2015-03-23  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/tree.h: New file.

2013-03-23  Joel Sherrill <joel.sherrill@oarcorp.com>

	* newlib.hin: Remove _UINTPTR_EQ_ULONG and _UINTPTR_EQ_ULONGLONG.

2015-03-23  Joel Sherrill <joel.sherrill@oarcorp.com

	* configure.in: Delete logic to determine _UINTPTR_EQ_ULONGLONG
	and _UINTPTR_EQ_ULONG at configuration time.
	*libc/include/sys/config.h: Add logic to determine
	_UINTPTR_EQ_ULONGLONG and _UINTPTR_EQ_ULONG at compilation time.
	* libc/include/inttypes.h: Add include of <sys/config.h>.
	* configure: Regenerated.

2015-03-19  Steve Ellcey  <sellcey@imgtec.com>

	* libc/include/sys/time.h: Replace uint32_t and uint64_t
	with __uint32_t and __uint64_t.

2015-03-13  Jon TURNEY  <jon.turney@dronecode.org.uk>

	* libc/libc.texinfo: Fix directory entry.
	* libm/libm.texinfo: Ditto.

2015-03-13  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/time.h: Drop including cygwin/sys_time.h on Cygwin.

2015-03-13  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/machine/_types.h (__suseconds_t): Define.
	* libc/include/sys/_timeval.h: Import from FreeBSD and add
	MinGW-w64 compatibility.
	(timerclear): Copy from FreeBSD <sys/time.h>.
	(timerisset): Likewise.
	(timercmp): Likewise.
	(timeradd): Likewise.
	(timersub): Likewise.
	* libc/include/sys/time.h: (bintime, ...) Import from FreeBSD.
	(timespecclear, ...): Likewise.
	(inittodr, ...): Likewise.
	(timerclear): Delete.
	(timerisset): Likewise.
	(timercmp): Likewise.
	(timeradd): Likewise.
	(timersub): Likewise.
	(futimes): Declare if __BSD_VISIBLE.
	(futimesat): Likewise.
	(lutimes): Likewise.
	(setitimer): Declare unconditionally.
	(gettimeofday): Declare if __XSI_VISIBLE.
	* libc/include/sys/types.h (sbintime_t): Define.
	(suseconds_t): Define conditionally via __suseconds_t.

2015-03-12  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/include/semaphore.h: Import from FreeBSD.

2015-03-11  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/_timespec.h: Import from FreeBSD.
	* libc/include/sys/timespec.h: Likewise.
	* libc/include/time.h: Include <sys/timespec.h>.
	* libc/include/sys/types.h (timespec): Delete.
	(itimerspec): Likewise.
	* libc/include/machine/time.h: Include <sys/_timespec.h>.
	* libc/include/sys/sched.h: Likewise.
	* libc/include/sys/signal.h: Likewise.
	* libc/include/sys/stat.h: Likewise.

2015-03-11  Nick Clifton  <nickc@redhat.com>

	* testsuite/newlib.stdio/swprintf.c (main): Change size of value
	used to initialise 'val' variable so that it will compile on
	targets with 32-bit doubles.

2015-03-05  Craig Howland  <howland@LGSInnovations.com>

	* libc/include/stdio.h (FILE): Protect typedef from redefinition.
	* libc/include/wchar.h: Ditto.

2015-02-25  Gedare Bloom  <gedare@rtems.org>

	* libc/include/machine/time.h (_CLOCKS_PER_SEC_): redefine for RTEMS.

2015-03-03  Steve Ellcey  <sellcey@imgtec.com>

	* libc/machine/mips/memset.S: Add support for mips32r6/mips64r6.

2015-03-03  Steve Ellcey  <sellcey@imgtec.com>

	* libc/machine/mips/memcpy.S: Add support for mips32r6/mips64r6.

2015-02-26  Steve Ellcey  <sellcey@imgtec.com>

	* libc/machine/mips/memcpy.S: Fix macro indentation and typos in
	comments.

2015-02-24  Jon TURNEY  <jon.turney@dronecode.org.uk>

	* libc/include/sys/cdefs.h (_GNU_SOURCE): Move check so it has an
	effect when _XOPEN_SOURCE is also defined.

2015-02-17  Hale Wang  <hale.wang@arm.com>

	* libc/machine/arm/aeabi_memclr.c: New file to support
	aeabi_memclr.
	* libc/machine/arm/aeabi_memset.c: New file to support
	aeabi_memset.
	* libc/machine/arm/aeabi_memset-soft.S: Ditto.
	* libc/machine/arm/aeabi_memset-arm.S: Ditto.
	* libc/machine/arm/aeabi_memset-thumb.S: Ditto.
	* libc/machine/arm/aeabi_memset-thumb2.S: Ditto.
	* libc/machine/arm/Makefile.am: Add dependencies.
	* libc/machine/arm/Makefile.in: Regenerated.

2015-02-17  Hale Wang  <hale.wang@arm.com>

	* libc/machine/arm/aeabi_memmove.c: New file to support
	aeabi_memmove.
	* libc/machine/arm/aeabi_memmove-soft.S: Ditto.
	* libc/machine/arm/aeabi_memmove-arm.S: Ditto.
	* libc/machine/arm/aeabi_memmove-thumb.S: Ditto.
	* libc/machine/arm/aeabi_memmove-thumb2.S: Ditto.
	* libc/machine/arm/Makefile.am: Add dependencies.
	* libc/machine/arm/Makefile.in: Regenerated.

2015-02-06  Nick Clifton  <nickc@redhat.com>

	* libc/include/complex.h (cabsl): Add prototype.
	(cimagl): Add prototype.
	(creall): Add prototype.
	* libc/include/ieeefp.h: Include float.h.
	(EXT_EXPBITS, EXT_FRACHBITS, EXT_FRACLBITS)
	(EXT_EXP_INFNAN. EXT_EXP_BIAS, EXT_FRACBITS): Define.
	(struct ieee_ext, union ieee_ext_u): New types for long double
	support.
	* libc/include/math.h (finitel): Add prototype.
	(hypotl): Add prototype.
	(sqrtl): Add prototype.
	* libm/common/Makefile.am (lsrc): Add sl_finite.c.
	* libm/common/Makefile.in: Regenerate.
	* libm/common/fdlibm.h (__ieee754_hypotl): Add prototype.
	* libm/common/hypotl.c (hypotl): Add implementation for when long
	double is larger than double.
	* libm/common/sqrtl.c (sqrtl): Likewise.
	* libm/common/sl_finite.c: New file.  Adds implementation of the
	finitel function.
	* libm/complex/Makefile.am (lsrc): Define.
	(libcomplex_la_SOURCES): Add lsrc.
	(lib_a_SOURCES): Add lsrc.
	* libm/complex/Makefile.in: Regenerate.
	* libm/complex/cabs.c: Add documentation of cabsl function.
	* libm/complex/cimag.c: Add documentation of cimagl function.
	* libm/complex/creall.c: Add documentation of creall function.
	* libm/complex/cabsl.c: New file.  Adds implementation of the
	cabsl function.
	* libm/complex/cimagl.c: New file.  Adds implementation of the
	cimagl function.
	* libm/complex/creall.c: New file.  Adds implementation of the
	creall function.
	* libm/math/Makefile.am (lsrc): Define.
	(libmath_la_SOURCES): Add lsrc.
	(lib_a_SOURCES): Add lsrc.
	* libm/math/Makefile.in: Regenerate.
	* libm/math/el_hypot.c: New file.  Adds implementation of the
	__ieee754_hypotl function.

2015-02-04  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/wchar.h (wcstold): Drop _LDBL_EQ_DBL requirement for
	declaration.

2015-01-29  Nick Clifton  <nickc@redhat.com>

	* libc/stdlib/wcstold.c (wcstold): Add implementation for when
	long double is not the same as double.

2015-01-28  Christian Eggers  <ceggers@gmx.de>

	* libc/include/sys/time.h: #include <sys/cdefs.h> for __BSD_VISIBLE.

2015-01-23  Corinna Vinschen  <vinschen@redhat.com>

	Complete action from 2001-12-18:
	* libc/machine/i386/f_*: Remove duplicate files.

2015-01-22  Yaakov Selkowitz  <yselkowi@redhat.com>

	* libc/sys/sparc64/sys/time.h: #include <sys/types.h> for time_t.

2015-01-22  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* libc/sys/or1k/mlock.c: Fix dependency on libgloss.

2015-01-21  Eric Botcazou  <ebotcazou@adacore.com>

	* configure.host: Add Visium support.
	* libc/machine/configure.in: Likewise.
	* libc/machine/configure: Regenerate.
	* libc/machine/visium/: New directory.
	* libc/include/machine/setjmp.h (_JBLEN): Define for Visium.
	* libc/include/machine/ieeefp.h (__IEEE_BIG_ENDIAN): Likewise.
	* libc/include/machine/time.h (_CLOCKS_PER_SEC_): Likewise.

2015-01-20  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* libc/sys/configure.in: Add OpenRISC.
	* libc/sys/configure: Regenerate.

2015-01-20  Wilco Dijkstra  <wdijkstr@arm.com>

	* libc/machine/aarch64/strlen.S (strlen): Improve performance.

2015-01-20  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* configure.host: Add extra system for OpenRISC baremetal.

2015-01-14  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/include/sys/unistd.h [__BSD_VISIBLE]: Add issetugid() prototype.

2015-01-14  Joel Sherrill <joel.sherrill@oarcorp.com>

	* doc/makedoc.c: Use uintptr_t to avoid int/pointer size warnings

2015-01-14  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* configure.host: Add extra system for OpenRISC baremetal
	* libc/include/sys/config.h: Dynamic reentrancy for or1k sys targets
	* libc/sys/or1k/: New system for or1k baremetal
	* libc/sys/or1k/Makefile.am: New file
	* libc/sys/or1k/Makefile.in: New file
	* libc/sys/or1k/aclocal.m4: New file
	* libc/sys/or1k/configure.in: New file
	* libc/sys/or1k/configure: New file
	* libc/sys/or1k/getreent.S: New file
	* libc/sys/or1k/mlock.S: New file
	* libc/sys/or1k/or1k-asm.S: New file

2015-01-12  Renlin Li  <renlin.li@arm.com>

	* testsuite/newlib.wctype/tiswctype.c (main): Use wide character type
	function.

2015-01-08  Corinna Vinschen  <vinschen@redhat.com>

	* libc/time/strftime.c (__strftime): Utilize __TM_GMTOFF and __TM_ZONE
	on systems where available.  On Cygwin, call function to get values.
	Add comment to explain why.  Drop TZ_LOCK/TZ_UNLOCK in 'z' case since
	it's not necessary.  In 'Z' case, add a comment to document a potential
	codeset problem.

2015-01-08  Renlin Li  <renlin.li@arm.com>

	* testsuite/newlib.wctype/twctrans.c (main): Use towlower and towupper.

2015-01-06  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/aarch64/strcpy.S (strcpy): Further performance
	improvements.  Adjust to allow building as stpcpy.
	* libc/machine/aarch64/stpcpy.S: New file.
	* libc/machine/aarch64/stpcpy-stub.c: New file.
	* libc/machine/aarch64/Makefile.am (lib_a_SOURCES): Build stpcpy.
	* libc/machine/aarch64/Makefile.in: Regenerated.

2014-12-26  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/include/sys/features.h: update newlib version and copyright year

2014-12-18  Jeff Johnston  <jjohnstn@redhat.com>

        * NEWS: Update with 2.2.0 info.
        * README: Ditto.
        * acinclude.m4: Change version number to 2.2.0.
        * libc/libc.texinfo: Ditto.
        * libm/libm.texinfo: Ditto.
        * configure: Regenerated.
        * Makefile.in: Regenerated.
        * doc/configure: Ditto.
        * libc/*/configure: Ditto.
        * libm/*/configure: Ditto.
        * libc/sys/linux/shared.ld: Add VERS_2.2

2014-12-18  Yaakov Selkowitz  <yselkowi@redhat.com>

	Implement BSD/GNU unlocked stdio extensions.
	* libc/include/stdio.h (clearerr_unlocked, feof_unlocked,
	ferror_unlocked, fflush_unlocked, fgetc_unlocked, fgets_unlocked,
	fileno_unlocked, fputc_unlocked, fputs_unlocked, fread_unlocked,
	fwrite_unlocked): Declare.
	* libc/include/wchar.h (fgetwc_unlocked, fgetws_unlocked,
	fputwc_unlocked, fputws_unlocked, getwc_unlocked, getwchar_unlocked,
	putwc_unlocked, putwchar_unlocked): Declare.
	* libc/stdio/Makefile.am (ELIX_4_SOURCES): Add clearerr_u.c,
	feof_u.c, ferror_u.c, fflush_u.c, fgetc_u.c, fgets_u.c, fgetwc_u.c,
	fgetws_u.c, fileno_u.c, fputc_u.c, fputs_u.c, fputwc_u.c, fputws_u.c,
	fread_u.c, fwrite_u.c, getwc_u.c, getwchar_u.c, putwc_u.c, putwchar_u.c.
	Add necessary dependencies.
	* libc/stdio/Makefile.in: Regenerate.
	* libc/stdio/clearerr.c: Document unlocked variant.
	* libc/stdio/clearerr_u.c: New file.
	* libc/stdio/feof.c: Document unlocked variant.
	* libc/stdio/feof_u.c: New file.
	* libc/stdio/ferror.c: Document unlocked variant.
	* libc/stdio/ferror_u.c: New file.
	* libc/stdio/fflush.c: Add __IMPL_UNLOCKED__ overrides.
	Document unlocked variants.
	* libc/stdio/fflush_u.c: New file.
	* libc/stdio/fgetc.c: Document unlocked variants.
	* libc/stdio/fgetc_u.c: New file.
	* libc/stdio/fgets.c: Add __IMPL_UNLOCKED__ overrides.
	Document unlocked variants.
	* libc/stdio/fgets_u.c: New file.
	* libc/stdio/fgetwc.c: Document unlocked variants.
	(__fgetwc): Make non-static.
	* libc/stdio/fgetwc_u.c: New file.
	* libc/stdio/fgetws.c: Add __IMPL_UNLOCKED__ overrides.
	Document unlocked variants.
	* libc/stdio/fgetws_u.c: New file.
	* libc/stdio/fileno.c: Document unlocked variant.
	* libc/stdio/fileno_u.c: New file.
	* libc/stdio/fputc.c: Document unlocked variants.
	* libc/stdio/fputc_u.c: New file.
	* libc/stdio/fputs.c: Add __IMPL_UNLOCKED__ overrides.
	Document unlocked variants.
	* libc/stdio/fputs_u.c: New file.
	* libc/stdio/fputwc.c: Document unlocked variants.
	(__fputwc): Make non-static.
	* libc/stdio/fputwc_u.c: New file.
	* libc/stdio/fputws.c: Add __IMPL_UNLOCKED__ overrides.
	Document unlocked variants.
	* libc/stdio/fputws_u.c: New file.
	* libc/stdio/fread.c: Add __IMPL_UNLOCKED__ overrides.
	Document unlocked variants.
	* libc/stdio/fread_u.c: New file.
	* libc/stdio/fwrite.c: Add __IMPL_UNLOCKED__ overrides.
	Document unlocked variants.
	* libc/stdio/fwrite_u.c: New file.
	* libc/stdio/getwc_u.c: New file.
	* libc/stdio/getwchar.c: Document unlocked variants.
	* libc/stdio/getwchar_u.c: New file.
	* libc/stdio/local.h: Define locking macros as empty ifdef
	__IMPL_UNLOCKED__.
	(__fgetwc, __fputwc): Declare.
	* libc/stdio/putwc_u.c: New file.
	* libc/stdio/putwchar.c: Document unlocked variants.
	* libc/stdio/putwchar_u.c: New file.

2014-12-18  Corinna Vinschen  <vinschen@redhat.com>

	* stdio.tex: Add menu entries for __fsetlocking and stdio_ext.
	* stdio_ext.c: Add "stdio_ext" to synopsis.

2014-12-16  DJ Delorie  <dj@redhat.com>

	* libc/stdlib/nano-mallocr.c (ALIGN_TO): Do not assume that
	integers are as big as pointers.

2014-12-16  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/aarch64/strcpy.S: Improve handling of short strings.

2014-12-16  Jon Beniston  <jon@beniston.com>

	* libc/include/stdlib.h (__itoa):  Declare prototype.
	(__utoa): Ditto.
	(itoa): Ditto, non-strict-ANSI only.
	(utoa): Ditto.
	* libc/stdlib/Makefile.am: Add itoa.c and utoa.c.
	* libc/stdlib/Makefile.in: Regenerate.
	* libc/stdlib/itoa.c: New file.
	* libc/stdlib/utoa.c: New file.

2014-12-15  Jonathan Roelofs  <jonathan@codesourcery.com>

	* libc/include/math.h: Add log2l,logbl,nexttowardf,
	* nexttoward,nexttowardl
	* libm/common/Makefile.am: Reference new files
	* libm/common/Makefile.in: Reference new files
	* libm/common/log2l.c: New File
	* libm/common/logbl.c: Likewise
	* libm/common/nexttowardf.c: Likewise
	* libm/common/nexttoward.c: Likewise
	* libm/common/nexttowardl.c: Likewise

2014-12-15  Yaakov Selkowitz  <yselkowi@redhat.com>

	* libc/include/stdio.h (__SNLK): Define.
	* libc/include/stdio_ext.h (FSETLOCKING_QUERY, FSETLOCKING_INTERNAL,
	FSETLOCKING_BYCALLER): Define.
	(__fsetlocking): Declare.
	* libc/stdio/Makefile.am: Build fsetlocking.c.
	* libc/stdio/Makefile.in: Regenerate.
	* libc/stdio/fsetlocking.c: New file.
	* libc/stdio/local.h (_newlib_flockfile_start): Make _flockfile
	call dependent on __SNLK flag.
	(_newlib_flockfile_exit, _newlib_flockfile_end): Ditto for
	_funlockfile calls.
	Define all locking macros as empty if __SINGLE_THREAD__.
	* libc/stdio/stdio.tex: Include fsetlocking.def.

2014-12-15  Nick Hung  <nick@andestech.com>

	* newlib/libc/include/machine/setjmp.h: Add FPU support.
	* newlib/libc/machine/nds32/setjmp.S: Add FPU support.

2014-12-15  Nick Hung  <nick@andestech.com>

	* configure.host: Add libm nds32 machine directory.
	* libm/machine/configure: Regenerated.
	* libm/machine/configure.in: Add nds32 AC_CONFIG.
	* libm/machine/nds32/Makefile.am: New file.
	* libm/machine/nds32/Makefile.in: Generated.
	* libm/machine/nds32/aclocal.m4: Generated.
	* libm/machine/nds32/configure: Generated.
	* libm/machine/nds32/configure.in: New file.
	* libm/machine/nds32/w_sqrt.S: New file.
	* libm/machine/nds32/wf_sqrt.S: New file.

2014-12-15  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdlib.h: Include sys/cdefs.h to avoid undefined
	__ASMNAME.

2014-12-12  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* configure.host: or1knd support, OpenRISC without delay slot
	* libc/include/machine/setjmp.h: Add or1knd
	* libc/machine/or1k/setjmp.S: Optional delay slot

2014-12-12  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* libc/machine/or1k/setjmp.S: Remove save/restore of r3-r8

2014-12-11  Jonathan Roelofs  <jonathan@codesourcery.com>
	    Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdio.h: Fix type signature of __sfeof and __sferror 
	for C++.

2014-12-11  Yaakov Selkowitz  <yselkowi@redhat.com>

	* libc/include/stdio_ext.h: Rename __fwriteable to __fwritable.
	[!__GNUC__]: Declare real functions for the macros, and make
	the macros conditional on !__cplusplus.
	* libc/stdio/Makefile.am (ELIX_4_SOURCES): Add stdio_ext.c.
	(CHEWOUT_FILES): Add stdio_ext.def.
	* libc/stdio/Makefile.in: Regenerate.
	* libc/stdio/stdio.tex: Include stdio_ext.def.
	* libc/stdio/stdio_ext.c: New file.

2014-12-04  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdio_ext.h: Remove excess "inline".

2014-12-10  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/aarch64/strchrnul.S (vrepmask): Use a call-clobbered
	register.

2014-12-08  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/aarch64/strrchr.S: New file.
	* libc/machine/aarch64/strrchr-stub.c: New file.
	* libc/machine/aarch64/Makefile.am: Add them to build list.
	* libc/machine/aarch64/Makefile.in: Regenerated.

2014-12-07  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/time/gmtime_r.c (gmtime_r): Fixed bug in calculations for dates
	after year 2069 or before year 1901. Ideas for solution taken from
	musl's __secs_to_tm()

2014-12-05  Yaakov Selkowitz  <yselkowi@redhat.com>

	* libc/include/stdlib.h (__bsd_qsort_r): Declare.
	(qsort_r): Declare.
	* libc/search/Makefile.am (ELIX_2_SOURCES): Rename from ELIX_SOURCES.
	(ELIX_4_SOURCES): Define.  Add bsd_qsort_r.c and qsort_r.c.
	(libsearch_la_SOURCES): Adapt accordingly.
	(lib_a_SOURCES): Adapt accordingly.
	(CHEWOUT_FILES): Add qsort_r.def.
	* libc/search/Makefile.in: Regenerate.
	* libc/search/bsd_qsort_r.c: New file.
	* libc/search/qsort.c: Update from FreeBSD HEAD. Adapt for both BSD
	and GNU qsort_r flavors.
	* libc/search/qsort_r.c: New file.

2014-12-04  Ulrich Weigand  <uweigand@de.ibm.com>
	    Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/signal.h [__SPU__] (kill): Declare.

2014-12-03  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/inttypes.h: Only enable the 8-bit scanning macros
	if _WANT_IO_C99_FORMATS is defined by configuration.  Add comment
	on why.

2014-11-28  Matthew Fortune  <matthew.fortune@imgtec.com>

	* libc/include/machine/setjmp.h [__mips__]: Remove __mips_fpr == 64
	from the 64-bit _JBTYPE definition.
	* libc/machine/mips/setjmp.S: Re-work the o32 FP64 support to match
	the now one-and-only supported o32 FP64 ABI extension.  Also
	support o32 FPXX.

2014-11-26  Hale Wang  <hale.wang@arm.com>

	* libc/machine/arm/strcmp-armv6m.S: New file.
	* libc/machine/arm/strcmp.S: Add new wrapper.
	* libc/machine/arm/Makefile.am: Add dependencies.
	* libc/machine/arm/Makefile.in: Regenerated.

2014-11-25  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/_default_fcntl.h: Move all Cygwin-specific open
	flags from Cygwin's fcntl.h here.  Remove check for WIN32.  Remove
	Windows-specific macros.

2014-11-23  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/include/sys/resource.h: Add prototype for getrusage()
	to <sys/resource.h>

2014-11-21  Nick Clifton  <nickc@redhat.com>

	PR target/63901
	* configure.host (msp430): Add -mhwmult=none to newlib_cflags.

2014-11-20  Peter A. Bigot  <pab@pabigot.com>

	* libc/stdio/nano-vfprintf_i.c (_printf_i): Use LONGINT when void* is
	larger than an int.

2014-11-20  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/sys/syslimits.h (NGROUPS_MAX): Adjust value so
	that NGROUPS is even.

2014-11-12  Jon Beniston  <jon@beniston.com>

	* libc/stdlib/strtod.c (sulp): Cast to int32_t to avoid overflow.
	* libc/time/gmtime_r.c (DAYS_PER_*_YEARS): Convert to long constants
	to avoid overflow.

2014-11-10  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/aarch64/strcpy.S: New file.
	* libc/machine/aarch64/strcpy-stub.S: New file.
	* libc/machine/aarch64/Makefile.am (lib_a_SOURCES): Add new files.
	* libc/machine/aarch64/Makefile.in: Regenerate.

2014-11-06  Joel Sherrill <joel.sherrill@oarcorp.com>

	* configure.in: Add autoconf test to determine size of uintptr_t.
	* newlib.hin: Add new autoconf feature variables.
	* libc/include/inttypes.h: Use new feature variables.
	* configure: Regenerate.

2014-11-06  Terry Guo  <terry.guo@arm.com>

	* libc/stdio/nano-vfprintf_i.c (_printf_i): Use Newlib approach to
	handle string that might be not nul-terminated.
	* testsuite/newlib.stdio/nulprintf.c: New test.

2014-10-29  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/include/string.h: Correct guard for strcasecmp().

2014-10-29  Terry Guo  <terry.guo@arm.com>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Remove unnecessary comparison.

2014-10-27  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/unistd.h (sethostname): Declare if
	requested.

2014-10-20  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/time/gmtime_r.c (gmtime_r): Remove dead code.

2014-10-16  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/unix/getcwd.c (getcwd): Close directory also in case of an error.

2014-10-10  Thomas Uhle <thomas.uhle@eas.iis.fraunhofer.de>

	* libc/include/_ansi.h: _LONG_LONG_TYPE definition removed.
	* libc/include/math.h: _LONG_LONG_TYPE replaced by "long long".
	Guards for C99 and C++11 functions fixed.
	* libc/include/stdlib.h: Guards for C99 and C++11 functions fixed.

2014-10-09  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/stdint.h: Include <sys/_intsup.h>.
	(__STDINT_EXP): Delete.
	(__have_long32): Likewise.
	(__have_long64): Likewise.
	(__have_longlong64): Likewise.
	* libc/include/sys/_intsup.h: New file.
	(__STDINT_EXP): Move from libc/include/stdint.h.
	(__have_long32): Likewise.
	(__have_long64): Likewise.
	(__have_longlong64): Likewise.
	* libc/include/inttypes.h: Include <sys/_intsup.h>.
	(__INTTYPES_EXP): Delete and use __STDINT_EXP() instead.

2014-10-09  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/string/memccpy.c (memccpy): Fix warning about signed-unsigned
	comparison
	* libc/string/memchr.c (memchr): Ditto.
	* libc/string/memrchr.c (memrchr): Ditto.
	* libc/string/memset.c: (memset): Ditto.
	* libc/string/rawmemchr.c (rawmemchr): Ditto.
	* libc/string/local.h (__locale_cjk_lang): Fix "function declaration
	isn't a prototype" warning.
	* libc/string/strcasestr.c (strcasestr): Ditto.
	* libc/string/u_strerr.c (_user_strerror): Fix "unused parameter"
	warnings.
	* libc/string/rawmemchr.c (rawmemchr): Fix comment type
	"// ..." -> "/* ... */".

2014-10-08  Steve Ellcey  <sellcey@mips.com>

	* newlib/libc/machine/mips/strcmp.c: Remove.
	* newlib/libc/machine/mips/strcmp.S: New.
	* newlib/libc/machine/mips/Makefile.am (lib_a_SOURCES):
	Replace strcmp.c with strcmp.S
	* newlib/libc/machine/mips/Makefile.in: Regenerate.

2014-10-08 Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/string.h (ffsl): Declare as GNU function.
	(ffsll): Ditto.

2014-09-17  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/features.h: Add __NEWLIB__ and
	__NEWLIB_MINOR__ macros.

2014-09-17  Joel Sherrill <joel.sherrill@oarcorp.com>
	    Thomas Uhle <thomas.uhle@eas.iis.fraunhofer.de>

	* libc/include/string.h: Correct guard for strnlen().

2014-09-15  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/time/month_lengths.c: Fix to define __month_lengths.

2014-09-12  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/time/tzcalc_limits.c: Fix __month_lengths reference.

2014-09-12  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/time/month_lengths.c: Actually add file this time.
	* libc/time/tzcalc_limits.c: Ditto.

2014-09-11  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/time/month_lengths.c: New file with __month_lengths array
	(previously mon_lengths array in mktm_r.c)
	* libc/time/tzcalc_limits.c: New file with __tzcalc_limits() from
	mktm_r.c
	* libc/time/lcltime_r.c (localtime_r): Simplify by changing call to
	_mktm_r() with call to gmtime_r() and code moved from _mktm_r() which
	was used to do time zone adjustments
	* libc/time/gmtime_r.c (gmtime_r): Simplify by moving all relevant
	code from _mktm_r(), breaking all dependencies on time zone related
	functions
	* libc/time/mktm_r.c: Delete file
	* libc/time/local.h: Update accordingly - remove declaration of
	_mktm_r(), add declaration of __month_lengths[]
	* libc/time/Makefile.am: Modify accordingly.
	* libc/time/Makefile.in: Regenerate.

2014-09-08  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/machine/arm/Makefile.am: Fix typo.
	* libc/machine/arm/Makefile.in: Regenerated.

2014-09-05  Hale Wang  <hale.wang@arm.com>

	* libc/machine/arm/memchr.S: Clean up the wrapper.
	* libc/machine/arm/memcpy.S: Likewise.
	* libc/machine/arm/memchr-stub.c: Delete this redundant file.
	* libc/machine/arm/memcpy-stub.c: Likewise.
	* libc/machine/arm/strcmp.S: Add speed-preferred wrapper.
	* libc/machine/arm/strlen.S: Likewise.
	* libc/machine/arm/Makefile.am: Add dependencies.
	* libc/machine/arm/Makefile.in: Regenerated.
	* libc/machine/arm/configure.in: Add dependencies.
	* libc/machine/arm/configure: Regenerated.

2014-09-05  Bin Cheng  <bin.cheng@arm.com>

	* libc/stdio/findfp.c (_cleanup_r): Call _fflush_r when configuration
	option "--enable-lite-exit" is in effect.  Refactor the code.

2014-09-05  Bin Cheng  <bin.cheng@arm.com>

	* libc/stdio/fwalk.c (_fwalk_reent): Remove redundant test.

2014-09-04  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/time/mktm_r.c (_mktm_r): Optimize speed.

2014-09-04  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/time/clock.c (clock): Fix warnings about signed-unsigned
	comparisons.
	* libc/time/strftime.c (strftime): Likewise.
	* libc/time/strptime.c (match_string): Fix warning about discarding
	'restrict' qualifier from pointer target type.

2014-09-04  Hale Wang  <hale.wang@arm.com>

	* libc/machine/arm/aeabi_memcpy.c: New file.
	* libc/machine/arm/aeabi_memcpy-armv7a.S: New file.
	* libc/machine/arm/Makefile.am: Add dependencies.
	* libc/machine/arm/Makefile.in: Regenerated.

2014-08-27  DJ Delorie  <dj@redhat.com>

	* libc/include/math.h (frexpl): Remove parameter name.

2014-08-19  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/aarch64/memchr.S: Add check for zero-sized buffer.

2014-08-18 Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/signal.h: Declare sigaltstack for RTEMS only.

2014-08-18  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/config.h[__m68k__]: Set _READ_WRITE_RETURN_TYPE
	to _ssize_t to match underlying code in libgloss.

2014-08-18 Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/include/string.h: Improve language and OS standard guards.

2014-08-18 Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/include/sys/signal.h: Add sigaltstack() support.

2014-08-14  Bin Cheng  <bin.cheng@arm.com>

	* libc/stdio/findfp.c (std): Don't inline when optimizing for code size.

2014-08-04  Jon TURNEY  <jon.turney@dronecode.org.uk>

	* libc/include/math.h: Also define M_PI etc. if _XOPEN_SOURCE is
	defined appropriately.

2014-08-01  Eric Blake  <eblake@redhat.com>

	* libc/machine/spu/spu_timer_internal.h: Decorate attribute names
	with __, for namespace safety.
	* libc/machine/xscale/machine/profile.h: Likewise.
	* libc/include/stdlib.h: Likewise.
	* libc/include/_ansi.h: Likewise.
	* libc/include/sys/unistd.h: Likewise.
	* libc/sys/linux/linuxthreads/libc-symbols.h: Likewise.
	* libc/sys/linux/linuxthreads/internals.h: Likewise.
	* libc/sys/linux/machine/i386/weakalias.h: Likewise.
	* libc/sys/linux/machine/i386/dl-procinfo.h: Likewise.
	* libc/sys/linux/machine/i386/dl-machine.h: Likewise.
	* libc/sys/linux/libc-symbols.h: Likewise.
	* libc/sys/linux/iconv/gconv_charset.h: Likewise.
	* libc/sys/linux/include/resolv.h: Likewise.
	* libc/sys/linux/sys/unistd.h: Likewise.
	* libc/sys/linux/dl/atomicity.h: Likewise.
	* libc/sys/linux/dl/dynamic-link.h: Likewise.
	* libc/sys/linux/dl/ldsodefs.h: Likewise.

2014-07-30  Corinna Vinschen  <vinschen@redhat.com>

	* libc/string/strerror.c: Fix documentation so makedoc doesn't
	stumble over a sole EAGAIN.

2014-07-27  Anthony Green  <green@moxielogic.com>

	* configure.host: Add moxie-*-moxiebox target.

2014-07-22  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/include/sys/time.h: Add prototype for adjtime() and
	wrap it and settimeofday() prototype with __BSD_VISIBLE.

2014-07-17  Hesham ALMatary <heshamelmatary@gmail.com>

	* configure.host: Remove or16 and or32 targets and add or1k.
	* libc/include/machine/ieeefp.h: Replace or32 with or1k.
	* libc/machine/configure.in: Add or1k subdirectory.
	* libc/machine/configure: Regenerate.
	* libc/machine/or1k/configure.in: New file.
	* libc/machine/or1k/configure: New file.
	* libc/machine/or1k/Makefile.am: New file.
	* libc/machine/or1k/Makefile.in: New file.
	* libc/machine/or1k/setjmp.S: New file.

2014-07-14  Nick Withers  <nick.withers@anu.edu.au>

	* libc/include/sys/errno.h: Fix comments.
	* libc/string/strerror.c: Fix documentation.
	(_strerror_r): Handle ENETRESET, EILSEQ, ENODATA, ECONNRESET,
	EADDRNOTAVAIL, EOVERFLOW.  Fix strings for EMFILE and EDOM.

2014-07-11  K�vin Petit  <kevin.petit@arm.com>

	* libc/machine/aarch64/memchr.S: New file.
	* libc/machine/aarch64/memchr-stub.c: New file.
	* libc/machine/aarch64/Makefile.am: Add the new files.
	* libc/machine/aarch64/Makefile.in: Regenerated.

2014-07-07  Pavel Pisa  <pisa@cmp.felk.cvut.cz>
	    Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/arm/memchr.S (.arch): Require revision ARMv6t2.

2014-07-07  Corinna Vinschen  <vinschen@redhat.com>

	* configure.in (--enable-newlib-nano-formatted-io): Set to "no"
	by default.
	* configure: Regenerated.

2014-07-04  Bin Cheng  <bin.cheng@arm.com>

	* README (--enable-newlib-nano-formatted-io): Describe.
	* acconfig.h (_NANO_FORMATTED_IO): Undef.
	* newlib.hin (_NANO_FORMATTED_IO): Undef.
	* configure.in (--enable-newlib-nano-formatted-io): New option.
	* configure: Regenerated.
	* libc/configure.in (--enable-newlib-nano-formatted-io): New option.
	* libc/configure: Regenerated.
	* libc/stdio/Makefile.am (NEWLIB_NANO_FORMATTED_IO): Support new
	configuration option.
	* libc/stdio/Makefile.in: Regenerated.
	* libc/stdio/asnprintf.c (_asniprintf_r, asniprintf): Use
	_NANO_FORMATTED_IO to declare alias prototypes.
	* libc/stdio/asprintf.c (_asiprintf_r, asiprintf): Ditto.
	* libc/stdio/dprintf.c (_diprintf_r, diprintf): Ditto.
	* libc/stdio/fprintf.c (_fiprintf_r, fiprintf): Ditto.
	* libc/stdio/fscanf.c (fiscanf, _fiscanf_r): Ditto.
	* libc/stdio/printf.c (_iprintf_r, iprintf): Ditto.
	* libc/stdio/scanf.c (iscanf, _iscanf_r): Ditto.
	* libc/stdio/snprintf.c (_sniprintf_r, sniprintf): Ditto.
	* libc/stdio/sprintf.c (_siprintf_r, siprintf): Ditto.
	* libc/stdio/sscanf.c (siscanf, _siscanf_r): Ditto.
	* libc/stdio/vasnprintf.c (_vasniprintf_r, vasniprintf): Ditto.
	* libc/stdio/vasprintf.c (vasiprintf, _vasiprintf_r): Ditto.
	* libc/stdio/vdprintf.c (_vdiprintf_r, vdiprintf): Ditto.
	* libc/stdio/vprintf.c (viprintf, _viprintf_r): Ditto.
	* libc/stdio/vscanf.c (viscanf, _viscanf_r): Ditto.
	* libc/stdio/vsnprintf.c (vsniprintf, _vsniprintf_r): Ditto.
	* libc/stdio/vsprintf.c (vsiprintf, _vsiprintf_r): Ditto.
	* libc/stdio/vsscanf.c (vsiscanf, _vsiscanf_r): Ditto.
	* libc/stdio/nano-vfprintf.c: New file.
	* libc/stdio/nano-vfprintf_float.c: New file.
	* libc/stdio/nano-vfprintf_i.c: New file.
	* libc/stdio/nano-vfprintf_local.h: New file.
	* libc/stdio/nano-vfscanf.c: New file.
	* libc/stdio/nano-vfscanf_float.c: New file.
	* libc/stdio/nano-vfscanf_i.c: New file.
	* libc/stdio/nano-vfscanf_local.h: New file.

2014-06-23  Corinna Vinschen  <vinschen@redhat.com>

	* libc/argz/envz_merge.c (envz_merge): Fix memory leak (Cygwin Coverity
	Scan CID 60023).
	* libc/ctype/iswalpha.c (iswalpha): Add bounds check to avoid
	out-of-bounds read from utf8 tables (CID 59949).
	* libc/locale/ldpart.c (__part_load_locale): Add 1 byte to size of lbuf.
	Write NUL into the last byte to accommodate split_lines (CID 60047).

2014-06-11  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/aarch64/strchrnul.S: New file.
	* libc/machine/aarch64/strchrnul-stub.c: New file.
	* libc/machine/aarch64/Makefile.am: Add them to build list.
	* libc/machine/aarch64/Makefile.in: Regenerated.

2014-06-10  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/aarch64/strchr.S: New file.
	* libc/machine/aarch64/strchr-stub.c: New file.
	* libc/machine/aarch64/Makefile.am: Add them to build list.
	* libc/machine/aarch64/Makefile.in: Regenerated.

2014-06-09  DJ Delorie  <dj@redhat.com>

	* configure.host (default_newlib_nano_malloc): New.
	(msp430): Set it.
	* configure.in (newlib_nano_malloc): Leave unset if not set by
	the user.
	* configure: Regenerate.
	* libc/configure.in (NEWLIB_NANO_MALLOC): Set after running
	configure.host.
	(newlib_nano_malloc): Leave unset if not set by	the user.
	* libc/configure: Regenerate.

2014-05-15  Daniel Cederman  <cederman@gaisler.com>

	* libc/machine/sparc/setjmp.S (longjmp): Use register g1 instead of g6.

2014-05-14  Kaushik Phatak  <Kaushik.Phatak@kpit.com>

	* libc/include/machine/ieeefp.h: Define _DOUBLE_IS_32BITS when double
	options is not __RL78_64BIT_DOUBLES__.

2014-05-12  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdint.h (WCHAR_MIN): Copy definition from wchar.h.
	(WCHAR_MAX): Ditto.
	* libc/include/wchar.h (WCHAR_MIN): Add comment.
	(WCHAR_MAX): Ditto.

2014-05-09  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdio.h (tempnam): Declare as __BSD_VISIBLE or
	__XSI_VISIBLE or if __POSIX_VISIBLE >= 200112.

2014-05-09  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdio.h (fcloseall): Declare as __GNU_VISIBLE only.
	(renameat): Drop explicit __CYGWIN__ dependency.

2014-05-05  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdio.h: Declare various C99 printf/scanf functions for
	C++11, too.

2014-04-22  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/arm/strcmp-arm-tiny.S: New file.
	* libc/machine/arm/strcmp-armv4.S: New file.
	* libc/machine/arm/strcmp-armv4t.S: New file.
	* libc/machine/arm/strcmp-armv6.S: New file.
	* libc/machine/arm/strcmp-armv7.S: New file.
	* libc/machine/arm/strcmp-armv7m.S: New file.
	* libc/machine/arm/strcmp.S: Replace with wrapper for various
	implementations.
	* libc/machine/arm/Makefile.am (strcmp.o, strcmp.obj): Add
	dependencies.
	* libc/machine/arm/Makefile.in: Regenerated.

2014-04-14  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/sys/cpuset.h (CPU_SET_S): Add const qualifier.
	(CPU_SET): Likewise.

2014-04-09  DJ Delorie  <dj@redhat.com>

	* libc/machine/rl78/setjmp.S: Add RL78/G10 support.

2014-04-04  Ashish Kapania  <akapania@ti.com>

	* configure.host (sys_dir, newlib_cflags): Set sys_dir to tirtos and use
	-D__DYNAMIC_REENT__ and -DMALLOC_PROVIDED compiler options for TIRTOS
	target.
	* libc/stdio/local.h (_STDIO_CLOSE_PER_REENT_STD_STREAMS): Change #ifdef
	to not define this macro when __tirtos__ is defined.
	* libc/sys/tirtos : Add support for TIRTOS.
	* libc/sys/tirtos/Makefile.am, libc/sys/tirtos/lock.c: New files.
	* libc/sys/tirtos/configure.in, libc/sys/tirtos/include/sys/lock.h: Ditto.

2014-03-27  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/arm/acle-compat.h: New file.
	* libc/machine/arm/arm_asm.h: Use it.

2014-03-21  Maciej W. Rozycki  <macro@codesourcery.com>

	* libc/stdlib/gd_qnan.h (f_QNAN, d_QNAN0, d_QNAN1): Add MIPS
	versions.
	(ld_QNAN0, ld_QNAN1, ld_QNAN2, ld_QNAN3): Don't define for MIPS.
	(ldus_QNAN0, ldus_QNAN1, ldus_QNAN2, ldus_QNAN3, ldus_QNAN4):
	Likewise.
	* libc/stdlib/ldtoa.c (nan113, nan64, nan53, nan24): Add MIPS
	versions.
	(enan): Handle legacy MIPS payloads.
	* libm/common/s_nan.c (nan): Use __builtin_nan if supported by
	the compiler.
	* libm/common/sf_nan.c (nanf): Likewise.

2014-03-21  Sabrina Ni  <sabrinanitw@gmail.com>

	* libc/machine/nds32/configure: Regenerated.
	* libc/machine/nds32/configure.in: Add AC_NOEXECUTABLES.

2014-03-21  Sabrina Ni  <sabrinanitw@gmail.com>

	* libc/machine/nds32/Makefile.am: Use C code implemented memcpy,
	memset for 'ISA V3M'.
	* libc/machine/nds32/Makefile.in: Generated.
	* libc/machine/nds32/configure: Generated.
	* libc/machine/nds32/configure.in: Detect IS_NDS32_ISA_V3M.

2014-03-21  Sabrina Ni  <sabrinanitw@gmail.com>

	* libc/machine/nds32/setjmp.S: Keep jmp_buff sync with GDB.

2014-03-21  Sabrina Ni  <sabrinanitw@gmail.com>

	* libc/machine/nds32/setjmp.S: Optimize.

2014-03-07  Corinna Vinschen  <vinschen@redhat.com>
	    Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdlib.h (strtold): Define if _HAVE_LONG_DOUBLE is
	defined.
	* libc/stdlib/strtold.c (strtold): Ditto.  Call strtod on systems
	with long double == double, _strtold otherwise.

2014-03-05  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/time.h (__TM_GMTOFF): Remove Cygwin-specific definition.
	(__TM_ZONE): Ditto.

2014-03-05  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/time.h (__TM_GMTOFF): Define on Cygwin.
	(__TM_ZONE): Ditto.
	(struct tm): Add __TM_GMTOFF and __TM_ZONE members if they are defined.

2014-03-04  Ed Nelson  <ed@nelson305.com>

	* libc/include/machine/_default_types.h: Define unsigned type using
	signed type macros in case unsigned type macros are not available.

2014-02-20  Agustin Henze  <tin@sluc.org.ar>

	* libm/complex/complex.tex: Fix wrong syntax in documentation.
	* libm/math/math.tex: Ditto.

2014-02-20  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/open_memstream.c (internal_open_memstream_r): Initialize
	c->pos to 0.

2014-02-11  Joey Ye  <joey.ye@arm.com>

	* libc/sys/arm/syscalls.c (_sbrk): Define as weak symbols.
	(_read, _write): Ditto.

2014-02-09  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/pwd.h: Include <sys/cdefs.h>.
	* libc/include/grp.h: Ditto.

2014-02-04  Matthias Braun  <matze@braunis.de>

	* libm/mathfp/sf_numtest.c: Fix NaN/Inf detection logic.

2014-01-20  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/setjmp.h (longjmp): Fix copy/paste error.

2014-01-19  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/setjmp.h (longjmp): Mark "noreturn" when building with
	GCC.

2014-01-17  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/pwd.h: Use __foo_VISIBLE macros from sys/cdefs.h.
	(setpassent): Declare.

2014-01-17  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/_default_fcntl.h (LOCK_SH): Define.
	(LOCK_EX): Likewise.
	(LOCK_NB): Likewise.
	(LOCK_UN): Likewise.
	(flock): Declare.

2014-01-17  Corinna Vinschen  <vinschen@redhat.com>

	Introduce _STDIO_BSD_SEMANTICS flag to switch fclose/exit file flushing
	semantics from POSIX to BSD.
	* libc/stdio/fclose.c (_fclose_r): Conditionalize file flushing on
	_STDIO_BSD_SEMANTICS.  Call __sflush_r rather than _fflush_r.  Add
	comment.
	* libc/stdio/fflush.c (__sflushw_r): New function, only available
	if _STDIO_BSD_SEMANTICS is defined.
	* libc/stdio/findfp.c (_cleanup_r): Call _fwalk_reent rather than
	_fwalk.  Conditionalize cleanup function call on _STDIO_BSD_SEMANTICS.
	Add comments.  Add FIXME.
	* libc/stdio/local.h (__sflushw_r): Declare if _STDIO_BSD_SEMANTICS is
	defined.

2014-01-06  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/_default_fcntl.h (AT_FDCWD): Define according
	to POSIX.
	(AT_EACCESS): Likewise.
	(AT_SYMLINK_NOFOLLOW): Likewise.
	(AT_SYMLINK_FOLLOW): Likewise.
	(AT_REMOVEDIR): Likewise.
	(openat): Declare according to POSIX.
	* libc/include/stdio.h (renameat): Likewise.
	* libc/include/sys/stat.h (fchmodat): Likewise.
	(fstatat): Likewise.
	(mkdirat): Likewise.
	(mkfifoat): Likewise.
	(mknodat): Likewise.
	(utimensat): Likewise.
	(futimens): Likewise.
	* libc/include/sys/unistd.h (faccessat): Likewise.
	(fchownat): Likewise.
	(linkat): Likewise.
	(readlinkat): Likewise.
	(symlinkat): Likewise.
	(unlinkat): Likewise.

2014-01-06  Mike Frysinger  <vapier@gentoo.org>

	* libc/search/hash.c (hash_delete): Change __uint32_t to u_int.
	(hash_get): Likewise.
	(hash_put): Likewise.
	(hash_seq): Likewise.
	(hash_sync): Likewise.
					
2014-01-06  Mike Frysinger  <vapier@gentoo.org>

	* libc/ctype/jp2uc.c: Include string.h.
	
2013-12-23  Jeff Johnston  <jjohnstn@redhat.com>

	* NEWS: Update with 2.1.0 info.
	* README: Ditto.
	* acinclude.m4: Change version number to 2.1.0.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* Makefile.in: Regenerated.
	* doc/aclocal.m4: Ditto.
	* doc/configure: Ditto.
	* libc/*/aclocal.m4: Ditto.
	* libc/*/configure: Ditto.
	* libc/libc.texinfo: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.
	* libm/libm.texinfo: Ditto.
	* libc/sys/linux/shared.ld: Add VERS_2.1

2013-12-22  JF Bastien  <jfb@chromium.org>

	* libc/include/limits.h: Define LLONG_MIN, LLONG_MAX and ULLONG_MAX 
	for C++11 too.
	* libc/include/stdlib.h: Define struct lldiv_t, _Exit, atoll, llabs 
	and lldiv for C99 and C++11.  Move wcstold to wchar.h.
	* libc/include/wchar.h: Define WCHAR_MIN and WCHAR_MAX according to
	__WCHAR_UNSIGNED__ if it is provided, and correct the limit when
	unsigned (to 32 all-1 bits, not 31).  Define FILE as in stdio.h.
	Move wcstold from stdlib.h here.

2013-12-20  Nick Clifton  <nickc@redhat.com>

	* configure.host (newlib_cflags): Use -Os, -ffunction-sections and
	-fdata-sections for RL78.

2013-12-19  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/vfwscanf.c (__SVFWSCANF_R): Fix fetching decimal_point in
	!_MB_CAPABLE as well as in !__HAVE_LOCALE_INFO_EXTENDED__ case.

2013-12-18  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/vfscanf.c (BUF): Change definition to take multibyte
	decimal point into account.
	(__SVFSCANF_R): Handle radix char language-dependent
	per POSIX.
	* libc/stdio/vfwscanf.c (__SVFWSCANF_R): Ditto.

2013-12-10  Jeff Johnston  <jjohnstn@redhat.com>

	* acconfig.h: Add _HAVE_CC_INHIBIT_LOOP_TO_LIBCALL.
	* newlib.hin: Ditto.
	* configure: Regenerate.
	* configure.in: Add setting of _HAVE_CC_INHIBIT_LOOP_TO_LIBCALL.
	* libc/string/local.h: Add check for _HAVE_CC_INHIBIT_LOOP_TO_LIBCALL
	and set __inhibit_loop_to_libcall macro appropriately.
	* libc/string/memmove.c: Use __inhibit_loop_to_libcall macro in
	function declaration.
	* libc/string/memset.c: Ditto.

2013-12-10  Chirayu Desai  <chirayudesai1@gmail.com>

	* libc/sys/rtems/include/limits.h: Update page size to match
	libc/sys/rtems/machine/param.h.

2013-12-03  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/sys/cpuset.h: Use __inline instead of inline.

2013-12-03  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/machine/_default_types.h: Move extern "C" after
	header includes.  Include <sys/features.h> for
	__GNUC_PREREQ__().
	(__u?int.*_t): Define via GCC provided __U?INT.*_TYPE__ if
	available.
	(__intptr_t): Define.
	(__uintptr_t): Likewise.
	* libc/include/stdint.h: Include <machine/_default_types.h>
	instead of <_ansi.h>.
	(u?int.*_t): Define via __u?int.*_t provided by
	<machine/_default_types.h>.
	(u?int_fast.*_t): Define via GCC provided
	__U?INT_FAST.*_TYPE__ if available.
	(U?INT.*(MIN|MAX)): Define via GCC provided __U?INT.*(MIN|MAX)__
	if available.
	(U?INT.*_C): Define via GCC provided __U?INT.*_C if available.
	* libc/include/sys/cdefs.h: Use <machine/_default_types.h>
	instead of <stdint.h>.
	* libc/sys/rtems/sys/cpuset.h: Likewise.
	* libc/sys/rtems/machine/_types.h: Include <stdint.h> for
	FreeBSD compatibility.

2013-11-29  Sebastian Huber <sebastian.huber@embedded-brains.de>

	* libc/include/pthread.h (pthread_cleanup_push): Delete prototype
	and add macro of the same name.
	(pthread_cleanup_pop): Likewise.
	(_pthread_cleanup_context): Define.
	(_pthread_cleanup_push): Likewise.
	(_pthread_cleanup_pop): Likewise.
	(pthread_cleanup_push_defer_np): Define if _GNU_SOURCE is defined.
	(pthread_cleanup_pop_restore_np): Likewise.
	(_pthread_cleanup_push_defer): Likewise.
	(_pthread_cleanup_pop_restore): Likewise.

2013-11-29  Jennifer Averett <jennifer.averett@oarcorp.com>

	* libc/include/pthread.h (pthread_attr_setaffinity_np):
	Add pthread SMP affinity attributes to methods to RTEMS for
	compatibility with GNU/Linux.
	(pthread_attr_getaffinity_np): Likewise.
	(pthread_setaffinity_np): Likewise.
	(pthread_getaffinity_np): Likewise.
	(pthread_getattr_np): Add for GNU/Linux compatibility.
	* libc/include/sys/types.h: Add cpuset to pthread_attr_t for RTEMS.
	* libc/include/sys/cdefs.h (_GNU_SOURCE): Defining _GNU_SOURCE
	turns on all _XXX_VISBLE feature flags.

2013-11-27  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/cpusetalloc.c: New file.
	* libc/sys/rtems/cpusetfree.c: Likewise.
	* libc/sys/rtems/Makefile.am (lib_a_SOURCES): Add new files.
	* libc/sys/rtems/Makefile.in: Regenerate.
	* libc/sys/rtems/sys/cpuset.h: Delete #if 0 block.  Include
	<stddef.h> for size_t.
	(_NCPUBITS): Avoid NBBY and assume 8 bits per char.
	(__cpuset_mask): Use int instead of size_t parameter for Linux
	compatibility.
	(__cpuset_index): Likewise.
	(__cpuset_alloc): Declare.
	(__cpuset_free): Likewise.
	(CPU_ALLOC_SIZE): Likewise.
	(CPU_ALLOC): Define.
	(CPU_FREE): Likewise.
	(CPU_ZERO_S): Likewise.
	(CPU_FILL_S): Likewise.
	(CPU_SET_S): Likewise.
	(CPU_CLR_S): Likewise.
	(CPU_ISSET_S): Likewise.
	(CPU_COUNT_S): Likewise.
	(CPU_AND_S): Likewise.
	(CPU_OR_S): Likewise.
	(CPU_XOR_S): Likewise.
	(CPU_NAND_S): Likewise.
	(CPU_EQUAL_S): Likewise.
	(CPU_ZERO): Use CPU_ZERO_S().
	(CPU_FILL): Use CPU_FILL_S().
	(CPU_SET): Use CPU_SET_S().
	(CPU_CLR): Use CPU_CLR_S().
	(CPU_ISSET): Use CPU_ISSET_S().
	(CPU_COUNT): Use CPU_COUNT_S().
	(CPU_AND): Use CPU_AND_S().
	(CPU_OR): Use CPU_OR_S().
	(CPU_XOR): Use CPU_XOR_S().
	(CPU_NAND): Use CPU_NAND_S().
	(CPU_EQUAL): Use CPU_EQUAL_S().
	(CPU_CMP): Delete superfluous const qualifier.
	(CPU_EMPTY): Likewise.

2013-11-27  Matheus Almeida  <Matheus.Almeida@imgtec.com>

	* libc/machine/mips/setjmp.S: Fix definition of macro FPR_LAYOUT
	for ABI == N32.

2013-11-26  Matheus Almeida  <Matheus.Almeida@imgtec.com>

	* libc/include/machine/setjmp.h: Add support for __mips_fpr being
	64 and treat it the same as if __mips64 is set.
	* libc/machine/mips/setjmp.S: Ditto, plus add checks for _MIPS_SIM
	being _ABIN32 and _ABI64.

2013-11-26  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/machine/powerpc/vfscanf.c, libc/stdio/fgetpos.c,
	libc/stdio/fgets.c, libc/stdio/fputs.c, libc/stdio/fread.c,
	libc/stdio/freopen.c, libc/stdio/fwrite.c, libc/stdio/sscanf.c,
	libc/stdlib/mbstowcs.c, libc/stdlib/mbtowc.c,
	libc/stdlib/strtod.c, libc/stdlib/strtol.c, libc/stdlib/strtoll.c,
	libc/stdlib/strtoul.c, libc/stdlib/strtoull.c,
	libc/stdlib/wcstombs.c: Fix documentation prototypes which were
	over eighty columns.

2013-11-26  Julio Gutierrez <jgutleyva@gmail.com>

	*libc/include/wchar.h: Add restrict keyword.
	*libc/stdio/fgetws.c (fgetws): ditto.
	*libc/stdio/fputws.c (fputws): ditto.
	*libc/stdio/fwprintf.c (fwprintf): ditto.
	*libc/stdio/fwscanf.c (fwscanf): ditto.
	*libc/stdio/swprintf.c (swprintf): ditto.
	*libc/stdio/swscanf.c (swscanf): ditto.
	*libc/stdio/vfwprintf.c (vfwprintf): ditto.
	*libc/stdio/vfwscanf.c (vfwscanf): ditto.
	*libc/stdio/vswprintf.c (vswprintf): ditto.
	*libc/stdio/vswscanf.c (vswscanf): ditto.
	*libc/stdio/vwprintf.c (vwprintf): ditto.
	*libc/stdio/vwscanf.c (vwscanf): ditto.
	*libc/stdio/wprintf.c (wprintf): ditto.
	*libc/stdio/wscanf.c (wscanf): ditto.
	*libc/stdlib/mbrlen.c (mbrlen): ditto.
	*libc/stdlib/mbrtowc.c (mbrtowc): ditto.
	*libc/stdlib/mbsnrtowcs.c (mbsnrtowcs): ditto.
	*libc/stdlib/mbsrtowcs.c (mbsrtowcs): ditto.
	*libc/stdlib/wcrtomb.c (wcrtomb): ditto.
	*libc/stdlib/wcsnrtombs.c (wcsnrtombs): ditto.
	*libc/stdlib/wcsrtombs.c (wcsrtombs): ditto.
	*libc/stdlib/wcstod.c (wcstod): ditto.
	*libc/stdlib/wcstol.c (wcstol): ditto.
	*libc/stdlib/wcstold.c (wcstold): ditto.
	*libc/stdlib/wcstoll.c (wcstoll): ditto.
	*libc/stdlib/wcstoul.c (wcstoul): ditto.
	*libc/stdlib/wcstoull.c (cstoull): ditto.
	*libc/string/wcpcpy.c (wcpcpy): ditto.
	*libc/string/wcpncpy.c (wcpncpy): ditto.
	*libc/string/wcscat.c (wcscat): ditto.
	*libc/string/wcscpy.c (wcscpy): ditto.
	*libc/string/wcsncat.c (wcsncat): ditto.
	*libc/string/wcsncpy.c (wcsncpy): ditto.
	*libc/string/wcsstr.c (wcsstr): ditto.
	*libc/string/wcstok.c (wcstok): ditto.
	*libc/string/wcsxfrm.c (wcsxfrm): ditto.
	*libc/string/wmemcpy.c (wmemcpy): ditto.

2013-11-26  Corinna Vinschen  <vinschen@redhat.com>

	* libc/posix/posix_spawn.c: Drop using namespace.h.

2013-11-26  Corinna Vinschen  <vinschen@redhat.com>

	* libc/posix/posix_spawn.c: Eliminate OS function calls not present
	in newlib or Cygwin.
	(process_spawnattr): Use sigprocmask rather than _sigprocmask.  Use
	sigaction rather than _sigaction.
	(process_file_actions_entry): Use dup2 rather than _dup2.
	(do_posix_spawn): Use execvpe rather than _execvpe.  Use waitpid
	rather than _waitpid.

2013-11-25  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/iconv/lib/iconv.c, libc/time/strftime.c: Change "restrict<" to
	"restrict <" to fix formatting.

2013-11-25  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/spawn.h (posix_spawn_file_actions_destroy): Fix typo
	in function name.
	* libc/posix/posix_spawn.c (posix_spawn_file_actions_destroy): Ditto.

2013-11-25  Sahil Patnayakuni <sahil.patnayakuni@gmail.com>

	* libc/include/time.h (time): Add restrict keyword.
	* libc/include/wchar.h (wcsftime): Add restrict keyword.
	* libc/time/asctime_r.c (asctime_r): Same.
	* libc/time/gmtime_r.c (gmtime_r): Same.  
	* libc/time/lcltime_r.c (lcltime_r): Same.     
	* libc/time/strftime.c (strftime): Same.   
	* libc/time/strptime.c (strptime): Same.  
	* libc/sys/linux/linuxthreads/timer_create.c (timer_create): Same.   
	* libc/sys/linux/linuxthreads/timer_settime.c (timer_settime): Same.                            
2013-11-23 Bryan Dunsmore <dunsmoreb@gmail.com>

	* libc/include/wordexp.h (wordexp): Add restrict keyword.
	* libc/posix/wordexp.c (wordexp): Ditto.

2013-11-22  Bryan Dunsmore <dunsmoreb@gmail.com>

	* libc/include/sys/time.h (gettimeofday): Add restrict keyword.
	(setitimer): Likewise.
	* libc/sys/rdos/gettod.c (gettimeofday): Likewise.
	* libc/sys/rtems/crt0.c (gettimeofday): Likewise.

2013-11-22  Chirayu Desai  <chirayudesai1@gmail.com>

	* libc/include/sys/unistd.h (readlink): Add restrict keyword.
	(readlinkat): Ditto.
	(swab): Ditto.
	* libc/sys/rdos/readlink.c (readlink): Ditto.
	* libc/string/swab.c (swab): Ditto.

2013-11-21  Daniel Ramirez <javamonn@gmail.com>

	* libc/sys/linux/statvfs.c (statvfs): Added restrict keyword.

2013-11-21  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/sys/rdos/chown.c, libc/sys/rdos/close.c, libc/sys/rdos/execve.c,
	libc/sys/rdos/fork.c, libc/sys/rdos/fstat.c, libc/sys/rdos/getpid.c,
	libc/sys/rdos/gettod.c, libc/sys/rdos/isatty.c, libc/sys/rdos/kill.c,
	libc/sys/rdos/link.c, libc/sys/rdos/lseek.c, libc/sys/rdos/open.c,
	libc/sys/rdos/rdos.h, libc/sys/rdos/read.c, libc/sys/rdos/readlink.c,
	libc/sys/rdos/sbrk.c, libc/sys/rdos/stat.c, libc/sys/rdos/symlink.c,
	libc/sys/rdos/times.c, libc/sys/rdos/unlink.c, libc/sys/rdos/wait.c,
	libc/sys/rdos/write.c: Convert from DOS to UNIX CRLF.

2013-11-21  Julio Gutierrez <jgutleyva@gmail.com>

	* libc/include/glob.h (glob): Add restrict keyword.
	* libc/posix/glob.c (glob): Ditto.

2013-11-21  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/posix/readdir_r.c: Add restrict keyword.
	* libc/machine/spu/sys/dirent.h, libc/sys/decstation/sys/dirent.h,
	libc/sys/linux/sys/dirent.h, libc/sys/rtems/sys/dirent.h,
	libc/sys/sparc64/sys/dirent.h, libc/sys/sun4/sys/dirent.h,
	libc/sys/sysvi386/sys/dirent.h: Add readdir_r() prototype.

2013-11-21  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/sys/rdos/stat.c: Remove stray +.

2013-11-21  Daniel Ramirez <javamonn@gmail.com>

	* libc/include/sys/stat.h, libc/sys/linux/sys/stat.h, 
	libc/sys/m88kbug/syscalls.c, libc/sys/rdos/stat.c, 
	libc/sys/sparc64/sys/stat.h: Add restrict keyword.

2013-11-20  Daniel Ramirez <javamonn@gmail.com>

	* libc/include/search.h, libc/search/tdelete.c: Add restrict keyword.

2013-11-20  Chirayu Desai  <chirayudesai1@gmail.com>

	* libc/include/regex.h, libc/posix/regcomp.c,
	libc/posix/regerror.c, libc/posix/regex.3
	libc/posix/regexec.c: Add restrict keyword.

2013-11-20  Daniel Ramirez <javamonn@gmail.com>

	* libc/iconv/lib/iconv.c, libc/include/iconv.h, 
	libc/sys/linux/iconv/iconv.c: Add restrict keyword.

2013-11-20  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdlib.h: Declare realpath only if !__STRICT_ANSI__.

2013-11-19  Jennifer Averett <jennifer.averett@oarcorp.com>

	* libc/sys/rtems/sys/cpuset.h: New file.

2013-11-19  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/include/stdlib.h: Add prototype of realpath().
	* libc/sys/linux/realpath.c: Add restrict keyword.

2013-11-19  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libm/common/modfl.c: Add cast to remove compiler warning.

2013-11-19  Terraneo Federico  <fede.tft@hotmail.it>

	* libc/posix/closedir.c: Fix use after free.
	Remove useless test dd_fd != -1
	* libc/posix/readdir.c: Remove useless test dd_fd == -1
	* libc/posix/readdir_r.c: Ditto.

2013-11-18  Sahil Patnayakuni  <sahilp@oarcorp.com>

	* libc/include/stdio.h, libc/machine/powerpc/vfscanf.c,
	libc/machine/spu/fgetpos.c, libc/machine/spu/fgets.c,
	libc/machine/spu/fopen.c, libc/machine/spu/fputs.c,
	libc/machine/spu/fread.c, libc/machine/spu/freopen.c,
	libc/machine/spu/fwrite.c, libc/machine/spu/setbuf.c,
	libc/machine/spu/vfprintf.c, libc/machine/spu/vfscanf.c,
	libc/machine/spu/vsnprintf.c, libc/machine/spu/vsprintf.c,
	libc/machine/spu/vsscanf.c, libc/stdio/asnprintf.c,
	libc/stdio/asprintf.c, libc/stdio/dprintf.c,
	libc/stdio/fgetpos.c, libc/stdio/fgets.c,
	libc/stdio/fmemopen.c, libc/stdio/fopen.c,
	libc/stdio/fprintf.c, libc/stdio/fputs.c,
	libc/stdio/fread.c, libc/stdio/freopen.c,
	libc/stdio/fscanf.c, libc/stdio/fwrite.c,
	libc/stdio/printf.c, libc/stdio/scanf.c,
	libc/stdio/setbuf.c, libc/stdio/snprintf.c,
	libc/stdio/sprintf.c, libc/stdio/sscanf.c,
	libc/stdio/vdprintf.c, libc/stdio/vprintf.c,
	libc/stdio/vscanf.c, libc/stdio/vsnprintf.c,
	libc/stdio/vsprintf.c, libc/stdio/vsscanf.c: Add restrict keyword.

2013-11-18  Sahil Patnayakuni  <sahilp@oarcorp.com>

	* libc/include/stdlib.h, libc/stdlib/mbstowcs.c,
	libc/stdlib/mbstowcs_r.c, libc/stdlib/mbtowc.c,
	libc/stdlib/mbtowc_r.c, libc/stdlib/strtod.c,
	libc/stdlib/strtol.c, libc/stdlib/strtold.c,
	libc/stdlib/strtoll.c, libc/stdlib/strtoll_r.c,
	libc/stdlib/strtoul.c, libc/stdlib/strtoull.c,
	libc/stdlib/strtoull_r.c, libc/stdlib/wcstombs.c,
	libc/stdlib/wcstombs_r.c: Add restrict keyword.

2013-11-18  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* libc/include/sys/unistd.h (ftruncate, truncate): Define
	for __arm__.

2013-11-13  Gregory Pietsch <gpietsch@comcast.net>

	* newlib/libc/stdlib/getopt.c (getopt_internal): Add missing braces.

2013-11-13  Freddie Chopin  <freddie_chopin@op.pl>

	* newlib/libc/include/getopt.h (struct option): name field should be
	"const char *".
	* newlib/libc/stdlib/getopt.c (getopt_internal): Use fputs()/fputc()
	instead of fprintf() to save code space.  Fix signed/unsigned
	comparison.

2013-11-12  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/libc/stdlib/getopt.c (getopt_internal): Fix NULL pointer access.

2013-11-08  Terry Guo  <terry.guo@arm.com>

	* libm/libm.texinfo: Rename node Index to Document Index.

2013-11-08  Corinna Vinschen  <vinschen@redhat.com>

	* libc/libc.texinfo: Rename node Library Index to Document Index.

2013-11-04  Terraneo Federico  <fede.tft@hotmail.it>

	* libc/stdio/fvwrite.c: Allow writing in larger chunks for fully
	buffered and unbuffered files, to improve write performance.

2013-10-31  Terraneo Federico  <fede.tft@hotmail.it>

	* libc/stdio/fvwrite.h: change type of uio_resid from int to size_t to
	fix fwrite() of > 2GByte buffers.

2013-10-30  Joey Ye  <joey.ye@arm.com>

	Implement malloc_stats for nano.
	* libc/stdlib/nano-mallocr.c (RONECALL): New parameter macro.
	(sbrk_start): New variable.
	(current_mallinfo, free_list): Forward declaration of data.
	(chunk): Define size as long type.
	(mallinfo): Synchronize with latest malloc.h.
	(nano_*): Forward declaration of functions.
	(get_chunk_from_ptr): Defined to static inline.
	(nano_mallinfo): Implement this function.
	(nano_malloc_stats): Implement this function.

2013-10-30  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/machine/_default_types.h: Revert change from 2013-10-10.

2013-10-24  Hans-Peter Nilsson  <hp@axis.com>

	* libc/include/stdio.h [!__LARGE64_FILES] (funopen): Fix typo
	in last change.

2013-10-23  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdio.h (funopen): Change prototype of
	__readfn and __writefn parameter to match new definition of
	FILE's _read and _write methods.
	(_funopen_r): Ditto.
	(funopen): Ditto.
	(_funopen_r): Ditto.
	* libc/include/sys/config.h (_READ_WRITE_BUFSIZE_TYPE) Define
	as type int if not already defined.  Add comment to explain.
	* libc/include/sys/reent.h: Include stddef.h.
	(struct __sFILE): Change type of last parameter in declaration
	of _read and _write methods to _READ_WRITE_BUFSIZE_TYPE.
	(struct __sFILE64): Ditto.
	* libc/stdio/local.h (__sread): Declare with last parameter set
	to _READ_WRITE_BUFSIZE_TYPE.
	(__seofread): Ditto.
	(__swrite): Ditto.
	(__swrite64): Ditto.
	* libc/stdio/fvwrite.c (__sfvwrite_r): Change type of local
	variables w and s to _READ_WRITE_RETURN_TYPE.
	* libc/stdio/fflush.c (__sflush_r): Change type of local variables
	n and t to _READ_WRITE_BUFSIZE_TYPE and _READ_WRITE_RETURN_TYPE.
	Add local variables flags to keep _flags value.
	* libc/stdio/fmemopen.c (fmemreader): Align to above change.
	(fmemwriter): Ditto.
	* libc/stdio/fopencookie.c (fcreader): Ditto.
	(fcwriter): Ditto.
	* libc/stdio/funopen.c (funread): Ditto.
	(funwrite): Ditto.
	(funreader): Ditto.
	(funwriter): Ditto.
	* libc/stdio/open_memstream.c (memwriter): Ditto.
	* libc/stdio/stdio.c (__sread): Ditto.
	(__seofread): Ditto.
	(__swrite): Ditto.
	* libc/stdio64/stdio64.c (__swrite64): Ditto.

2013-10-18  Joey Ye  <joey.ye@arm.com>

	* configure.in (enable-newlib-global-atexit): New option.
	* configure: Regenerated.
	* newlib.hin (_REENT_GLOBAL_ATEXIT): Place-holder.
	* README (enable-newlib-global-atexit): Description for
	new option.

2013-10-18  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/unistd.h (MAXPATHLEN): Delete.
	* libc/include/sys/param.h (MAXPATHLEN): Define.
	* libc/sys/rtems/sys/param.h (MAXPATHLEN): Likewise.
	* libc/unix/getcwd.c: Include <sys/param.h> for MAXPATHLEN.

2013-10-10  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/libc/sys/rtems/sys/param.h: Update some parameters to
	the latest FreeBSD values.

2013-10-10  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/machine/_types.h (_HAVE_SYSTYPES): Define.

2013-10-10  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/include/limits.h (_POSIX_HOST_NAME_MAX):
	Define.

2013-10-10  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/machine/_types.h (__dev_t): Define.
	(__dev_t_defined) Likewise.
	* libc/include/sys/_types.h (__dev_t): Delete RTEMS specific
	definition.

2013-10-10  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/machine/_types.h (_ssize_t): Delete.
	(__ssize_t_defined) Likewise.

2013-10-30  Sebastian Huber <sebastian.huber@embedded-brains.de>

	* libc/include/machine/_default_types.h: Revert change from 2013-10-10.

2013-10-10  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/machine/_default_types.h (__int8_t): Define via
	<stdint.h> provided type.
	(__uint8_t): Likewise.
	(__int8_least_t): Likewise.
	(__uint8_least_t): Likewise.
	(__int16_t): Likewise.
	(__uint16_t): Likewise.
	(__int16_least_t): Likewise.
	(__uint16_least_t): Likewise.
	(__int32_t): Likewise.
	(__uint32_t): Likewise.
	(__int32_least_t): Likewise.
	(__uint32_least_t): Likewise.
	(__int64_t): Likewise.
	(__uint64_t): Likewise.

2013-10-10  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/paths.h (_PATH_DEVNULL): Define.
	(_PATH_DEVZERO): Likewise.

2013-10-09  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* testsuite/newlib.wctype/twctype.c (main): Update
	iswprint(0xce2) test case.

2013-10-03  Steve Ellcey  <sellcey@mips.com>

	* libc/machine/mips/memset.c: Remove.
	* libc/machine/mips/memset.S: New.
	* libc/machine/mips/Makefile.am: Change memset.c to memset.S
	* libc/machine/mips/Makefile.in: Regenerate.

2013-10-01  Petr Hosek  <phosek@chromium.org>

	* configure.host: Disable new posix_spawn function for all
	users of posix dir except Cygwin.
	* libc/posix/Makefile.am: Add support for new posix_spawn function.
	* libc/posix/Makefile.in: Regenerate.
	* libc/posix/posix_spawn.c: New file.
	* libc/include/spawn.h: Ditto.

2013-09-13  Joey Ye  <joey.ye@arm.com>

	* libc/stdlib/nano-mallocr.c (nano_allopt): Typo fixed to ...
	(nano_mallopt): ... this.

2013-09-12  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/cdefs.h: Synchronize with latest FreeBSD
	version.
	* libc/include/stdatomic.h: Likewise.

2013-09-08  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/search.h (__compar_fn_t): Add typedef.
	(tdelete, tfind, tsearch): Use it.
	* libc/include/stdlib.h (__compar_fn_t): Add typedef.
	(bsearch, qsort): Use it.

2013-08-19  Meador Inge  <meadori@codesourcery.com>

	* libc/stdlib/__atexit.c (__register_exitproc): NULL-ify
	_on_exit_args_ptr when creating a new _atexit structure while
	_REENT_SMALL is defined.

2013-08-12  Bin Cheng  <bin.cheng@arm.com>

	* libc/configure.in (--enable-newlib-wchar-orient): Remove.
	* libc/configure: Regenerated.
	* libc/stdio/Makefile.am (NEWLIB_WIDE_ORIENT): Remove.
	* libc/stdio/Makefile.in: Regenerated.

2013-08-12  Yufeng Zhang  <Yufeng.Zhang@arm.com>

	* libc/sys/arm/crt0.S: Remove 'start'.

2013-08-08  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/string/strncat.c: Fix typo in documentation.

2013-08-01  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/stdio_ext.h (__fbufsize): Define as inline function for
	gcc, as macro otherwise.
	(__freading): Ditto.
	(__fwriting): Ditto.
	(__freadable): Ditto.
	(__fwriteable): Ditto.
	(__flbf): Ditto.
	(__fpending): Ditto.

2013-07-23  Sahil Patnayakuni  <sahilp@rtems.org>

	* libc/sys/linux/include/netdb.h, libc/sys/linux/net/getaddrinfo.c,
	libc/sys/linux/net/getnameinfo.c: Add restrict keyword to getnameinfo()
	and getaddrinfo() to increase standards compliance and match glibc.

2013-07-23  Sahil Patnayakuni  <sahilp@rtems.org>

	* libc/include/string.h, libc/string/memccpy.c, libc/string/memcpy.c,
	libc/string/stpcpy.c, libc/string/stpncpy.c, libc/string/strcat.c,
	libc/string/strncat.c, libc/string/strncpy.c, libc/string/strtok.c,
	libc/string/strtok_r.c, libc/string/strxfrm.c
	libc/machine/microblaze/strcpy.c, libc/machine/xscale/memcpy.c,
	libc/machine/cris/memcpy.c: Add __restrict to prototype to
	increase standards compliance.

2013-07-18  Ramana Radhakrishnan  <ramana.radhakrishnan@arm.com>

	* libc/sys/arm/syscalls.c (do_AngelSWI): Delete.
	* libc/sys/arm/libcfuncs.c (do_AngelSWI): Delete.
	* libc/sys/arm/swi.h: Copy over from libgloss.

2013-07-17  Janis Johnson  <janisjo@codesourcery.com>

	* libc/machine/powerpc/configure.in: Remove extra_sources; fix
	extra_objs for powerpc*-*altivec.
	* libc/machine/powerpc/Makefile.am: Define EXTRA_lib_a_SOURCES.
	* libc/machine/powerpc/configure: Regenerated.
	* libc/machine/powerpc/Makefile.in: Regenerated.

2013-07-16  David Holsgrove <david.holsgrove@xilinx.com>

	* configure.host: Change to microblaze*.
	* libc/include/machine/ieeefp.h: Add __MICROBLAZEEL__.
	* libc/machine/microblaze/mb_endian.h: New file.
	* newlib/libc/machine/microblaze/strcmp.c: Add little endian support.
	* newlib/libc/machine/microblaze/strcpy.c: Likewise.
	* newlib/libc/machine/microblaze/strlen.c: Likewise.

2013-07-09  Sabrina Ni  <sabrina@andestech.com>

	* libc/machine/nds32/Makefile.am (lib_a_SOURCES): Add abort.c, memcpy.S,
	memset.S, strcmp.S, and strcpy.S.
	* libc/machine/nds32/Makefile.in: Regenerated.
	* libc/machine/nds32/{abort.c, memcpy.S, memset.S, strcmp.S, strcpy.S}:
	New.

2013-07-09  Sabrina Ni  <sabrina@andestech.com>

	* configure.host (machine_dir, syscall_dir, newlib_cflags):
	Add settings for nds32*.
	* libc/include/machine/ieeefp.h (IEEE_BIG_ENDIAN, IEEE_LITTLE_ENDIAN):
	Ditto.
	* libc/include/machine/setjmp.h (JBLEN): Ditto.
	* libc/machine/configure.in: Add nds32 subdir.
	* libc/machine/configure: Regenerated.
	* libc/machine/nds32/Makefile.am: New.
	* libc/machine/nds32/Makefile.in: New (autogenerated).
	* libc/machine/nds32/aclocal.m4: New (autogenerated).
	* libc/machine/nds32/configure.in: New.
	* libc/machine/nds32/configure: New (autogenerated).
	* libc/machine/nds32/setjmp.S: New.

2013-07-09  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/config.h (__DYNAMIC_REENT__): Define for RTEMS.

2013-07-09  Bin Cheng  <bin.cheng@arm.com>

	* libc/stdio/fwalk.c (_fwalk): Remove redundant test.

2013-07-05  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/sys/types.h (u_char): Add redefinition guard.
	(u_short, u_int, u_long, caddr_t, daddr_t): Ditto.

2013-07-02  Joey Ye  <joey.ye@arm.com>

	Lite exit support.
	* README: Add information about lite-exit.
	* acconfig.h (_LITE_EXIT): New macro.
	* configure.in (enable-lite-exit): New option.
	(_LITE_EXIT): Define new macro.
	* configure: Regenerated.
	* newlib.hin (_LITE_EXIT): New macro.
	* libc/stdlib/__atexit.c [_LITE_EXIT]: Add dummy explicit 
	reference to __call_exitprocs.
	* libc/stdlib/cxa_atexit.c [_LITE_EXIT]: Make __register_exitproc a
	weak reference.
	* libc/stdlib/exit.c (exit)[_LITE_EXIT]: Remove TWS and weakly reference
	__call_exitprocs.

2013-07-02  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/reent.h: Fix typo in comment.

2013-07-01  Will Newton  <will.newton@linaro.org>

	* libc/machine/arm/memcpy-armv7a.S: Adjust entry to
	 aligned loop to improve misaligned copy performance.

2013-06-26  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdio.h: Specify std streams always in terms
	of _REENT.
	* libc/include/wchar.h: Ditto.
	* libc/include/sys/reent.h: Remove _RENT_ONLY check around
	setting of _REENT macro.

2013-06-24  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/string.h (rawmemchr): Declare.
	* libc/string/Makefile.am (ELIX_4_SOURCES): Add rawmemchr.c.
	(CHEWOUT_FILES): Add rawmemchr.def.
	* libc/string/Makefile.in: Regenerate.
	* libc/string/rawmemchr.c: New file.

2013-06-24  Terraneo Federico  <fede.tft@hotmail.it>

	* libc/reent/reent.c (_reclaim_reent): Free also _misc and
	_signal_buf.

2013-06-24  Terraneo Federico  <fede.tft@hotmail.it>

	* libc/include/sys/reent.h (_ATEXIT_INIT_PTR): Remove.
	(_REENT_INIT_ATEXIT_PTR): Remove.
	(_REENT_INIT_PTR): Reduce code size if _REENT_SMALL.

2013-06-21  Will Newton  <will.newton@linaro.org>

	* libc/machine/arm/strlen-armv7.S: Import latest strlen
	code from Linaro cortex-strings.

2013-06-21  Will Newton  <will.newton@linaro.org>

	* MAINTAINERS: Add Will Newton to Write After Approval.

2013-06-19  Bin Cheng  <bin.cheng@arm.com>

	* acconfig.h (_UNBUF_STREAM_OPT): Undefine.
	* newlib.hin (_UNBUF_STREAM_OPT): Undefine.
	* configure.in (--enable-newlib-unbuf-stream-opt): New option.
	* configure: Regenerate.
	* libc/stdio/vfprintf.c (_VFPRINTF_R): Don't do optimization on
	unbuffered stream files.
	* libc/stdio/vfwprintf.c (_VFWPRINTF_R): Likewise.
	* README: Add description about the option.

2013-06-19  Terraneo Federico  <fede.tft@hotmail.it>

	* libc/posix/readdir_r.c: Fix potential read past dirp->dd_buf.

2013-06-13  Bir Cheng  <bin.cheng@arm.com>

	* README: Add description for NEWLIB's feature customizing
	configuration options.

2013-06-10  Terraneo Federico  <fede.tft@hotmail.it>

	* libc/stdlib/gdtoa-gethex.c (__hexdig): Constify.
	(hexdig_init): Remove.
	(__hexdig_fun): New function.
	hexdig_init, added __hexdig_fun
	(gethex): Call __get_hexdig macro rather than hexdig.
	* libc/stdlib/gdtoa-hexnan.c (hexnan): Constify fpi argument.
	Call __get_hexdig macro rather than hexdig.
	* libc/stdlib/ldtoa.c: Throughout constify functions arguments where
	required by constifying the following arrays.
	(ezero): Constify.
	(eone): Constify.
	(ermsg): Constify.
	(etens): Constify.
	(emtens): Constify.
	(nan113): Constify.
	(nan64): Constify.
	(nan53): Constify.
	(nan24): Constify.
	* libc/stdlib/mprec.h (__get_hexdig): Define.
	(gethex): Constify args in declaration where appropriate.
	(hexnan): Ditto.
	(hexdig_init): Remove declaration.
	(__hexdig_fun): Declare.
	* libc/stdlib/strtod.c (fpi): Constify.
	(fpinan): Constify.

2013-06-07  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/cdefs.h (__has_extension): New define.
	(__has_feature): Likewise.
	(__has_include): Likewise.
	(__has_builtin): Likewise.
	* libc/include/stdatomic.h: New.

2013-06-05  Joey Ye  <joey.ye@arm.com>

	* libc/machine/arm/strcmp.S: Use local labels.

2013-06-03  Joey Ye  <joey.ye@arm.com>

	* libc/machine/arm/Makefile.am (MEMCPY_DEP): New define.
	($(lpfx)memcpy.o, $(lpfx)memcpy.obj): Depend on MEMCPY_DEP.
	* libc/machine/arm/Makefile.in: Regenerated.
	* newlib/libc/machine/arm/memcpy-stub.c: Exclude armv7-m/armv7e-m.
	* newlib/libc/machine/arm/memcpy-armv7m.S: New.
	* newlib/libc/machine/arm/memcpy.S: Replace with wrapper code.  Old
	code moved to ...
	* newlib/libc/machine/arm/memcpy-armv7a.S: ... here.  Remove 
	redundant architecture check.

2013-05-30  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/machine/powerpc/times.c: Moved to libgloss/rs6000.
	* libc/machine/powerpc/Makefile.am: Remove times.c.
	* libc/machine/powerpc/Makefile.in: Regenerated.

2013-05-29  Joey Ye  <joey.ye@arm.com>
            Bin Cheng  <bin.cheng@arm.com>

	* configure.in (--enable-newlib-nano-malloc): New option.
	* configure: Regenerated.
	* libc/configure.in (--enable-newlib-nano-malloc): New option.
	* libc/configure: Regenerated.
	* libc/stdlib/Makefile.am (NEWLIB_NANO_MALLOC): Use.
	* libc/stdlib/Makefile.in: Regenerated.
	* libc/stdlib/nano-mallocr.c: New file, implementing nano
	version malloc family functions.

2013-05-28  Richard Earnshaw  <rearnsha@arm.com>

	* libc/machine/arm/strcpy.S: Explicitly set build attributes when
	building for thumb1 targets.

2013-05-22  Corinna Vinschen  <vinschen@redhat.com>

	* libc/ctype/isalnum.c: Correct domain of definition to SUSv4 wording.
	* libc/ctype/isalpha.c: Ditto.
	* libc/ctype/isblank.c: Ditto.
	* libc/ctype/iscntrl.c: Ditto.
	* libc/ctype/isdigit.c: Ditto.
	* libc/ctype/islower.c: Ditto.
	* libc/ctype/isprint.c: Ditto.
	* libc/ctype/ispunct.c: Ditto.
	* libc/ctype/isxdigit.c: Ditto.

2013-05-22  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/cdefs.h (_Static_assert): Accommodate gcc >= 4.6.

2013-05-16  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/reent/reent.c (_wrapup_reent): Remove.

2013-05-13  DJ Delorie  <dj@delorie.com>
	    Nick Clifton  <nickc@redhat.com>

	* MAINTAINERS (msp430): Add.
	* configure.host (msp430): Add.
	* libc/include/machine/ieeefp.h: Add MSP430 support.
	* libc/include/machine/setjmp.h: Likewise.
	* libc/include/sys/config.h: Likewise.
	* libc/machine/configure.in (msp430): Add.
	* libc/machine/configure: Regenerate.
	* libc/machine/msp430: New directory.

2013-05-10  Freddie Chopin  <freddie_chopin@op.pl>

	* configure.in: Fix help text for disable-newlib-atexit-dynamic-alloc option.
	* configure: Regenerated.

2013-05-07  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/config.h (_REENT_GLOBAL_ATEXIT): Define for
	RTEMS.
	* libc/include/sys/reent.h (_reent): Use _REENT_GLOBAL_ATEXIT.
	(_global_atexit): Declare if _REENT_GLOBAL_ATEXIT is defined.
	* libc/reent/reent.c (_reclaim_reent): Remove atexit cleanup if
	_REENT_GLOBAL_ATEXIT is defined.
	(_wrapup_reent): Remove atexit handling if _REENT_GLOBAL_ATEXIT
	is defined.
	* libc/stdlib/__atexit.c (_global_atexit0): Define if
	_REENT_GLOBAL_ATEXIT is defined.
	* libc/stdlib/__call_atexit.c (_global_atexit): Define if
	_REENT_GLOBAL_ATEXIT is defined.

2013-05-07  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/reent.h (_ATEXIT_INIT): Define.
	(_ATEXIT_INIT_PTR): Likewise.
	(_REENT_INIT_ATEXIT): Likewise.
	(_REENT_INIT_ATEXIT_PTR): Likewise.
	(_GLOBAL_ATEXIT): Likewise.
	* libc/stdlib/__atexit.c (_GLOBAL_ATEXIT0): Define.
	(__register_exitproc): Use _GLOBAL_ATEXIT and _GLOBAL_ATEXIT0.
	* libc/stdlib/__call_atexit.c (__call_exitprocs): Likewise.

2013-05-07  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/stdlib/__atexit.c (__atexit_lock): Declare.
	* libc/stdlib/__call_atexit.c (__atexit_lock): Define.

2013-05-06  Sandra Loosemore  <sandra@codesourcery.com>

	* configure.host (machine_dir, sys_dir, syscall_dir, newlib_cflags):
	Add settings for nios2*.
	* libc/include/machine/ieeefp.h (IEEE_BIG_ENDIAN, IEEE_LITTLE_ENDIAN):
	Likewise.
	* libc/include/machine/setjmp.h (JBLEN, JBTYPE): Likewise.
	* libc/machine/configure.in: Add nios2 subdir.
	* libc/machine/configure: Regenerated.
	* libc/machine/nios2/Makefile.am: New.
	* libc/machine/nios2/Makefile.in: New (autogenerated).
	* libc/machine/nios2/aclocal.m4: New (copied from mips version).
	* libc/machine/nios2/configure.in: New.
	* libc/machine/nios2/configure: New (autogenerated).
	* libc/machine/nios2/setjmp.s: New.

2013-04-29  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/stdio/local.h (CHECK_INIT): Evaluate argument only once.
	(CHECK_STD_INIT): Likewise.
	* libc/stdio/fgetc.c (fgetc): Use local variable for _REENT.
	* libc/stdio/fgetwc.c (fwgetc): Likewise.
	* libc/stdio/fgetws.c (fgetws): Likewise.
	* libc/stdio/fputc.c (fputc): Likewise.
	* libc/stdio/fputwc.c (fputwc): Likewise.
	* libc/stdio/fputws.c (fputws): Likewise.
	* libc/stdio/getc.c (getc): Likewise.
	* libc/stdio/getchar.c (_getchar_r): Likewise.
	* libc/stdio/putc.c (putc): Likewise.
	* libc/stdio/putchar.c (putchar): Likewise.
	* libc/stdio/scanf.c (scanf): Likewise.
	* libc/stdio/setvbuf.c (setvbuf): Likewise.
	* libc/stdio/ungetwc.c (ungetwc): Likewise.
	* libc/stdio/vfscanf.c (VFSCANF): Likewise.
	* libc/stdio/vfwscanf.c (VFWSCANF): Likewise.
	* libc/stdio/viprintf.c (viprintf): Likewise.
	* libc/stdio/viscanf.c (viscanf): Likewise.
	* libc/stdio/vprintf.c (vprintf): Likewise.
	* libc/stdio/vscanf.c (vscanf): Likewise.
	* libc/stdio/vwprintf.c (vwprintf): Likewise.
	* libc/stdio/vwscanf.c (vwscanf): Likewise.
	* libc/stdio/wscanf.c (wscanf): Likewise.
	* libc/stdlib/ecvtbuf.c (fcvtbuf): Likewise.
	(fcvtbuf): Likewise.
	(ecvtbuf): Likewise.
	(ecvtbuf): Likewise.
	* libc/stdlib/mblen.c (mblen): Likewise.
	* libc/stdlib/mbrlen.c (mbrlen): Likewise.
	* libc/stdlib/mbrtowc.c (mbrtowc): Likewise.
	* libc/stdlib/mbtowc.c (mbtowc): Likewise.
	* libc/stdlib/rand.c (srand): Likewise.
	(rand): Likewise.
	* libc/stdlib/wcrtomb.c (wcrtomb): Likewise.
	* libc/stdlib/wctob.c (wctob): Likewise.
	* libc/stdlib/wctomb.c (wctomb): Likewise.
	* libc/string/strtok.c (strtok): Likewise.
	* libc/time/asctime.c (asctime): Likewise.
	* libc/time/gmtime.c (gmtime): Likewise.
	* libc/time/lcltime.c (lcltime): Likewise.

2013-04-29  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/reent.h (_REENT_INIT_PTR): Reduce code size.

2013-04-29  Freddie Chopin  <freddie_chopin@op.pl>

	* libc/libc.texinfo: Fix @ references and change ifinfo to be
	ifnottexinfo.
	* libm/libm.texinfo: Ditto.

2013-04-25  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/stdio/local.h (_STDIO_CLOSE_PER_REENT_STD_STREAMS): New define.
	* libc/stdio/findfp.c (_STDIO_CLOSE_PER_REENT_STD_STREAMS): Use define.

2013-04-24  Corinna Vinschen  <vinschen@redhat.com>
	    Nick Clifton  <nickc@redhat.com>

	* libc/stdlib/strtod.c: Manual update to latest algorithm from NetBSD.

2013-04-23  Corinna Vinschen  <vinschen@redhat.com>

	Port newlib to x86_64-pc-cygwin.
	* libc/include/sys/features.h: Redefine compilation environment
	definitions for Cygwin to cover 64 bit Cygwin.
	* libc/ctype/ctype_.c (_ctype_): Fix definition for 64 bit Cygwin.
	* libc/include/machine/setjmp.h: Change definition of _JBLEN to allow
	different values for 32 bit and 64 bit Cygwin.
	* libc/include/reent.h (stat64): Define as stat under Cygwin, instead
	of as __stat64.  Undef stat64 if not building Newlib.
	* libc/include/sys/stat.h (stat64): Define as stat under Cygwin.

2013-04-22  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/cdefs.h: Align with latest FreeBSD file header.
	* libc/include/sys/features.h (__GNUC_PREREQ__): Define.

2013-04-19  Corinna Vinschen  <vinschen@redhat.com>

	* newlib/libc/search/hash.c: Revert patch from 2012-08-08.

2013-04-16  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/sys/queue.h: Delete file.
	* libc/include/sys/cdefs.h (__containerof): New define.
	(__DEQUALIFY): Likewise.
	* libc/include/sys/queue.h (TRACEBUF_INITIALIZER): Likewise.
	(TRACEBUF): Likewise.
	(LIST_FOREACH_SAFE): Likewise.
	(LIST_PREV): Likewise.
	(LIST_SWAP): Likewise.
	(QMD_LIST_CHECK_HEAD): Likewise.
	(QMD_LIST_CHECK_NEXT): Likewise.
	(QMD_LIST_CHECK_PREV): Likewise.
	(QMD_SAVELINK): Likewise.
	(QMD_TAILQ_CHECK_HEAD): Likewise.
	(QMD_TAILQ_CHECK_NEXT): Likewise.
	(QMD_TAILQ_CHECK_PREV): Likewise.
	(QMD_TAILQ_CHECK_TAIL): Likewise.
	(QMD_TRACE_ELEM): Likewise.
	(QMD_TRACE_HEAD): Likewise.
	(SLIST_FOREACH_PREVPTR): Likewise.
	(SLIST_FOREACH_SAFE): Likewise.
	(SLIST_REMOVE_AFTER): Likewise.
	(SLIST_SWAP): Likewise.
	(STAILQ_FOREACH_SAFE): Likewise.
	(STAILQ_REMOVE_AFTER): Likewise.
	(STAILQ_SWAP): Likewise.
	(TAILQ_FOREACH_REVERSE_SAFE): Likewise.
	(TAILQ_FOREACH_SAFE): Likewise.
	(TAILQ_SWAP): Likewise.
	(TRASHIT): Likewise.
	(SLIST_REMOVE): Use SLIST_REMOVE_AFTER().
	(STAILQ_LAST): Use __containerof().
	(STAILQ_REMOVE): Use STAILQ_REMOVE_AFTER().

2013-04-12  Will Newton  <will.newton@linaro.org>

	* libc/machine/arm/memcpy-stub.c: Use generic memcpy if unaligned
	access is not enabled.
	* libc/machine/arm/memcpy.S: Faster memcpy implementation for
	Cortex A15 cores using NEON and VFP if available.

2013-04-12  Bin Cheng  <bin.cheng@arm.com>

	* acconfig.h (_WCHAR_ORIENT): Undef
	* newlib.hin (_WCHAR_ORIENT): Undef
	* configure.in (--enable-newlib-wchar-orient): New option.
	* configure: Regenerated.
	* libc/configure.in (--enable-newlib-wchar-orient): New option.
	* libc/configure: Regenerated.
	* libc/stdio/Makefile.am (NEWLIB_WIDE_ORIENT): Use.
	* libc/stdio/Makefile.in: Regenerated.
	* libc/stdio/local.h (ORIENT): Use _WCHAR_ORIENT to control
	the definition. Add alternative definition.
	* libc/stdio/vfprintf.c (__sfputs_r, __sprint_r): Use _WCHAR_ORIENT
	to control the wide char output.

2012-04-11  Jon TURNEY  <jon.turney@dronecode.org.uk>

	* libc/include/stdlib.h (strtof, strtoll, strtoull, strtold): Also
	prototype if C++11 or later.

2013-04-10  Bin Cheng  <bin.cheng@arm.com>

	* acconfig.h (_FSEEK_OPTIMIZATION): Undef
	* newlib.hin (_FSEEK_OPTIMIZATION): Undef
	* configure.in (--disable-newlib-fseek-optimization): New option.
	* configure: Regenerated.
	* libc/stdio/fflush.c (__sflush_r): Use _FSEEK_OPTIMIZATION to
	control fseek optimization.
	* libc/stdio/fseeko.c (_fseeko_r): Ditto.
	* libc/stdio/makebuf.c (__smakebuf_r): Ditto.
	* libc/stdio64/fseeko64.c (_fseeko64_r): Ditto.

2013-04-08  Matthew Gretton-Dann  <matthew.gretton-dann@linaro.org>

	* libc/stdio/vfieeefp.h (ldieee): Fix typo.

2013-04-02  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/posix/scandir.c (DIRSIZ): Use offsetof instead of magic
	number.

2013-03-27  Bin Cheng  <bin.cheng@arm.com>

	* acconfig.h (_FVWRITE_IN_STREAMIO): Undefine.
	* newlib.hin (_FVWRITE_IN_STREAMIO): Undefine.
	* configure.in (--disable-newlib-fvwrite-in-streamio): New option.
	* configure: Regenerated.
	* libc/stdio/fputs.c (_fputs_r): Use _FVWRITE_IN_STREAMIO to
	control __sfvwrite_r.  Add alternative implementation.
	* libc/stdio/fputws.c (_fputws_r): Ditto.
	* libc/stdio/fwrite.c (_fwrite_r): Ditto.
	* libc/stdio/puts.c (_puts_r): Ditto.
	* libc/stdio/vfprintf.c (__ssputs_r, __sfputs_r): New function.
	(_VFPRINTF_R): Use _FVWRITE_IN_STREAMIO to control vector buffer.
	(__SPRINT): Use _FVWRITE_IN_STREAMIO to control macro definition.
	* libc/stdio/vfwprintf.c (_VFWPRINTF_R): Use _FVWRITE_IN_STREAMIO
	to control vector buffer.

2013-03-26  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/stdio/local.h (_STDIO_WITH_THREAD_CANCELLATION_SUPPORT):
	New define.
	* libc/stdio/fclose.c: Use
	_STDIO_WITH_THREAD_CANCELLATION_SUPPORT.
	* libc/stdio/freopen.c: Likewise.
	* libc/stdio64/freopen64.c: Likewise.

2013-03-15  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* newlib/libc/stdio/findfp.c (glue_with_file): New.
	(__sfmoreglue): Use glue_with_file to avoid alignment problems.

2013-02-28  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/machine/setjmp.h (sigjmp_buf): Fix definition of
	sigjmp_buf size if _JBTYPE is defined.

2013-02-26  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/malloc.h (struct mallinfo): Convert type of all members
	to size_t to match all targets.

2013-02-20  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>
	    Joseph S. Myers <joseph@codesourcery.com>

	* libc/include/sys/_types.h (_ssize_t): Define as signed equivalent of
	size_t with GCC.

2013-02-19  Steve Ellcey  <sellcey@mips.com>

	* libc/machine/mips/memcpy.S: Fix USE_PREFETCH check.

2013-02-01  Nick Clifton  <nickc@redhat.com>

	* libc/sys/sysnecv850/crt0.S: Add recognition of the e3v5
	architecture variant.

2013-01-22  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/include/pthread.h: Add PTHREAD_RWLOCK_INITIALIZER.
	Fix typo on PTHREAD_COJND_INITIALIZER.

2013-01-17  Marcus Shawcroft  <marcus.shawcroft@linaro.org>

	* libc/machine/aarch64/strncmp.S: Correct arithmetic for
	argument N values close to the maximum representable
	value in an unsigned 64 bit value.

2013-01-17  Marcus Shawcroft  <marcus.shawcroft@linaro.org>

	* libc/machine/aarch64/strnlen.S: Correct arithmetic for
	argument N values close to the maximum representable
	value in an unsigned 64 bit value.

2013-01-15  Nick Clifton  <nickc@redhat.com>

	* libc/sys/sysnecv850/crt0.S (_start): Enable FPU for the
	V850e2v3.

2013-01-12  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/string.h: Fix preprocessor expressions using
	_XOPEN_SOURCE.

2013-01-11  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/vfwprintf.c (_VFWPRINTF_R): Add code to correctly handle
	's' format specifier on not _MB_CAPABLE targets.  Fix a formatting
	glitch in _MB_CAPABLE enabled code.  Add a missing 'L' specifier.

2013-01-10  Marcus Shawcroft  <marcus.shawcroft@linaro.org>

	* libc/machine/aarch64/Makefile.am (lib_a_SOURCES): Add
	memcmp-stub.c and memcmp.S
	* libc/machine/aarch64/Makefile.in: Regenerated.
	* libc/machine/aarch64/memcmp-stub.c: New file.
	* libc/machine/aarch64/memcmp.S: New file.

2013-01-10  Marcus Shawcroft  <marcus.shawcroft@linaro.org>

	* libc/machine/aarch64/Makefile.am (lib_a_SOURCES): Add
	strnlen-stub.c and strnlen.S
	* libc/machine/aarch64/Makefile.in: Regenerated.
	* libc/machine/aarch64/strnlen-stub.c: New file.
	* libc/machine/aarch64/strnlen.S: New file.

2013-01-10  Marcus Shawcroft  <marcus.shawcroft@linaro.org>

	* libc/machine/aarch64/Makefile.am (lib_a_SOURCES):
	Add strlen.S and strlen-stub.c.
	* libc/machine/aarch64/Makefile.in: Regenerated.
	* libc/machine/aarch64/strlen-stub.c: New file.
	* libc/machine/aarch64/strlen.S: New file.

2013-01-10  Marcus Shawcroft  <marcus.shawcroft@linaro.org>

	* libc/machine/aarch64/Makefile.am (lib_a_SOURCES):
	Add memmove.S and memmove-stub.c.
	* libc/machine/aarch64/Makefile.in: Regenerated.
	* libc/machine/aarch64/memmove-stub.c: New file.
	* libc/machine/aarch64/memmove.S: New file.

2013-01-10  Marcus Shawcroft  <marcus.shawcroft@linaro.org>

	* libc/machine/aarch64/Makefile.am (lib_a_SOURCES): Re-ordered.
	Add strncmp.S and strncmp-stub.c.
	* libc/machine/aarch64/Makefile.in: Regenerated.
	* libc/machine/aarch64/strncmp-stub.c: New file.
	* libc/machine/aarch64/strncmp.S: New file.

2013-01-10  Marcus Shawcroft  <marcus.shawcroft@linaro.org>

	* libc/machine/aarch64/Makefile.am (lib_a_SOURCES): Add
	memcpy.c memcpy-stub.c memset.S memset-stub.c strcmp.S
	strcmp-stub.c.
	* libc/machine/aarch64/Makefile.in: Regenerated.
	* libc/machine/aarch64/memcpy-stub.c: New file.
	* libc/machine/aarch64/memcpy.S: New file.
	* libc/machine/aarch64/memset-stub.c: New file.
	* libc/machine/aarch64/memset.S: New file.
	* libc/machine/aarch64/strcmp.S: New file.
	* libc/machine/aarch64/strcmp-stub.c: New file.

2013-01-08  Jeff Johnston  <jjohnstn@redhat.com>

	* MAINTAINERS: Add Richard Earnshaw as Arm co-maintainer
	and add Richard and Marcus Shawcroft as aarch64 maintainers.

2013-01-07  Steve Ellcey  <sellcey@mips.com>

	* libc/machine/mips/memcpy.S (memcpy): Check if _MIPS_SIM is set.

2012-12-20  Jeff Johnston  <jjohnstn@redhat.com>

        * NEWS: Update with 2.0.0 info.
        * README: Ditto.
        * acinclude.m4: Change version number to 2.0.0.
        * aclocal.m4: Regenerated.
        * configure: Ditto.
        * Makefile.in: Regenerated.
        * doc/aclocal.m4: Ditto.
        * doc/configure: Ditto.
        * libc/*/aclocal.m4: Ditto.
        * libc/*/configure: Ditto.
        * libc/libc.texinfo: Ditto.
        * libm/*/aclocal.m4: Ditto.
        * libm/*/configure: Ditto.
        * libm/libm.texinfo: Ditto.
        * libc/sys/linux/shared.ld: Add VERS_2.0

2012-12-19  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdlib/strtod.c (_strtod_r): Revert change from 2011-05-16.

2012-12-18  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/math.h: Remove the log2f macro.

2012-12-18  Craig Howland  <howland@LGSInnovations.com>

	* libc/include/math.h: Add recognition of values 1 and 2 for
	FLT_EVAL_METHOD.

2012-12-18  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/puts.c (_puts_r): Fix typo in previous patch.  Add local
	variable fp for better readability.

2012-12-17  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/puts.c: Add fp locking and use _stdout_r macro
	to refer to the stream rather than stdout.

2012-12-14  Yufeng Zhang  <yufeng.zhang@arm.com>

	* libc/machine/aarch64/machine/_types.h: New file; define _ssize_t
	as long.

2012-12-11  Steve Ellcey  <sellcey@mips.com>

	* libc/machine/mips/memcpy.c: Remove.
	* libc/machine/mips/memcpy.S: New.
	* libc/machine/mips/Makefile.am (lib_a_CCASFLAGS): Add
	-D_COMPILING_NEWLIB.
	(lib_a_CFLAGS): Ditto.

2012-12-04  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	* configure.host: Define libm_machine_dir value for arm.
	* libm/machine/configure.in: Add arm to libm machines list.
	* libm/machine/configure: Regenerate.
	* libm/machine/arm/Makefile.am: New file.
	* libm/machine/arm/Makefile.in: Generated.
	* libm/machine/arm/aclocal.m4: Generated.
	* libm/machine/arm/configure: Generated.
	* libm/machine/arm/configure.in: New file.
	* libm/machine/arm/s_ceil.c: Likewise.
	* libm/machine/arm/s_floor.c: Likewise.
	* libm/machine/arm/s_nearbyint.c: Likewise.
	* libm/machine/arm/s_rint.c: Likewise.
	* libm/machine/arm/s_round.c: Likewise.
	* libm/machine/arm/s_trunc.c: Likewise.
	* libm/machine/arm/sf_ceil.c: Likewise.
	* libm/machine/arm/sf_floor.c: Likewise.
	* libm/machine/arm/sf_nearbyint.c: Likewise.
	* libm/machine/arm/sf_rint.c: Likewise.
	* libm/machine/arm/sf_round.c: Likewise.
	* libm/machine/arm/sf_trunc.c: Likewise.

2012-11-30  Greta Yorsh  <Greta.Yorsh@arm.com>

	* libc/machine/arm/strcmp.S (compute_return_value): Fix return value.
	* testsuite/newlib.string/strcmp-1.c (main): Add new test cases.

2012-11-29  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/reent.h (__sFILE): Change type of _offset
	from int to _off_t.
	* libc/stdio/ftell.c: Use _ftello_r().
	* libc/stdio/ftello.c: Copy implementation from previous
	_ftell_r().
	* libc/stdio/fseek.c: Use _fseeko_r().
	* libc/stdio/fseeko.c: Copy implementation from previous
	_fseek_r().

2012-11-26  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/inttypes.h: Add and use __INTTYPES_EXP().

2012-11-23  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	* libm/machine/aarch64/configure.in: Change comment to say libm
	instead of libc.

2012-11-12  Steve Ellcey  <sellcey@mips.com>

	* libc/machine/mips/machine/asm.h: New.
	* libc/machine/mips/machine/regdef.h: Update register definitions
	for different ABI's.

2012-11-11  Christopher Faylor  <me.cygwin2012@cgf.cx>

	* libc/include/sys/time.h: Avoid guarding other than timeval
	declaration with _TIMEVAL_DEFINED.  Move timeval related macros under
	_TIMEVAL_DEFINED control.

2012-11-01  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/locale.h (NULL): Fetch definition via stddef.h.
	* libc/include/stdio.h (NULL): Ditto.
	* libc/include/stdlib.h (NULL): Ditto.
	* libc/include/string.h (NULL): Ditto.
	* libc/include/wchar.h (NULL): Ditto.
	* libc/include/rpc/types.h (NULL): Ditto.
	* libc/include/time.h (NULL): Ditto.  Include stddef.h earlier.

2012-10-27  Anthony Green  <green@moxielogic.com>

	* libc/machine/moxie/setjmp.S (setjmp): Minor optimization.

2012-10-26  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/signal.h (sigset_t): Don't define when building
	for Cygwin.

2012-10-24  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.in: Comment out the --enable-newlib-fp-hw option
	as the mathfp library is inaccurate and should not be used.
	* Makefile.am: Add comment regarding the mathfp directory.
	* configure: Regenerated.
	* Makefile.in: Ditto.
	* libm/mathfp/README: New file that details why the mathfp
	directory is not used.

2012-10-22  Jon TURNEY  <jon.turney@dronecode.org.uk>

	* libc/include/string.h (strdup, strndup): Declare if not
	__STRICT_ANSI__ or _XOPEN_SOURCE is defined appropriately.

2012-10-22  Jon TURNEY  <jon.turney@dronecode.org.uk>

	* libc/include/stdlib.h (strtof, strtoll, strtoull, strtold):Prototype
	if not __STRICT_ANSI__ or stdc version C99 or greater.

2012-10-21  Hans-Peter Nilsson  <hp@bitrange.com>

	* libc/sys/mmixware/sbrk.c (_sbrk): Drop unused extern declaration
	of "end".  Mark allocated memory by applying PRELD.

2012-10-16  Gregory Pietsch  <gpietsch@comcast.net>

	* libc/stdlib/getopt.c (getopt_internal): Align handling of colon to
	SUSv4 requirements.
	(__getopt_long_r): Fix formatting.

2012-10-16  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/vfprintf.c (__sbprintf): Fix comment.

2012-10-16  Aurelien Jacobs  <aurel@gnuage.org>

	* libc/include/assert.h (static_assert): Define.

2012-10-16  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/features.h (__GNUC_PREREQ): Define.  Use
	throughout in place of explicit GNUC version checks.
	* libc/include/_ansi.h (_NOINLINE): Define.
	(_NOINLINE_STATIC): Define.
	* libc/stdio/vfprintf.c (__sbprintf): Define _NOINLINE_STATIC.

2012-10-09  Peter Rosin  <peda@lysator.liu.se>

	* libc/posix/wordfree.c (wordfree): The wrong words are freed
	when WRDE_DOOFFS is in use. Restructure the code so that the memory
	needed to be freed is instead kept in an internal linked list...
	* libc/posix/wordexp2.h: ...as defined here...
	* libc/posix/wordexp.c (wordexp): ...and build this internal
	linked list here, avoiding wasteful strdup calls in the process.

2012-10-09  Peter Rosin  <peda@lysator.liu.se>

	* libc/posix/wordexp.c (wordexp): Return WRDE_NOSPACE on resource
	allocation failure. Cleanup leftover resources when failing.

2012-10-09  Peter Rosin  <peda@lysator.liu.se>

	* libc/posix/wordexp.c (wordexp): Handle expanded words longer
	than 500 bytes.

2012-10-09  Peter Rosin  <peda@lysator.liu.se>

	* libc/posix/wordexp.c (wordexp): Don't leak file streams.

2012-10-03  DJ Delorie  <dj@redhat.com>

	* libc/machine/rl78/setjmp.S: Convert from CPP macros to GAS
	macros, to avoid dependence on the line separation character.

2012-10-01  DJ Delorie  <dj@redhat.com>

	* libc/sys/sysnecv850/sbrk.c (_sbrk): Change heap_start to be an
	array of undefined size, to avoid problems when compiled with
	-msda=4.

2012-10-01  Jeff Johnston  <jjohnstn@redhat.com>

	* README: replace sources.redhat.com with sourceware.org.
	* HOWTO: Ditto.

2012-09-26  Ian Bolton  <ian.bolton@arm.com>
        Jim MacArthur  <jim.macarthur@arm.com>
        Marcus Shawcroft  <marcus.shawcroft@arm.com>
        Nigel Stephens  <nigel.stephens@arm.com>
        Ramana Radhakrishnan  <ramana.radhakrishnan@arm.com>
        Richard Earnshaw  <rearnsha@arm.com>
        Sofiane Naci  <sofiane.naci@arm.com>
        Tejas Belagod  <tejas.belagod@arm.com>
        Yufeng Zhang  <yufeng.zhang@arm.com>

	* configure.host: Add AArch64.
	* libc/include/machine/ieeefp.h: Add AArch64.
	* libc/include/machine/setjmp.h: Add AArch64.
	* libc/include/machine/time.h: Add AArch64.
	* libc/include/sys/config.h: Add AArch64.
	* libc/machine/aarch64/Makefile.am: New file.
	* libc/machine/aarch64/Makefile.in: Generated.
	* libc/machine/aarch64/aclocal.m4: Generated.
	* libc/machine/aarch64/configure: Generated.
	* libc/machine/aarch64/configure.in: New file.
	* libc/machine/aarch64/setjmp.S: New file.
	* libc/machine/configure.in: Add AArch64.
	* libc/machine/configure: Re-generated.
	* libm/machine/aarch64/Makefile.am: New file.
	* libm/machine/aarch64/Makefile.in: Generated.
	* libm/machine/aarch64/aclocal.m4: Generated.
	* libm/machine/aarch64/configure: Generated.
	* libm/machine/aarch64/configure.in: New file.
	* libm/machine/aarch64/s_ceil.c: New file.
	* libm/machine/aarch64/s_floor.c: New file.
	* libm/machine/aarch64/s_fma.c: New file.
	* libm/machine/aarch64/s_fmax.c: New file.
	* libm/machine/aarch64/s_fmin.c: New file.
	* libm/machine/aarch64/s_llrint.c: New file.
	* libm/machine/aarch64/s_llround.c: New file.
	* libm/machine/aarch64/s_lrint.c: New file.
	* libm/machine/aarch64/s_lround.c: New file.
	* libm/machine/aarch64/s_nearbyint.c: New file.
	* libm/machine/aarch64/s_rint.c: New file.
	* libm/machine/aarch64/s_round.c: New file.
	* libm/machine/aarch64/s_trunc.c: New file.
	* libm/machine/aarch64/sf_ceil.c: New file.
	* libm/machine/aarch64/sf_floor.c: New file.
	* libm/machine/aarch64/sf_fma.c: New file.
	* libm/machine/aarch64/sf_fmax.c: New file.
	* libm/machine/aarch64/sf_fmin.c: New file.
	* libm/machine/aarch64/sf_llrint.c: New file.
	* libm/machine/aarch64/sf_llround.c: New file.
	* libm/machine/aarch64/sf_lrint.c: New file.
	* libm/machine/aarch64/sf_lround.c: New file.
	* libm/machine/aarch64/sf_nearbyint.c: New file.
	* libm/machine/aarch64/sf_rint.c: New file.
	* libm/machine/aarch64/sf_round.c: New file.
	* libm/machine/aarch64/sf_trunc.c: New file.
	* libm/machine/configure.in: Add AArch64.
	* libm/machine/configure: Re-generated.

2012-09-26  Michael Hope  <michael.hope@linaro.org>

	* doc/makedoc.c (dup_): Rename to avoid colliding with dup(2). 

2012-09-13  Anthony Green  <green@moxielogic.com>

	* libc/include/machine/ieeefp.h (__IEEE_BIG_ENDIAN): Add bi-endian
	support for moxie.

2012-08-23  Christopher Faylor  <me.cygwin2012@cgf.cx>

	* libc/stdio/flags.c (__sflags): Guard against using O_BINARY on
	systems which do not provide it.

2012-08-21  Christopher Faylor  <me.cygwin2012@cgf.cx>

	* libc/stdio/flags.c (__sflags): Rewrite recognition of extended mode
	flags to just loop over more allowed flags.  Support glibc 'e' flag on
	systems defining _GLIBC_EXTENSION.  Support C11 'x' flag.

2012-08-10  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdlib/btowc.c (btowc): Cast to avoid compiler warning.
	* libc/search/hash_buf.c (__get_buf): Initialize local vars to avoid
	compiler warning.
	* libc/stdio/fgets.c (_fgets_r): Ditto.
	* libc/time/strftime.c (strftime): Ditto.

2012-08-10  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/vfwprintf.c (_VFWPRINTF_R): Fix guard around state to
	allow usage in !FLOATING_POINT && _WANT_IO_C99_FORMATS case.

2012-08-08  Eric Blake  <eblake@redhat.com>

	* libc/posix/engine.c(dissect): Guard diagnostic pragma for right
	versions of GCC only.
	* libc/string/strcasestr.c: Ditto.

2012-08-08  Corinna Vinschen  <vinschen@redhat.com>

	Throughout, run newlib with -Wall -Werror option and fix bugs and
	compiler warnings found this way.

	* libc/stdio/freopen.c (_freopen_r): Fix bug setting _flags.

	* libc/include/stdio.h (_rename): Define when building newlib.
	* libc/include/sys/signal.h (_kill): Ditto.
	* libc/include/sys/stat.h (_mkdir): Ditto.
	* libc/include/sys/time.h (_gettimeofday): Ditto.
	* libc/include/sys/times.h (_times): Ditto.
	* libc/include/sys/wait.h (_wait): Ditto.
	* libc/locale/lmessages.c (empty): Don't define for Cygwin.
	* libc/locale/lmonetary.c (cnv): Ditto.
	* libc/locale/nl_langinfo.c (nl_langinfo): Ditto for variable s.
	* libc/posix/collate.c: Throughout cast to avoid compiler warning.
	* libc/posix/engine.c (matcher): Initialize dp to avoid compiler
	warning.
	(dissect): Deliberately silence gcc compiler warning.  Add comment to
	explain why.
	* libc/posix/glob.c: Disable on Cygwin.  Explain why.
	* libc/posix/regcomp.c: Fix "uninitialized" compiler warnings.
	* libc/posix/wordexp.c (wordexp): Remove num_bytes variable since result
	is never used.
	* libc/posix/popen.c (popen): Ditto for variable last.
	* libc/reent/mkdirr.c: Include sys/stat.h.
	* libc/reent/renamer.c: Include stdio.h.
	* libc/search/hash.c:  Throughout use underscored variants of the stat
	function family.
	(init_hash): Add missing definition for the __USE_INTERNAL_STAT64 case.
	* libc/search/hash_bigkey.c (__big_insert): Add parenthesis to avoid
	compiler warning.
	* libc/search/hash_page.c (overflow_page): Initalize freep to NULL to
	avoid compiler warning.
	* libc/stdio/asiprintf.c (_asiprintf_r): Cast unsigned char * to char *
	to avoid compiler warning.
	(asiprintf): Ditto.
	* libc/stdio/asprintf.c (_asprintf_r): Ditto.
	(asprintf): Ditto.
	* libc/stdio/vasiprintf.c (_vasiprintf_r): Ditto.
	* libc/stdio/vasprintf.c (_vasprintf_r): Ditto.
	* libc/stdio/mktemp.c (_gettemp): Cast to unsigned char in call to
	isdigit to avoid compiler warning.
	* libc/stdio/vfprintf.c (_VFPRINTF_R): Initialize variables used for
	grouping to avoid compiler warning.  Only define and set nseps and
	nrepeats if they are really used.
	* libc/stdio/vfwprintf.c (_VFWPRINTF_R): Ditto.  Only define state if
	it is really used.
	* libc/stdio/vfscanf.c (u_char): Revert to be defined as unsigned char.
	(__SVFSCANF_R): Cast fmt in call to __mbtowc.
	* libc/stdlib/mbtowc_r.c (JIS_state_table): Disable when building
	Cygwin.
	(JIS_action_table): Ditto.
	* libc/stdlib/wctomb_r.c (__utf8_wctomb): Add parenthesis to avoid
	compiler warning.
	* libc/string/strcasestr.c: Deliberately silence gcc compiler warning.
	Add comment to explain why.
	* libc/time/strptime.c (strptime): Cast to unsigned char in calls to
	isspace to avoid compiler warning.
	* libm/math/e_atan2.c (__ieee754_atan2): Add parenthesis to avoid
	compiler warning.
	* libm/math/e_exp.c (__ieee754_exp): Initialize k to 0 to avoid
	compiler warning.  Drop setting it to 0 later.
	* libm/math/ef_exp.c (__ieee754_expf): Ditto.
	* libm/math/e_pow.c (__ieee754_pow): Add braces to avoid compiler
	warning.
	* libm/math/ef_pow.c (__ieee754_powf): Ditto.
	* libm/math/er_lgamma.c (__ieee754_lgamma_r): Initialize nadj to 0 to
	avoid compiler warning.
	* libm/math/erf_lgamma.c (__ieee754_lgammaf_r): Ditto.
	* libm/math/e_rem_pio2.c (__ieee754_rem_pio2): Ditto for variable z.
	* libm/common/sf_round.c (roundf): Remove signbit variable since result
	is never used.

2012-08-07  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdlib/mprec.h (Storeinc): Add parenthesis to avoid compiler
	warning.

2012-07-30  Kevin Buettner  <kevinb@redhat.com>

	* libc/sys/sysnecv850/crt0.S (_start): Use v850e-specific
	start up code for v850e2 and v850e2v3 too.

2012-07-20  Eric Blake  <eblake@redhat.com>

	* libc/posix/readdir.c (readdir): Drop bogus attempt to catch
	bogus pointers.

2012-07-18  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/sys/rtems/machine/_types.h (_ssize_t): Use signed int for
	__v850__, __851__.

2012-07-17  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/search/hcreate_r.c (hdestroy_r): #ifdef 0 unused vars ie, idx.

2012-07-16  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/posix/telldir.c: Conditionally build dd_hash_lock.

2012-07-13  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/sys/rtems/machine/_types.h (_ssize_t): Add __ARM_EABI__,
	__v850__, __851__.

2012-07-09  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/fileno.c (fileno): Check if f is a valid stream.  If not,
	return -1 and set errno to EBADF per POSIX.

2012-07-06  Corinna Vinschen  <vinschen@redhat.com>

	Allow building of Cygwin using Mingw64 SDK headers:
	* libc/include/sys/time.h: Drop _WINSOCK_H guard.  Just use
	_TIMEVAL_DEFINED instead.
	* libc/include/sys/types.h: Check for _WINSOCKAPI_ along with
	_WINSOCK_H.
	* libc/include/sys/unistd.h: Ditto.

2012-06-28  Matthew Gretton-Dann  <matthew.gretton-dann@arm.com>

	* doc/Makefile.am (makedoc): Use LDFLAGS_FOR_BUILD not LDFLAGS.
	* doc/Makefile.in: Regenerate.

2012-06-26  Christopher Faylor  <me.newlib2012@cgf.cx>

	* libc/include/sys/types.h: Don't use the same preprocessor guard for
	time_t, timespec, and itimerspec.  Add a separate guard specifically
	for timespec and always unconditionally define itimerspec.

2012-06-05  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/findfp.c (__sinit): Avoid infinite recursion on
	_REENT_SMALL targets.  Add comment to explain.

2012-05-31  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/local.h (_newlib_sfp_lock_exit): Fix typo in non-pthread
	version.

2012-05-30  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/fgetws.c (_fgetws_r): Call _mbsnrtowcs_r rather than
	_mbsrtowcs_r and restrict number of wide chars to n - 1.

2012-05-30  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/local.h (_newlib_flockfile_start): New macro to
	secure stream related critical section against thread cancellation.
	(_newlib_flockfile_exit): Ditto.
	(_newlib_sfp_lock_end): Ditto.
	(_newlib_sfp_lock_start): Ditto for the list of streams.
	(_newlib_sfp_lock_exit): Ditto.
	(_newlib_sfp_lock_end): Ditto.
	Use aforementioned macros in place of _flockfile/_funlockfile
	and __sfp_lock_acquire/__sfp_lock_release throughout the code.
	* libc/stdio/fclose.c: Explicitely disable and re-enable thread
	cancellation.  Explain why.
	* libc/stdio/freopen.c: Ditto.
	* libc/stdio64/freopen64.c: Ditto.

2012-05-21  Sandeep Kumar Singh  <Sandeep.Singh2@kpitcummins.com>

	* libc/machine/cr16/sys/asm.h: Added some missing instructions
	and removed few unsupported instructions of cr16 target.

2012-05-10  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/string.h (memrchr): Declare.
	* libc/string/Makefile.am (ELIX_4_SOURCES): Add memrchr.c.
	(CHEWOUT_FILES): Add memrchr.def.
	* libc/string/Makefile.in: Regenerate.
	* libc/string/memrchr.c: New file.

2012-05-10  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/sys/rtems/machine/_types.h: Add Microblaze.

2012-05-09  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/sys/rtems/crt0.c: Add stubs for access(), ftruncate(),
	_getpid_r(), geteuid(), getgid, _getgid_r, getpid(), getppid(),
	and _getpid_r().

2012-05-03  Greta Yorsh  <Greta.Yorsh@arm.com>

	* testsuite/newlib.string/strcmp-1.c (LONG_TEST): New macro.
	(MAX_BLOCK_SIZE): Use small value when LONG_TEST is not set.
	(MAX_DIFF, MAX_LEN, MAX_ZEROS) Likewise.

2012-03-29  Corinna Vinschen  <vinschen@redhat.com>

	* libc/locale/locale.c (__mb_cur_max): On Cygwin, align default value
	with default UTF-8 charset.

2012-03-26  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/findfp.c (__sinit): Set __sdidinit last.

2012-03-09  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/machine/setjmp-dj.h: Modify license to include
	modification in clause as permitted by DJ Delorie.
	* libc/machine/arm/access.c: Ditto.
	* libc/machine/i386/setjmp.S: Ditto.
	* libc/sys/h8300hms/sys/file.h: Ditto.
	* libc/sys/linux/machine/i386/setjmp.S: Ditto.
	* libc/sys/sysmec/access.c: Ditto.
	* libc/sys/sysnecv850/access.c: Ditto.

2012-03-02  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/posix/readdir_r.c: Fix return code when end of
	directory is reached.

2012-02-23  Dan Egnor  <egnor@ofb.net>

	* configure.host: Accept "arm*" host spec instead of just "arm".

2012-02-21  Jeremy Bennett  <jeremy.bennett@embecosm.com>
            Alan Lehotsky  <apl@alum.mit.edu>
            Joern Rennecke  <joern.rennecke@embecosm.com>

	* configure.host: Add Epiphany support.
	* libc/include/machine/ieeefp.h: Likewise.
	* libc/include/machine/setjmp.h: Likewise.
	* libc/machine/configure.in, libc/sys/configure.in: Likewise.
	* libc/machine/configure, libc/sys/configure: Regenerate.
	* libc/machine/epiphany, libc/sys/epiphany: New directories.
	* NEWS: Mention addition of Epiphany.

2012-02-15  Christopher Faylor  <me.newlib2012@cgf.cx>

	* configure.host: Fix typo: xdir_dir -> xdr_dir.

2012-02-09  Eric Blake  <eblake@redhat.com>

	* libc/include/_ansi.h (_ELIDABLE_INLINE): Fix C99 mode.

2012-02-09  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/sys/rtems/sys/utime.h: Include <sys/types.h> to provide a
	definition of time_t.

2012-02-08  Greta Yorsh  <Greta.Yorsh@arm.com>

	* libc/machine/arm/strcmp.S: New File.
	* libc/machine/arm/strcmp.c: Deleted.
	* libc/machine/arm/Makefile.am: Replaces strcmp.c with strcmp.S
	* libc/machine/arm/Makefile.in: Regenerated.
	* testsuite/newlib.string/strcmp-1.c: New file.

2012-02-07  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/inttypes.h: Redefine pointer type macros.

2012-01-13  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/stdio/sprintf.c: Document 'm' conversion specifier.
	* libc/stdio/swprintf.c: Ditto.
	* libc/stdio/vfprintf.c (_VFPRINTF_R) [_GLIBC_EXTENSION]: Handle 'm'
	conversion specifier.
	* libc/stdio/vfwprintf.c (_VFWPRINTF_R) [_GLIBC_EXTENSION]: Ditto.

2012-01-12  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/tgmath.h: New header.

2012-01-09  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/sys/unistd.h [__CYGWIN__] (get_current_dir_name):
	Declare.

2012-01-09  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/complex.h: Fix "/*" within comment warning.

2012-01-09  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/process.h: Remove Cygwin-only header.

2012-01-03  Viachaslau Kulakouski  <Viachaslau.Kulakouski@oracle.com>

	* libc/stdlib/__atexit.c: Refer to __atexit_lock instead of lock.

2011-12-20  Aleksandr Platonov  <pam@oktetlabs.ru>

	* libc/stdio/fvwrite.c (__sfvwrite_r): Set __SMBF flag to avoid double 
	free in fclose.  Enhance comment.

2011-12-19  Jeff Johnston  <jjohnstn@redhat.com>

	* NEWS: Update with 1.20.0 info.
	* README: Ditto.
	* acinclude.m4: Change version number to 1.20.0.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* Makefile.in: Regenerated.
	* doc/aclocal.m4: Ditto.
	* doc/configure: Ditto.
	* libc/*/aclocal.m4: Ditto.
	* libc/*/configure: Ditto.
	* libc/libc.texinfo: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.
	* libm/libm.texinfo: Ditto.
	* libc/sys/linux/shared.ld: Add VERS_1.20

2011-12-13  Richard Earnshaw  <rearnsha@arm.com>
	    Thomas Klein  <th.r.klein@web.de>

	* libc/sys/arm/crt0.S: Manually set the target architecture
	when compiling for Thumb1 on EABI targets.
	Don't use SWI on M-profile cores.
	Avoid v6-only Thumb-1 MOV instruction.

2011-12-12  Akio Idehara  <zbe64533@gmail.com>

	* libc/time/strftime.c (get_era_info): Fix off-by-one error in month
	calculation.

2011-12-06  Chris Johns  <chrisj@rtems.org>

	* libc/iconv/Makefile.am (stmp-def): Use $(MAKE) rather than make.
	* libc/iconv/Makefile.in: Regenerate.

2011-11-28  DJ Delorie  <dj@redhat.com>

	* configure.host: Add rl78.
	* libc/include/machine/ieeefp.h: Add rl78 support.
	* libc/include/machine/setjmp.h: Add rl78 support.
	* libc/machine/configure.in: Add rl78.
	* libc/machine/rl78: New directory.
	* MAINTAINERS (rl78): Add myself as RL78 maintainer.

2011-11-08  Corinna Vinschen  <vinschen@redhat.com>

	* libc/iconv/ccs/Makefile.am: Add missing backslash.
	* libc/iconv/ccs/Makefile.in: Regenerate.

2011-10-18  Dr David Alan Gilbert  <david.gilbert@linaro.org>

	* libc/machine/arm/Makefile.am (lib_a_SOURCES): Add memchr-stub.c,
	memchr.S.
	* libc/machine/arm/arm_asm.h: Add ifdef to allow it to be included
	in .S files.
	* libc/machine/arm/memchr-stub.c: New file - just selects what to
	compile.
	* libc/machine/arm/memchr.S: New file - ARMv6t2/v7 version.

	* libc/machine/arm/Makefile.am (lib_a_SOURCES): Add strlen-armv7.S.
	* libc/machine/arm/strlen-armv7.S: New file.
	* libc/machine/arm/strlen.c: Add ifdef optimised code so it isn't
	for v7 or 6t2.

	* libc/machine/arm/Makefile.in: Regenerate.

2011-10-11  Steven Abner <pheonix@zoomtown.com>

	* libc/time/mktm_r.c: (__tzcalc_limits) Fix Julian day calculation.
	* libc/time/mktime.c: (mktime) Fix tm_yday, tm_mday updating when
	timezone causes roll over.

2011-10-10  Nick Clifton  <nickc@redhat.com>

	* libc/sys/arm/crt0.S: Synchronise with libgloss version.
	* libc/sys/arm/arm.h: Imported from libgloss.

2011-10-04  Greta Yorsh  <Greta.Yorsh@arm.com>

	* testsuite/newlib.string/memcpy-1.c: New test.

2011-10-04  Nick Clifton  <nickc@redhat.com>

	* libc/machine/arm/memcpy.S: Fix unaligned access copying.

2011-09-29  Greta Yorsh  <Greta.Yorsh@arm.com>

	* libc/machine/arm/memcpy.S: New file.  Contains a hand coded
	memcpy function optimized for the cortex-a15.
	* libc/machine/arm/memcpy-stub.c: New file.
	* libc/machine/arm/Makefile.am (lib_a_SOURCES): Add memcpy-stub.c,
	memcpy.S.
	* libc/machine/arm/Makefile.in: Regenerate.

2011-09-08  Jeff Johnston  <jjohnstn@redhat.com>

	* testsuite/lib/flags.exp: Add logic to add the
	srcdir include directory to compile flags.

2011-08-26  Steven Abner  <pheonix@zoomtown.com>

	* libc/time/mktm_r.c (_mktm_r): Fix previous fix.

2011-08-24  Corinna Vinschen  <vinschen@redhat.com>

	* libc/time/mktm_r.c (_mktm_r): Fix computing tm_year.

2011-08-23  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/stdlib/putenv_r.c: Use "strchr" instead of obsolete "index".
	* libc/stdlib/setenv_r.c: Use "memcpy" instead of obsolete "bcopy".

2011-08-23  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/misc/ffs.c, libc/string/bcmp.c, libc/string/bcopy.c,
	libc/string/bzero.c, libc/string/index.c, libc/string/rindex.c,
	libc/string/strcasecmp.c, libc/string/strncasecmp.c:
	Let synopsis reference "#include <strings.h>".

2011-08-23  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/posix/regexec.c: Define "nope" only #ifndef NDEBUG.
	* libc/stdio/vfscanf.c: Define "state" only #ifdef _MB_CAPABLE.
	* libc/string/wcwidth.c: Include <wctypes.h> for "iswprint" and
	"iswcntrl".

2011-08-23  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/sys/rtems/include/limits.h: Compute SSIZE_MAX based on
	__SIZE_MAX__, __SIZEOF_SIZE_T__ and __CHAR_BIT__.

2011-08-22  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/string/index.c: Include <strings.h> for "index".
	* libc/string/rindex.c: Include <strings.h> for "rindex".
	* libc/string/strcasecmp.c: Include <strings.h> for "strcasecmp".
	Don't include <string.h>.
	* libc/string/strncasecmp.c: Include <strings.h> for "strncasecmp".
	Don't include <string.h>.
	* libc/string/bzero.c: Include <strings.h> for "bzero".
	Don't include <string.h>
	* libc/misc/ffs.c: Include <strings.h> for "ffs".
	Don't include <_ansi.h>.

2011-08-19  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/sys/rtems/crt0.c: Rework RTEMS_STUB macro.
	Include <unistd.h>.
	Remove C++-style comments.
	Remove hppa, a29k.
	Add clock_gettime, gettimeofday, sched_yield.

2011-08-19  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/stdio/vasiprintf.c: Include "local.h" for "_svfiprintf_r".
	* libc/stdio/vasprintf.c Include "local.h" for "_svfprintf_r".
	* libc/stdio/vsiprintf.c: Include "local.h" for "_svfiprintf_r".
	* libc/stdio/vsniprintf.c: Include "local.h" for "_svfiprintf_r".
	* libc/stdio/vsnprintf.c: Include "local.h" for "_svfprintf_r"
	* libc/stdio/vsprintf.c: Include "local.h" for "_svfprintf_r"

2011-08-19  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/string/bcmp.c: Include <strings.h> for "bcmp".
	* libc/string/bcopy.c: Include <strings.h> for "bcopy".
	* libc/string/strcasestr.c: Include <strings.h> for "strncasecmp".
	* libc/time/strptime.c: Include <strings.h> for "strncasecmp".

2011-08-19  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/process.h: Remove exec family function declarations.
	Add comment.
	* libc/include/sys/unistd.h (execlpe): Declare for Cygwin.

2011-08-19  Craig Howland  <howland@LGSInnovations.com>

	* libc/time/mktime.c (validate_structure): Account for tm_mon possibly
	being given as negative.
	(mktime): Set tm_isdst=0 when !daylight.

2011-08-01  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/include/sys/types.h: XML and RTEMS define
	_UNIX98_THREAD_MUTEX_ATTRIBUTES and can use the standard
	definitions. This avoids redefinition warnings.

2011-07-26  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/sys/rtems/sys/dirent.h (scandir):
	Add const to "select" parameter.

2011-07-25  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/iconv/iconv.tex: Rename node "Introduction" into
	"Introduction to iconv".

2011-07-20  Yaakov Selkowitz  <yselkowitz@...>

	* libc/include/time.h [_POSIX_CLOCK_SELECTION] (clock_nanosleep):
	Declare.
	* libc/include/sys/features.h [__CYGWIN__] (_POSIX_CLOCK_SELECTION):
	Define.

2011-07-19  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/sys/unistd.h (_CS_XBS5_WIDTH_RESTRICTED_ENVS): Define.
	(_CS_V6_ENV): Fix definition.

2011-07-19  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/locale/lmessages.c (_C_messages_locale):
	Move __HAVE_LOCALE_INFO_EXTENDED__ before codeset.

2011-07-19  Matt Johnson  <johnso87@crhc.illinois.edu>

	* libc/reent/sbrkr.c: Define _sbrk_r independently of the definition
	of MALLOC_PROVIDED.

2011-07-15  Yufeng Zhang  <yufeng.zhang@arm.com>

	* libc/stdio/vfwprintf.c (wcvt): Add a new parameter len of type
	int.  *length is set to the value of (rev - digits) regardless
	of whether _MB_CAPABLE is defined or not.  Replace BUF with len
	in calling _mbsnrtowcs_r and also in the loop where _MB_CAPABLE
	is not defined.
	(_VFWPRINTF_R): Call wcvt with an extra argument.  Call wcvt
	again with allocated new buffer if buf is not large enough for
	the conversion.
	* testsuite/newlib.stdio/stdio.exp: New.
	* testsuite/newlib.stdio/swprintf.c: Likewise.

2011-07-15  Matt Johnson  <johnso87@crhc.illinois.edu>

	* libc/stdio/fscanf.c (fscanf): Call _vfscanf_r instead of __svfscanf_r
	to make sure CHECK_INIT is called.
	(_fscanf_r): Ditto.
	* /libc/stdio/scanf.c (scanf): Ditto.
	(_scanf_r): Ditto.
	* libc/stdio/fwscanf.c (fwscanf): Call _vfwscanf_r instead of
	__svfwscanf_r to make sure CHECK_INIT is called.
	(_fwscanf_r): Ditto.
	* libc/stdio/wscanf.c (wscanf): Ditto.
	(_wscanf_r): Ditto.

2011-07-13  Hans-Peter Nilsson <hp@axis.com>

	* libm/complex/cacos.c: Use temporaries and correct sequencing
	error in previous reordering change.

2011-06-25  Andreas Becker  <becker@se-elektronic.de>

	* libc/time/mktime.c (mktime): Lock global timezone info while
	accessing it.

2011-06-14  Philip Munts  <phil@munts.net>

	* libc/time/asctime_r.c (asctime_r): Replace call to sprintf with call
	to siprintf.
	* libc/time/strftime.c: Define snprintf to sniprintf in multibyte case.
	* libc/time/tzset_r.c: Define sscanf to siscanf.

2011-06-14  Joseph Myers  <joseph@codesourcery.com>

	* configure.host: Don't handle ep9312, strongarm, xscale and thumb
	target names.
	* libc/machine/configure.in: Don't handle xscale target names.
	* libc/machine/configure: Regenerate.

2011-06-14  Craig Howland <howland@LGSInnovations.com>

	* libc/time/tzset_r.c (tzset_r):  Correct behavior for changing from
	non-GMT to GMT, when un-setting TZ.  Set _timezone and _daylight even
	if no DST is given in TZ.

2011-06-13  Eric Blake  <eblake@redhat.com>

	* libc/stdio/wsetup.c (__swsetup_r): Set errno on failure.
	* libc/stdio/fvwrite.c (__sfvwrite_r): Simplify.
	* libc/stdio/wbuf.c (__swbuf_r): Likewise.
	* libc/stdio/local.h (cantwrite): Adjust comment.

2011-06-09  Yaakov Selkowitz  <yselkowitz@...>

	* libc/include/string.h (strdupa): New macro function.
	(strndupa): New macro function.

2011-05-27  Nick Clifton  <nickc@redhat.com>

	* libc/sys/sysnecv850/sbrk.c (_sbrk): Tidy code.
	Base start of heap on the "heap_start" symbol.

2011-05-25  Eric Blake  <eblake@redhat.com>

	* libc/string/strerror.c (_strerror_r): Report "Success" for 0.

2011-05-25  Eric Blake  <eblake@redhat.com>

	* libc/string/strerror.c (strerror): Split body into...
	(_strerror_r): ...new reentrant function.
	* libc/string/u_strerr.c (_user_strerror): Update signature.
	* libc/include/string.h (_strerror_r): New prototype.
	* libc/posix/collate.c (__collate_err): Adjust callers.
	* libc/stdio/perror.c (_perror_r): Likewise.
	* libc/string/strerror_r.c (strerror_r): Likewise.
	* libc/string/xpg_strerror_r.c (__xpg_strerror_r): Likewise.

2011-05-19  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/stdio_ext.h: New header.
	* libc/stdio/fpurge.c [!__rtems__] (__fpurge): New function.

2011-05-19  Matthew Gretton-Dann  <matthew.gretton-dann@arm.com>

	* Makefile.am (install-data-local): Fix condition and rm call.
	* Makefile.in: Regenerate.

2011-05-16  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/time.h (CLOCK_PROCESS_CPUTIME_ID): Rename from
	CLOCK_PROCESS_CPUTIME.
	(CLOCK_THREAD_CPUTIME_ID): Rename from CLOCK_THREAD_CPUTIME.
	* libc/include/sys/features.h [__CYGWIN__] (_POSIX_CPUTIME): Define.
	(_POSIX_THREAD_CPUTIME): Define.

2011-05-16  Christian Bruel  <christian.bruel@st.com>

	* libc/stdlib/strtod.c (_strtod_r): Fix nf/nd counts to not exceed
	DBL_DIG.

2011-05-15  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/features.h (_POSIX_THREAD_ATTR_STACKADDR): Define
	to 200112L for Cygwin.

2011-05-12  Peter Rosin  <peda@lysator.liu.se>

	* libc/time/strptime.c (strptime): Fill in tm_yday when all of tm_year,
	tm_mon and tm_mday are updated. Fill in tm_mon, tm_mday and tm_wday
	when both of tm_year and tm_yday are updated.

2011-05-12  Peter Rosin  <peda@lysator.liu.se>

	* libc/time/strptime.c (first_day): Actually return the wday
	of the first day of the year.

2011-05-10  Corinna Vinschen  <vinschen@redhat.com>

	* libc/locale/lmessages.c (_C_messages_locale): Add missing comma.

2011-05-04  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/signal.h (psignal): Declare.
	* libc/sys/linux/psignal.c: Move from here...
	* libc/signal/psignal.c: ... to here. Document.
	* libc/sys/linux/Makefile.am (GENERAL_SOURCES): Move psignal.c from here...
	* libc/signal/Makefile.am (LIB_SOURCES): ... to here.
	(CHEWOUT_FILES): Add psignal.def.
	* libc/sys/linux/Makefile.in: Regenerate.
	* libc/signal/Makefile.in: Ditto.
	* libc/signal/signal.tex: Add references to psignal.

2011-05-04  Corinna Vinschen  <vinschen@redhat.com>

	* libc/locale/lmessages.h (__messages_load_locale): Declare.  Remove
	accidental declaration of __numeric_load_locale.
	* libc/locale/locale.c: Include timelocal.h to get declaration of
	__time_load_locale.
	(__set_locale_from_locale_alias): Fix return type.
	(__locale_msgcharset): Avoid compiler warnings.
	(_localeconv_r): Ditto.

2011-05-04  Andy Koppe  <andy.koppe@gmail.com>

	* libc/locale/locale.c (current_categories): On Cygwin, set LC_CTYPE 
	to C.UTF-8 to match initial __wctomb and __mbtowc settings.
	(lc_ctype_charset): On Cygwin, initialize to "UTF-8".
	(loadlocale): Remove unused Cygwin-specifc code.

2011-05-02  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/sys/features.h [__CYGWIN__] (_POSIX_SPIN_LOCKS): Define.
	* libc/include/sys/types.h: Cygwin provides its own pthread_spinlock_t
	typedef.

2011-04-19  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/signal.h (_sig_func_ptr): Define with int parameter
	per POSIX.  Explain in comment.

2011-04-15  Eric Blake  <eblake@redhat.com>

	* libc/string/strchrnul.c (strchrnul): Fix strchrnul.

2011-03-27  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/string.h (strchrnul): Declare.
	* libc/string/strchrnul.c: New file.
	* libc/string/Makefile.am (ELIX_2_SOURCES): Add strchrnul.c.
	* libc/string/Makefile.in: Regenerate.

2011-03-23  Nick Clifton  <nickc@redhat.com>

	* libc/machine/frv/setjmp.S: Fix typo in .size directive.

2011-03-21  Kevin Buettner  <kevinb@redhat.com>

	* libc/sys/sysnecv850/trap.S (___trap0): Fix errno handling.
	* libc/sys/sysnecv850/rename.c: New file.
	* libc/sys/sysnecv850/Makefile.am (lib_a_SOURCES): Add rename.c
	* libc/sys/sysnecv850/Makefile.in: Regenerate.
	* libc/sys/sysnecv850/fstat.c (_fstat): Invoke trap for SYS_fstat.
	* libc/sys/sysnecv850/unlink.c (_unlink): Invoke trap for SYS_unlink.

2011-03-03  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/string.h: Include sys/cdefs.h.

2011-03-03  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/cdefs.h (__CONCAT1): Define.
	(__CONCAT): Define.
	(__STRING): Define.
	(__XSTRING): Define.
	(__ASMNAME): Define.
	* libc/include/string.h (strerror_r): Use __ASMNAME to take target
	specific label prefixes into account.

2011-03-01  Aaron Landwehr <snaphat@gmail.com>

	* libm/complex/cproj.c: Fix typo.
	* libm/complex/cprojf.c: Ditto.

2011-02-22  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/fmemopen.c (fmemopen): Fix EINVAL condition.  Avoid SEGV
	if incoming buffer is NULL.

2011-02-09  Eric Blake  <eblake@redhat.com>

	* libc/include/string.h (strerror_r): Update declaration.
	* libc/string/strerror.c (strerror): Update documentation.
	* libc/string/strerror_r.c (strerror_r): Always return
	NUL-terminated string; don't overwrite too-short buf.
	* libc/string/xpg_strerror_r.c (__xpg_strerror_r): Implement POSIX
	variant.
	* libc/string/Makefile.am (GENERAL_SOURCES): Build new file.
	* libc/string/Makefile.in: Regenerate.

2011-01-28  Corinna Vinschen  <vinschen@redhat.com>

	* libc/stdio/fclose.c: Only use sfp lock to guard non-atomic
	changes of flags and fp lock.
	* libc/stdio/freopen.c: Ditto.
	* libc/stdio64/freopen64.c: Ditto.
	* libc/stdio/fgetc.c: Revert change from 2009-04-24, remove sfp locks
	which guard entire function to avoid potential deadlocks when using
	stdio functions in multiple thraeds.
	* libc/stdio/fgets.c: Ditto.
	* libc/stdio/fgetwc.c: Ditto.
	* libc/stdio/fgetws.c: Ditto.
	* libc/stdio/fread.c: Ditto.
	* libc/stdio/fseek.c: Ditto.
	* libc/stdio/getc.c: Ditto.
	* libc/stdio/getdelim.c: Ditto.
	* libc/stdio/gets.c: Ditto.
	* libc/stdio/vfscanf.c: Ditto.
	* libc/stdio/vfwscanf.c: Ditto.

	* libc/stdio/fflush.c (_fflush_r): Split out core functionality into
	new function __sflush_r.  Just lock file and call __sflush_r from here.
	* libc/stdio/fwalk.c (_fwalk): Remove static helper function and move
	functionality back into main function. Don't walk a file with flags
	value of 1.  Add comment.
	(_fwalk_reent): Ditto.
	* libc/stdio/local.h (__sflush_r): Declare.
	* libc/stdio/refill.c (__srefill): Before calling fwalk, set flags
	value to 1 so this file pointer isn't walked.  Revert flags afterwards
	and call __sflush_r for this fp if necessary.  Add comments.

2011-01-27  Corinna Vinschen  <vinschen@redhat.com>

	* libc/include/sys/features.h: Define __STDC_ISO_10646__ for Cygwin.
	* libc/include/wchar.h: Include features.h.

2011-01-15  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/sys/types.h (ulong): Add typedef.

2011-01-12  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libm/math/w_tgamma.c: Only build ifndef _DOUBLE_IS_32BITS.
	* libm/math/wf_tgamma.c: Map tgamma to tgammaf, ifdef _DOUBLE_IS_32BITS.

2011-01-12  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: Add noinclude variable to allow specification
	of header files to remove from installation.
	* acinclude.m4: Provide NO_INCLUDE_LIST variable based on
	noinclude variable in configure.host.
	* configure: Regenerated.
	* Makefile.am: Remove all header files in NO_INCLUDE_LIST.
	* Makefile.in: Regenerated.

2011-01-12  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/sys/linux/sys/signal.h (sig_t): Move from here...
	* libc/include/signal.h (sig_t): ...to here.

2011-01-10  Corinna Vinschen  <vinschen@redhat.com>

	* libc/machine/mips/strlen.c (strlen): Add delay slot for R3000.

2011-01-10  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/include/string.h: Make strsignal() available unconditionally.

2011-01-07  Ralf Corsepius  <ralf.corsepius@rtems.org>

	* libc/sys/rtems/crt0.c: Adjust free() and calloc() to match their
	public decls.

2011-01-05  Ralf Corsepius  <ralf.corsepius@rtems.org>

	* Makefile.am: Move cleaning targ-include to clean-local.
	* Makefile.in: Regenerate.

2011-01-05  Ralf Corsepius  <ralf.corsepius@rtems.org>

	* libc/stdio/open_memstream.c (internal_open_memstream_r):
	Don't limit c->max to 64*1024 on targets with SIZE_MAX < 64*1024.

2011-01-05  Ralf Corsepius  <ralf.corsepius@rtems.org>

	* libc/xdr/xdr.c: Fix typos in #errors.

2011-01-05  Ralf Corsepius  <ralf.corsepius@rtems.org>

	* libc/xdr/xdr_private.h: Include <stdint.h>
	* libc/xdr/xdr_rec.c: Include limits.h

2011-01-05  Ralf Corsepius  <ralf.corsepius@rtems.org>

	* libc/Makefile.am (SUBDEFS): Remove redundant posix/stmp-def.
	* libc/Makefile.in: Regenerate.

2011-01-05  Ralf Corsepius  <ralf.corsepius@rtems.org>

	* libc/configure.in: Remove redundant posix_dir processing.
	* libc/configure: Regenerate.

2010-12-31  Ralf Corsepius  <ralf.corsepius@rtems.org>

	* MAINTAINERS: Change corinna@vinchen.de to corinna@vinschen.de.

2010-12-26  Christopher Faylor  <me+cygwin@cgf.cx>

	* libc/include/sys/errno.h (program_invocation_name): Declare.
	(program_invocation_short_name): Ditto.

2010-12-16  Jeff Johnston  <jjohnstn@redhat.com>

	* NEWS: Update with 1.19.0 info.
	* README: Ditto.
	* MAINTAINERS: Update.
	* acinclude.m4: Change version number to 1.19.0.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* Makefile.am: Fix stmp-targ-include target.
	* Makefile.in: Regenerated.
	* doc/aclocal.m4: Ditto.
	* doc/configure: Ditto.
	* libc/*/aclocal.m4: Ditto.
	* libc/*/configure: Ditto.
	* libc/libc.texinfo: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.
	* libm/libm.texinfo: Ditto.
	* libc/sys/linux/shared.ld: Add VERS_1.19

2010-12-14  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.am: Add support to copy all sub-directories of the
	sys/SYS_DIR/include directory, if they contain header files.
	* Makefile.in: Regenerated.

2010-12-08  Jeff Johnston  <jjohnstn@redhat.com>

	* libm/mathfp/sf_logarithm.c: Change isfinitef reference to isfinite.

2010-12-08  Ralf Corsepius <ralf.corsepius@rtems.org>

	* include/sys/types.h: Add #if defined(__rtems__) around
	pthread_attr_t.guardsize.

2010-12-08  Joel Sherrill <joel@OARcorp.com>

	* include/pthread.h: Add pthread_attr_setstack, pthread_attr_getstack,
	pthread_attr_getguardsize, pthread_attr_setguardsize.
	* include/sys/types.h (pthread_attr_t): Add guardsize.

2010-12-08  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/strings.h: Don't include locale.h.

2010-12-07  Eric Blake  <eblake@redhat.com>

	* libc/include/strings.h: Don't declare removed functions when
	requesting POSIX 2008 compliance.

2010-12-07  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/strtod.c (_strtod_r): Fix code to handle case whereby
	_DOUBLE_IS_32BITS is set and DBL_DIGS is 6 instead of 15.

2010-12-07  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/include/strings.h: New (split-out from string.h).

2010-12-03  Craig Howland <howland@LGSInnovations.com>

	* libc/include/math.h: Missing from previous checkin.

2010-12-02  Craig Howland <howland@LGSInnovations.com>

	* libm/common/s_log2.c:  Change from using M_LOG2_E to M_LN2 define
	(from math.h--the latter is POSIX, the former non-standard).
	* libm/common/sf_log2.c:  Ditto.  Change cast for M_LN2 from float to
	float_t (in case all math not done in float).
	* libc/include/math.h:  Ditto (same 2 things as sf_log2.c).

2010-12-02  Jayant Sonar  jayant.sonar@kpitcummins.com
	    Kaushik Phatak  kaushik.phatak@kpitcummins.com

	* configure.host: Add CR16 support.
	* libc/include/machine/ieeefp.h: Ditto.
	* libc/include/machine/setjmp.h: Ditto.
	* libc/include/sys/config.h: Ditto.
	* libc/machine/configure.in: Ditto
	* libc/machine/configure: Regenerated
	* libc/machine/cr16/aclocal.m4: New.
	* libc/machine/cr16/configure.in: New
	* libc/machine/cr16/configure: New
	* libc/machine/cr16/getenv.c: New
	* libc/machine/cr16/Makefile.am: New
	* libc/machine/cr16/Makefile.in: New
	* libc/machine/cr16/setjmp.S: New
	* libc/machine/cr16/sys/asm.h: New
	* libc/machine/cr16/sys/libh.h: New
	* libc/machine/cr16/sys/syscall.h: New

2010-11-29  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libm/complex/catan.c, libm/complex/catanf.c,
	libm/complex/ctan.c, libm/complex/ctanf.c:
	Use HUGE_VAL instead of MAXNUM.

2010-11-25  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libm/complex/cargf.c: Use crealf instead of creal.

2010-11-19  Andy Koppe <andy.koppe@gmail.com>

	* libc/locale/locale.c (loadlocale): Recognise the "cjknarrow"
	modifier on "C.<charset>" locales too.

2010-11-18  Andy Koppe <andy.koppe@gmail.com>

	* libc/locale/locale.c (loadlocale): Fix width of CJK ambigous
	characters to 1 for singlebyte charsets and 2 for non-Unicode
	multibyte charsets. Change documentation accordingly.

2010-11-17  Bernd Schmidt  <bernds@codesourcery.com>

	* configure.host (newlib_cflags): For tic6x, add -DCLOCK_PROVIDED.

2010-11-16  Andrew Makhorin <mao@gnu.org>

	* libc/machine/i386/setjmp.S (longjmp): Per POSIX, return 1 if second
	argument is 0.

2010-11-16  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/include/sys/types.h: Add _mode_t for __rtems__.
	* libc/sys/rtems/machine/_types.h: Provide _mode_t, _fpos_t, _off_t.
	Add _ssize_t for 64bit sparc.
	Let arm, i386, m68k, mips, PPC, sparc use 64bit _off_t, _fpos_t.

2010-11-16  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* configure.host: Add -D_COMPILING_NEWLIB to newlib_cflags.

2010-11-04  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libm/complex/cacos.c: Reorder function calls to work around ICE
	in arm/thumb-gcc.

2010-10-27  Maurice Baijens  <maurice.baijens@ellips.nl>

	* libc/stdlib/strtol.c: Make sure signed characters are not
	sign-extended when converted to int and passed to ctype macros.
	* libc/stdlib/strtoul.c: Ditto.
	* libc/stdlib/strtoll_r.c: Ditto.
	* libc/stdlib/strtoull_r.c: Ditto.

2010-10-18  Marco Atzeri  <marco_atzeri@yahoo.it>

	* libm/Makefile.am: added complex functions documentation
	* libm/libm.texinfo: ditto
	* libm/complex/Makefile.am: Ditto
	* libm/complex/complex.tex: Ditto
	* libm/complex/(cabs.c, cacos.c, cacosh.c, carg.c,
     	casin.c, casinh.c, catan.c, catanh.c, ccos.c, ccosh.c,
     	cexp.c, cimag.c, clog.c, conj.c, cpow.c, cproj.c, creal.c,
     	csin.c, csinh.c, csqrt.c, ctan.c, ctanh.c): Ditto
	* libm/Makefile.in: Regenerate
	* libm/complex/Makefile.in: Ditto 

2010-10-14  Craig Howland <howland@LGSInnovations.com>

	* libc/include/math.h:  Delete cabs() and cabs() prototypes
	(c.f. 2010-10-08 change by Corinna).

2010-10-08  Bernd Schmidt  <bernds@codesourcery.com>
	Joseph Myers  <joseph@codesourcery.com>

	* configure.host: Handle tic6x targets.
	* libc/include/machine/ieeefp.h: Define endianness for C6X.
	* libc/include/machine/setjmp.h: Add __TMS320C6X__ case.
	* libc/machine/configure.in: Handle tic6x targets.
	* libc/machine/configure: Regenerate.
	* libc/machine/tic6x/Makefile.am, libc/machine/tic6x/configure.in,
	libc/machine/tic6x/setjmp.S: New.
	* libc/machine/tic6x/Makefile.in, libc/machine/tic6x/aclocal.m4,
	libc/machine/tic6x/configure: New (generated).

2010-10-08  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libc/include/sys/unistd.h: Declare getsid, setegid, seteuid for RTEMS.

2010-10-08  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libm/common/sf_llrint.c, libm/common/sf_round.c: Add explicit casts
	to __uint32_t to avoid overflows on implicit casts.

2010-10-08  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* libm/complex/complex.tex: Add empty stub.

2010-10-08  Corinna Vinschen  <corinna@vinschen.de>

	* libm/math/w_cabs.c: Delete.
	* libm/math/wf_cabs.c: Delete.
	* libm/math/Makefile.am (src): Remove w_cabs.c.
	(fsrc): Remove wf_cabs.c.
	* libm/math/Makefile.in: Regenerate.

2010-10-08  Marco Atzeri  <marco_atzeri@yahoo.it>

	* libc/include/complex.h: New complex header.
	* libm/common/fdlibm.h: Added ifdef _COMPLEX_H.
	* libm/complex/*: New complex functions imported from NetBSD.
	* libm/Makefile.am: Added complex subdir.
	* libm/Makefile.in: Regenerate.
	* libm/configure.in: Added complex subdir.
	* libm/configure: Regenerate.

2010-10-06  Eric Blake  <eblake@redhat.com>

	* lib/str-two-way.h (two_way_long_needle): Avoid bug with long
	periodic needle having false positive.  Affects memmem, strstr,
	strcasestr.

2010-09-21  Craig Howland <howland@LGSInnovations.com>

	* libc/string/memcpy.c: Do not assign size_t parameter to int.
	Use parameter directly, instead.
	* libc/string/memccpy.c:  Likewise.
	* libc/string/mempcpy.c:  Likewise.
	* libc/string/memmove.c:  Likewise.

2010-09-09  Kevin Buettner  <kevinb@redhat.com>

	* libc/sys/sysnecv850/Makefile.am (lib_a_SOURCES): Provide an
	empty definition.
	* libc/sys/sysnecv850/Makefile.in: Regenerate.

2010-08-25  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/posix/opendir.c (opendir): Fix potential memory leak.

2010-08-10  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/sys/dir.h: New BSD-compatibility header.

2010-08-02  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/sys/features.h: Define _POSIX_MONOTONIC_CLOCK for Cygwin.

2010-08-06  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/stat.h: Move all POSIX-defined symbolic constants
	out of `#ifndef _POSIX_SOURCE' guard.

2010-08-03  Craig Howland <howland@LGSInnovations.com>

	* libm/common/s_lrint.c (lrint):  Annotate shift operations with
	possible shift amount ranges, and use SAFE_RIGHT_SHIFT to avoid
	undefined behaviour.
	* libm/common/s_llrint.c (llrint):  Likewise.
	* libm/common/s_lround.c (lround):  Correct some comments on ranges.
	* libm/common/s_llround.c (llround):  Likewise.

2010-07-30  Anthony Green  <green@moxielogic.com>

	* libc/sys/rtems/machine/_types.h: Add moxie support.

2010-07-23  Naveen.H.S  <naveenh1@kpitcummins.com>
            Gina Verlekar <gina.verlekar@kpitcummins.com>

        * configure.host: Compact v850* support and add
	check for newlib_may_supply_syscalls.
        * libc/sys/sysnecv850/Makefile.am: Add support for
        '--disable-newlib-supplied-syscalls' option.
        * libc/sys/sysnecv850/Makefile.in: Regenerated.

2010-07-20  Dave Korn  <dave.korn.cygwin@gmail.com>

	* libm/common/fdlibm.h (SAFE_LEFT_SHIFT): New macro definition.
	(SAFE_RIGHT_SHIFT): Likewise.
	* libm/common/s_llround.c (llround): Annotate shift operations with
	possible shift amount ranges, and use SAFE_RIGHT_SHIFT to avoid
	undefined behaviour.
	* libm/common/s_lround.c (lround): Likewise.

2010-07-19  Eric Blake  <eblake@redhat.com>

	* libc/stdio/mktemp.c (_gettemp): Add parameter, all callers
	changed.
	(mkostemp, _mkostemp_r, mkostemps, _mkostemps_r): New interfaces,
	for ELIX level 4.
	* libc/include/stdlib.h (mktemp): Avoid namespace issues.
	(mkostemp, mkostemps): Declare.

2010-07-13  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/signal.h (sighandler_t): Only define if _POSIX_SOURCE
	is undefined.

2010-07-06  Corinna Vinschen  <corinna@vinschen.de>

	* libc/posix/rewinddir.c (rewinddir): Remove incorrect cast to off_t.
	* libc/sys/rtems/sys/dirent.h (_seekdir): Add prototype.
	* libc/sys/linux/sys/dirent.h (_seekdir): Fix prototype to use long
	rather than off_t.

2010-07-01  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/signal.h (sighandler_t): Add typedef.

2010-06-29  Antony King  <antony.king@st.com>

	* libc/ctype/ctype_.c (__ctype_ptr): Reinstate definition (guarded by
	_NEED_OLD_CTYPE_PTR_DEFINITION) for backwards compatibility with newlib
	1.16.0 and earlier.

2010-06-28  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/sys/stat.h: Add ACCESSPERMS, ALLPERMS, and DEFFILEMODE.

2010-06-18  Pavel Pisa <ppisa4lists@pikron.com>

	* libc/include/machine/ieeefp.h[__arm__][!__VFP_FP__]: Set to
	__IEEE_BIG_ENDIAN and set __IEEE_BYTES_LITTLE_ENDIAN appropriately
	based on __ARMEL flag.
	* libc/include/machine/endian.h: To set byte order to LITTLE_ENDIAN,
	check for __IEEE_LITTLE_ENDIAN or __IEEE_BYTES_LITTLE_ENDIAN.

2010-06-09  Paul Brook  <paul@codesourcery.com>

	* libc/include/sys/reent.h (_reent): Adjust _REENT_SMALL to be
	binary compatible with normal layout.
	(_REENT_INIT): Adjust to match struct layout.

2010-06-08  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/wordexp.h: Add __cplusplus wrapper.

2010-06-08  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.in: Add test for enable-newlib-register-fini
	to set the _WANT_REGISTER_FINI flag.
	* configure: Regenerated.
	* Makefile.in: Ditto.
	* newlib.hin: Add _WANT_REGISTER_FINI flag.
	* libc/stdlib/__call_atexit.c: Add test for
	_WANT_REGISTER_FINI to enable the register_fini function.

2010-06-04  Mark Mitchell  <mark@codesourcery.com>

	* libc/stdlib/__call_atexit.c (__libc_fini): Declare.
	(register_fini): New function.
	* libc/misc/init.c (_fini): Remove.
	(__libc_fini_array): Likewise.
	* libc/misc/fini.c: New file.
	* libc/misc/Makefile.am (LIB_SOURCES): Add fini.c.
	* libc/misc/Makefile.in: Regenerate.

2010-05-31  Kazu Hirata  <kazu@codesourcery.com>

	* libc/stdlib/mallocr.c (malloc_extend_top): Backport the
	difference between versions 2.6.4 and 2.6.5.

2010-05-18  Christopher Faylor  <me+cygwin@cgf.cx>

	* libc/string/strsignal.c (strsignal): Avoid duplicate case statement
	where SIGPWR == SIGLOST.

2010-05-11  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/__call_atexit.c: Fix lock to be of type
	_LOCK_RECURSIVE_T as recursive usage is needed.

2010-05-11  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/locale/locale.c (loadlocale): Fix dangling
	switch statement caused by __HAVE_LOCALE_INFO__ not being
	defined.

2010-05-11  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/string/strsignal.c: New file.
	* libc/string/Makefile.am: Add support for strsignal.
	* libc/string/strings.tex: Ditto.
	* libc/string/Makefile.in: Regenerated.

2010-05-05  DJ Delorie  <dj@redhat.com>

	* libc/Makefile.am (stmp-sigset, stmp-iconvset, stmp-extra,
	stmp-stdio64, stmp-posix,stmp-targetdep): Use unique temporary
	file names to allow for parallel installs.
	(CLEANFILES): Add new temporary file names.
	* libc/Makefile.in: Regenerate.

2010-05-03  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/lctype.c: Include <string.h> and "setlocale.h".
	(_C_ctype_locale): Add braces to initializer.
	(__ctype_load_locale): Fix compiler warnings in non-Cygwin case.
	* libc/locale/nl_langinfo.c (nl_langinfo): Expose _NL_CTYPE_MB_CUR_MAX
	case only if __HAVE_LOCALE_INFO__ is defined.

2010-05-02  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/wctob.c (wctob): Reorganize and fix WEOF check.  Rename
	pwc to pmb and convert to array to avoid buffer overflow.  Rename c to
	wc.  Check wc for WEOF instead of for EOF.  Return first byte of pmb if
	__wctomb conversion returned exactly one byte, EOF otherwise.

2010-04-30  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/langinfo.h: Fix #endif positioning.

2010-04-28  Corinna Vinschen  <corinna@vinschen.de>

	Extend locale support to maintain wide char values of native strings
	if __HAVE_LOCALE_INFO_EXTENDED__ is defined.
	* libc/include/langinfo.h (enum __nl_item): New type.  Define all
	native values accessible through nl_langinfo.  Define previously
	existing POSIX-compatible values as macros as well.
	* libc/include/stdlib.h (__mb_cur_max): Drop declaration.
	(__locale_mb_cur_max): Declare.
	(MB_CUR_MAX): Re-define calling __locale_mb_cur_max.
	* libc/locale/Makefile.am (ELIX_SOURCES): Add lctype.c.
	* libc/locale/Makefile.in: Regenerate.
	* libc/locale/lctype.c: New file to define and load LC_CTYPE category.
	* libc/locale/lctype.h: New file, matching header.
	* libc/locale/lmessages.c (_C_messages_locale): Add default values for
	wide char members.
	(__messages_load_locale): Add _C_messages_locale in call to 
	__set_lc_messages_from_win.
	* libc/locale/lmessages.h (struct lc_messages_T): Add wide char members.
	* libc/locale/lmonetary.c (_C_monetary_locale):  Add default values for
	wide char members.
	(__monetary_load_locale): Add _C_monetary_locale in call to
	__set_lc_monetary_from_win.
	* libc/locale/lmonetary.h (struct lc_monetary_T): Add wide char members.
	Add numerical values for international currency formatting per
	POSIX-1.2008, if __HAVE_LOCALE_INFO_EXTENDED__ is defined.
	* libc/locale/lnumeric.c (_C_numeric_locale): Add default values for
	wide char members.
	(__numeric_load_locale): Add _C_numeric_locale in call to
	__set_lc_numeric_from_win.
	* libc/locale/lnumeric.h (struct lc_numeric_T): Add wide char members.
	* libc/locale/locale.c (loadlocale): Return doing nothing if category
	locale didn't change.  Convert category if chain to switch statement.
	Call __ctype_load_locale in LC_CTYPE case.
	(__locale_charset): Add (but disable for now) returning codeset from
	__get_current_ctype_locale.
	(__locale_mb_cur_max): Add (but disable for now) returning mb_cur_max
	from __get_current_ctype_locale.
	(__locale_msgcharset): Add returning codeset from
	__get_current_messages_locale.
	(_localeconv_r): Accommodate int_XXX values.
	* libc/locale/nl_langinfo.c (nl_ext): New array to define what is to
	be returned for non-POSIX values.
	(nl_Langinfo): Return correct codeset for each locale category.  Return
	extended values if __HAVE_LOCALE_INFO_EXTENDED__ is defined.
	* libc/locale/timelocal.c (_C_time_locale): Add default values for
	wide char members.
	(__time_load_locale): Add _C_time_locale in call to
	__set_lc_time_from_win.
	* libc/locale/timelocal.h (struct lc_time_T): Add wide char members.
	* libc/stdio/vfwprintf.c (_VFWPRINTF_R): Use wide char decimal point
	and thousands_sep if __HAVE_LOCALE_INFO_EXTENDED__ is defined.
	* libc/time/strftime.c: Rework to accommodate availability of wide char
	strings in LC_TIME category if __HAVE_LOCALE_INFO_EXTENDED__ is defined.

2010-04-22  DJ Delorie  <dj@redhat.com>

	* libc/Makefile.am (SUBDEFS): Add LIBC_POSIX_DEF.
	(libc.info): Add posix.texi.
	(libc.dvi): Likewise.
	(stmp-posix): New.
	(posix.texi): New.
	(libc_TEXINFOS): Add posix.texi.
	* libc/configure.in (LIBC_POSIX_LIB, LIBC_POSIX_DEF): Add
	tests.
	* libc/libc.texinfo: Include posix.texi
	* libc/locale/locale.c: Fix texinfo typo.
	* libc/time/strftime.c: Fix texinfo typo.

	* libc/configure: Regenerate.
	* libc/Makefile.in: Regenerate.
	* libc/argz/Makefile.in: Regenerate.
	* libc/ctype/Makefile.in: Regenerate.
	* libc/errno/Makefile.in: Regenerate.
	* libc/iconv/Makefile.in: Regenerate.
	* libc/iconv/ccs/Makefile.in: Regenerate.
	* libc/iconv/ccs/binary/Makefile.in: Regenerate.
	* libc/iconv/ces/Makefile.in: Regenerate.
	* libc/iconv/lib/Makefile.in: Regenerate.
	* libc/locale/Makefile.in: Regenerate.
	* libc/misc/Makefile.in: Regenerate.
	* libc/posix/Makefile.in: Regenerate.
	* libc/reent/Makefile.in: Regenerate.
	* libc/search/Makefile.in: Regenerate.
	* libc/signal/Makefile.in: Regenerate.
	* libc/stdio/Makefile.in: Regenerate.
	* libc/stdio64/Makefile.in: Regenerate.
	* libc/stdlib/Makefile.in: Regenerate.
	* libc/string/Makefile.in: Regenerate.
	* libc/syscalls/Makefile.in: Regenerate.
	* libc/time/Makefile.in: Regenerate.
	* libc/unix/Makefile.in: Regenerate.
	* libc/xdr/Makefile.in: Regenerate.

2010-04-06  Dave Korn  <dave.korn.cygwin@googlemail.com>

	* libc/stdlib/__atexit.c (__atexit_lock): Initialise as recursive
	rather than non-recursive lock type.
	(__register_exitproc): Use recursive locking APIs on it.
	* libc/stdlib/__call_atexit.c (__call_exitprocs): Likewise.

2010-04-06  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/btowc.c (btowc): Reorganize EOF check.  Fix incorrect
	return value if input byte is ASCII NUL.

2010-04-01  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/include/sched.h: Include prototypes for
	sched_* methods.
	* libc/include/sys/sched.h: Update to POSIX
	1003.1b-2008.  Rework constants to allow sharing
	between RTEMS and Cygwin.

2010-03-27  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (loadlocale): Optimize "EUC" charset check.
	Cygwin only: Allow GB2312 and EUC-CN as alternative codeset names
	for GBK.  Add to documentation.
	* libc/locale/nl_langinfo.c (nl_langinfo): On Cygwin, translate EUCCN
	to GB2312.

2010-03-17  Craig Howland <howland@LGSInnovations.com>

	* libc/include/sys/features.h:  Allow for _XOPEN_SOURCE to have an
	empty definition.  Also add support for values of 500 or less.

2010-03-09  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/posix/telldir.c (dd_loccnt): Change start index to be 1 
	instead of 0.
	(_seekdir): A loc of 0 now means rewind dir.

2010-03-08  Craig Howland <howland@LGSInnovations.com>

	* libm/common/s_rint.c:  Fix error when integral part had 18 bits and
	fraction had bits set beyond first radix bit.  Also, make 2-part
	adjustment consistent with 1-part adjustment when adjusting fractional
	bits.
	* libm/common/sf_rint.c:  Make fractional-bit adjustment consistent
	with s_rint.c by setting 0b.01 instead of 0b.001.

2010-03-05  Craig Howland <howland@LGSInnovations.com>

	* libm/math/ef_sqrt.c: Delete unused variable sign.
	* libc/stdlib/getenv.c: Delete "char *_findenv_r ();", as is not a
	proper prototype, and is properly prototyped in stdlib.h, anyway.
	* libc/stdlib/getenv_r.c: Ditto.
	* libc/search/hash.c: Add _DEFUN to __hash_open() declaration; add
	#define __DBINTERFACE_PRIVATE to activate prototypes from db_local.h.
	* libc/search/db_local.h: Correct __hash_open() prototype.
	* libc/sys/linux/cmath/math_private.h:  Eliminate compiler warnings:
	Remove #define INFINITY (redefines from math.h); remove #define __isnanf
	and #define __isinff isinff.

2010-03-02  Craig Howland <howland@LGSInnovations.com>

	* libc/include/sys/features.h:  Add POSIX.1-permitted definition of
	_POSIX_C_SOURCE if not already defined and _XOPEN_SOURCE has an
	appropriate value.  Specifically, check for POSIX.1-2008 & 2001 values.
	* libc/include/sys/config.h:  Add #include <sys/features.h> so that all
	includes get the new check added to it.

2010-03-02  Charles Wilson  <cygwin@cwilson.fastmail.fm>

	* libc/xdr/README: Correct grammatical errors.
	* libc/include/rpc/types.h: Add public types used
	by RPC implementations.
	* libc/include/rpc/xdr.h: Add defines used by RPC
	implementations.
	* libc/xdr/Makefile.am: Eliminate automake warning.
	* libc/xdr/Makefile.in: Regenerate.

2010-03-02  Corinna Vinschen  <corinna@vinschen.de>

	* libc/xdr/Makefile.in: Regenerate.

2010-03-02  Charles Wilson  <cygwin@cwilson.fastmail.fm>

	Add eXtensible Data Record (XDR) support
	* configure.host: Build libc/xdr only on cygwin.
	* Makefile.am: Install xdr headers.
	* libc/configure.in: Support new libc/xdr subdirectory.
	* libc/Makefile.am: Support new libc/xdr subdirectory.
	* libc/include/rpc/types.h: New.
	* libc/include/rpc/xdr.h: New.
	* libc/xdr/README: New.
	* libc/xdr/Makefile.am: New.
	* libc/xdr/dummy.c: New.
	* libc/xdr/xdr.c: New.
	* libc/xdr/xdr_array.c: New.
	* libc/xdr/xdr_float.c: New.
	* libc/xdr/xdr_float_vax.c: New.
	* libc/xdr/xdr_mem.c: New.
	* libc/xdr/xdr_private.c: New.
	* libc/xdr/xdr_private.h: New.
	* libc/xdr/xdr_rec.c: New.
	* libc/xdr/xdr_reference.c: New.
	* libc/xdr/xdr_sizeof.c: New.
	* libc/xdr/xdr_stdio.c: New.

	Regenerate using ac-2.63 and am-1.11.1
	* libc/xdr/Makefile.in: New.
	* Makefile.in: Regenerate.
	* libc/configure: Regenerate.
	* libc/Makefile.in: Regenerate.
	* libc/argz/Makefile.in: Regenerate.
	* libc/ctype/Makefile.in: Regenerate.
	* libc/errno/Makefile.in: Regenerate.
	* libc/iconv/ccs/binary/Makefile.in: Regenerate.
	* libc/iconv/ccs/Makefile.in: Regenerate.
	* libc/iconv/ces/Makefile.in: Regenerate.
	* libc/iconv/lib/Makefile.in: Regenerate.
	* libc/iconv/Makefile.in: Regenerate.
	* libc/locale/Makefile.in: Regenerate.
	* libc/misc/Makefile.in: Regenerate.
	* libc/posix/Makefile.in: Regenerate.
	* libc/reent/Makefile.in: Regenerate.
	* libc/search/Makefile.in: Regenerate.
	* libc/signal/Makefile.in: Regenerate.
	* libc/stdio/Makefile.in: Regenerate.
	* libc/stdio64/Makefile.in: Regenerate.
	* libc/stdlib/Makefile.in: Regenerate.
	* libc/string/Makefile.in: Regenerate.
	* libc/syscalls/Makefile.in: Regenerate.
	* libc/time/Makefile.in: Regenerate.
	* libc/unix/Makefile.in: Regenerate.

2010-02-26  Craig Howland <howland@LGSInnovations.com>

	* libm/common/s_ilogb.c:  Fix typo in comments that causes doc
	generation to fail.

2010-02-26  Corinna Vinschen  <corinna@vinschen.de>

	* libc/time/strftime.c: Add support for era and alt_digits data from
	LC_TIME locale category.  Conditionalize using _WANT_C99_TIME_FORMATS
	flag.
	(STRTOUL): Define differently for building strftime or wcsftime.
	(STRCPY): Ditto.
	(STRCHR): Ditto.
	(STRLEN): Ditto.
	(CHECK_LENGTH): Define to simplify code.
	(era_info_t): New type to store era info.
	(get_era_info): New function to fetch era info matching incoming
	struct tm.
	(free_era_info): New function to free era info.
	(alt_digits_t): New type to store alternative digits.
	(get_alt_digits): New function to convert alt_digits string into
	alt_digits_t structure.
	(free_alt_digits): New function to free alt_digits info.
	(conv_to_alt_digits): New function to convert unsigned value into
	alternative digits.
	(strftime): Conditionalize on _WANT_C99_TIME_FORMATS.  If
	_WANT_C99_TIME_FORMATS is defined, define as just a wrapper function
	providing era_info and alt_digits pointers and call ...
	(__strftime): Rename from strftime and make static if
	_WANT_C99_TIME_FORMATS is defined.  Add parameters for era_info and
	alt_digits pointers.  Handle conversion modifiers according to
	POSIX-1.2008.  Redefine %F and %Y according to POSIX.  Add default case
	to allow to bail out on invalid conversion specifiers.
	* libc/include/sys/config.h: Move Cygwin build flags to Cygwin's
	config.h.

	* libc/include/stdio.h: Remove __CYGWIN_USE_BIG_TYPES__ condition.

2010-02-25  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (loadlocale): Fix typo in comment.

2010-02-25  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c: Throughout, extensively comment on the
	reason for using __CYGWIN__.
	(lconv): Remove _CONST entirely.
	(loadlocale): Guard calls to function loading locale-specific
	category data with __HAVE_LOCALE_INFO__ rather than __CYGWIN__.
	* libc/sys/config.h (__HAVE_LOCALE_INFO__): Define for Cygwin.

2010-02-24  Charles Wilson  <...>

        Work around issues with new libtool files in ..
	* configure.in: Unconditionally call _LT_PROG_ECHO_BACKSLASH.
	* iconvdata/configure.in: Ditto.
	* libc/configure.in: Ditto.
	* libc/machine/configure.in: Ditto.
	* libc/machine/i386/configure.in: Ditto.
	* libc/sys/configure.in: Ditto.
	* libc/sys/linux/configure.in: Ditto.
	* libc/sys/linux/linuxthreads/configure.in: Ditto.
	* libc/sys/linux/linuxthreads/machine/configure.in: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/configure.in: Ditto.
	* libc/sys/linux/machine/configure.in: Ditto.
	* libc/sys/linux/machine/i386/configure.in: Ditto.
	* libm/configure.in: Ditto.
	* libm/machine/configure.in: Ditto.
	* libm/machine/i386/configure.in: Ditto.
	* libc/machine/sh/configure.in: Ditto.  Also, call
	AC_NO_EXECUTABLES before NEWLIB_CONFIGURE.
        * aclocal.m4: Regenerated.
        * configure: Ditto.
	* Makefile.in: Ditto.
        * doc/aclocal.m4: Ditto.
	* doc/Makefile.in: Ditto.
        * libc/*/aclocal.m4: Ditto.
        * libc/*/Makefile.in: Ditto.
        * libc/*/configure: Ditto.
        * libm/*/aclocal.m4: Ditto.
	* libm/*/Makefile.in: Ditto.
        * libm/*/configure: Ditto.

2010-02-24  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/__call_exit.c: Add include of sys/lock.h.

2010-02-23  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/types.h: Fix __XMK__ sectioning and remove
	redundant code section for __XMK__.

2010-02-22  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/langinfo.h (_NL_TIME_DATE_FMT): Define new nl_item
	value for LC_TIME entry date_fmt.
	(_DATE_FMT): Define "official" GNU name same as _NL_TIME_DATE_FMT.
	* libc/locale/nl_langinfo.c (nl_langinfo): Add case for _DATE_FMT.

2010-02-18  Corinna Vinschen  <corinna@vinschen.de>

	* libc/ctype/iswalpha.c (iswalpha): Update to Unicode 5.2.
	* libc/ctype/iswprint.c (iswprint): Ditto.
	* libc/ctype/iswpunct.c (iswpunct): Drop standalone implementation.
	Define in terms of other wctype functions instead.
	* libc/ctype/towlower.c (towlower): Update to Unicode 5.2.  Add comment
	to explain how to fetch the data from the Unicode database.
	* libc/ctype/towupper.c (towupper): Ditto.
	* libc/ctype/utf8alpha.h: Ditto.
	* libc/ctype/utf8print.h: Ditto.
	* libc/ctype/utf8punct.h: Remove.
	* libc/ctype/iswcntrl.c (iswcntrl): Add comment to explain how to
	fetch the data from the Unicode database.

2010-02-18  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/timelocal.h (struct lc_time_T): Add missing ERA-related
	members.
	* libc/locale/timelocal.c (_C_time_local): Set new members to empty
	strings.
	* libc/locale/nl_langinfo.c (nl_langinfo): Return values from
	__get_current_time_locale() for ERA related requests.

2010-02-16  Corinna Vinschen  <corinna@vinschen.de>

	* libc/ctype/iswblank.c (iswblank): Remove Unicode characters
	U+00A0 and U+200B.  Add Unicode character U+180E.  Add comment
	to explain how to generate from Unicode data file.
	* libc/ctype/iswspace.c (iswspace): Ditto.

2010-02-15  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/vfwprintf.c (_VFWPRINTF_R): Apply previous patch here
	as well.

2010-02-15  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Drop printing a redundant
	decimal point in case the float argument is an integral value.

2010-02-11  Craig Howland <howland@LGSInnovations.com>
       
	* libc/include/machine/ieeefp.h:  isfinite macro modified to run faster
	by only calling fpclassify once instead of possibly twice.

2010-02-11  Craig Howland <howland@LGSInnovations.com>

	* libm/common/s_ilogb.c:  Adjust documentation to reflect new returns
	(see next items) and that ilogb() and ilogbf() are C99/POSIX.
	* libm/common/s_ilogb.c (ilogb):  Use C99/POSIX FP_ILOGB0 and
	FP_ILOGBNAN returns for 0 and NAN arguments, respectively, instead of
	the prior -INT_MAX and INT_MAX.  The FP_ILOGBx defines in math.h
	presently match the prior hard-codes, so no functional change is
	actually introduced.  (Not at this time, nor planned, but the values
	are permitted to be different, so subsequent edits of math.h could
	possibly cause a functional change.)
	* libm/common/sf_ilogb.c (ilogbf):  Ditto.

2010-02-09  Daniel Gutson  <dgutson@codesourcery.com>

	* libc/machine/arm/arm_asm.h (_ISA_THUMB_2): __ARM_ARCH_7EM__
	added to the preprocessor condition.

2010-02-09  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/lmessages.c (__messages_load_locale): Take additional
	parameters for wide char to multibyte conversion.  Call
	__set_lc_messages_from_win on Cygwin.
	* libc/locale/lmessages.h: Make C++-safe.
	(__messages_load_locale): Change declaration.
	* libc/locale/lmonetary.c (__monetary_load_locale): Use
	_monetary_locale_buf as buffer pointer.
	* libc/locale/lnumeric.c (__numeric_load_locale): Use
	_numeric_locale_buf as buffer pointer.
	* libc/locale/timelocal.c (__time_load_locale): Use time_locale_buf
	as buffer pointer.
	* libc/locale/locale.c (loadlocale): Enable loading LC_MESSAGES data
	on Cygwin.

2010-02-08  Josef Wolf  <jw@raven.inka.de>

	* libc/machine/m68k/memcpy.S: MISALIGEND_OK should not be set for
	__mcpu32__.

2010-02-07  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c: Add Cygwin's /usr/share/locale/locale.alias
	support to documentation.
	(__set_locale_from_locale_alias): Declare when build for Cygwin.
	(loadlocale): On Cygwin, if locale can't be recognized, call
	__set_locale_from_locale_alias to check for locale alias.
	Define FAIL macro to replace `return NULL' statements.  Replace
	throughout.

2010-02-07  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c: Fix typo in documentation.  Remove useless
	_MB_CAPABLE guards within other _MB_CAPABLE guards.  Add comment
	to remaining #endif's.

2010-02-06  Corinna Vinschen  <corinna@vinschen.de>

	* libc/ctype/ctype_cp.h (_CTYPE_GEORGIAN_PS_128_254): Define.
	(_CTYPE_GEORGIAN_PS_255): Define.
	(_CTYPE_PT154_128_254): Define.
	(_CTYPE_PT154_255): Define.
	(__ctype_cp): Add array members for above ctype definitions.
	* libc/locale/locale.c (loadlocale): Make TIS-620 charset name
	available for all targets.  Add guards for setting the conversion
	function pointers.  Add support for GEORGIAN-PS and PT154 charsets.
	Change documentation to reflect current behaviour more closely.
	* libc/locale/nl_langinfo.c (nl_langinfo): On Cygwin, translate
	"CP101" to "GEORGIAN-PS" and "CP102" to "PT154".
	* libc/stdlib/sb_charsets.c (__cp_conv): Add conversion arrays
	for GEORGIAN-PS and PT154.
	(__cp_index): Map invalid Windows codepage number 101 to
	GEORGIAN-PS conversion array, 102 to PT154 conversion array.

2010-02-06  Ralf Corsepius  <ralf.corsepius@rtems.org>

	* libc/posix/telldir.c: Remove bogus nested prototype of lseek().

2010-02-05  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (loadlocale): Handle ISO-8859 and KOI8 charsets
	so that the dashes are optional.  Align documentation.

2010-02-05  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/vfprintf.c: Include locale.h also if _WANT_IO_C99_FORMATS
	is defined.  Raise conversion buffer size to make sure it has enough
	room for numbers plus grouping character.  Define GROUPING flag.
	(_VFPRINTF_R): Add PRINTANDPAD macro.  Handle grouping flag character.
	Handle grouping for decimal integer and float values.
	* libc/stdio/vfwprintf.c: Ditto.

2010-02-01  Christopher Faylor  <me+cygwin@cgf.cx>

	* libc/stdlib/__atexit.c (__atexit_lock): Define a global lock for
	atexit functions.
	(__register_exitproc): Use __atexit_lock rather than a local static
	lock.
	* libc/stdlib/__call_atexit.c: Ditto.

2010-01-29  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/search/Makefile.am: Create .def files for bsearch and qsort.
	* libc/search/Makefile.in: Regenerated.
	* libc/stdlib/stdlib.tex: Add bsearch and qsort.

2010-01-24  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/nl_langinfo.c (nl_langinfo): Return "CP932" when using
	SJIS on Cygwin.  Explain why.

2010-01-23  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (loadlocale): Allow CP932 as alias for SJIS.
	Add to documentation.  Add a few comments to #endif's for Cygwin.  

2010-01-23  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (loadlocale): Disable JIS entirely on Cygwin.
	Allow TIS620 and TIS-620 as aliases for CP874 on Cygwin.

2010-01-22  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/lmonetary.c (__monetary_load_locale): Take additional
	parameters for wide char to multibyte conversion.  Call
	__set_lc_monetary_from_win on Cygwin.
	* libc/locale/lmonetary.h: Make C++-safe.
	(__monetary_load_locale): Change declaration.
	* libc/locale/lnumeric.c (__numeric_load_locale): Take additional
	parameters for wide char to multibyte conversion.  Call
	__set_lc_numeric_from_win on Cygwin.
	* libc/locale/lnumeric.h: Make C++-safe.
	(__numeric_load_locale): Change declaration.
	* libc/locale/locale.c (lconv): De-constify for Cygwin.
	(__set_charset_from_locale): Rename from
	__set_charset_from_codepage.  Take locale as parameter instead of
	a codepage.
	(loadlocale): Allow "EUC-JP" for "EUCJP" and "EUC-KR" for "EUCKR".
	Change documnetation accordingly.  Enable LC_COLLATE, LC_MONETARY,
	LC_NUMERIC, and LC_TIME handling on Cygwin.
	(_localeconv_r): On Cygwin, copy values from monetary and numeric
	domain if change has been noted.
	* libc/locale/nl_langinfo.c (nl_langinfo): Accommodate change of
	am/pm layout in struct lc_time_T.
	* libc/locale/timelocal.c (_C_time_locale): Accommodate
	redefinition of am/pm members.
	(__time_load_locale): Take additional parameters for wide char
	to multibyte conversion.  Call __set_lc_time_from_win on Cygwin.
	* libc/locale/timelocal.h: Make C++-safe.
	(struct lc_time_T): Convert am and pm to a am_pm array for easier
	consumption by strftime and strptime.
	(__time_load_locale): Change declaration.
	* libc/time/strftime.c: Change documentation to reflect changes to
	strftime.  Remove locale constant strings in favor of access to
	locale-specifc data.
	(_ctloc): Define access method for locale-specifc data.
	(TOLOWER): Define for tolower conversion.
	(strftime): Throughout, convert locale-specific formats to use
	locale-specific data.  Add GNU-specific "%P" format.
	* libc/time/strptime.c: Remove locale constant strings in favor of
	access to locale-specifc data.
	(_ctloc): Define access method for locale-specifc data.
	(strptime): Throughout, convert locale-specific formats to use
	locale-specific data.

2010-01-20  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/nl_langinfo.c (nl_langinfo): On Cygwin, translate
	often-used charsets into Linux compatible codesets.

2010-01-19  Andy Koppe  <andy.koppe@gmail.com>

	* libc/stdio/vfscanf.c (__SVFSCANF_R): Fix handling of non-ASCII
	characters and allow invalid bytes in format string.

2010-01-19  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/wcstombs_r.c (_wcstombs_r): Handle invalid characters
	correctly also in the s==NULL case.

2010-01-17  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (loadlocale): Change comments to refer to
	ISO 639-3 rather than 639-2.

2010-01-17  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (loadlocale): Allow three character
	language codes to accommodate ISO 639-2 codes.

2010-01-17  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (lc_ctype_charset): Disable defaulting to
	"UTF-8" on Cygwin.
	(lc_message_charset): Ditto.
	(loadlocale): Disable setting charset of the "C" locale to "UTF-8" on
	Cygwin.
	* libc/stdlib/mbtowc_r.c (__mbtowc): Add Cygwin-specific comment.
	* libc/stdlib/wctomb_r.c (__wctomb): Ditto.

2010-01-14  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/_default_fcntl.h (O_CLOEXEC): Define as _FNOINHERIT.
	(F_DUPFD_CLOEXEC): Define for Cygwin.
	* libc/include/sys/unistd.h (dup3): Define for Cygwin.
	(pipe2): Ditto.

2010-01-14  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Just wave bytes invalid in
	the current charset through.

2010-01-11  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* libc/posix/telldir.c (_cleanupdir): Fixed usage of freed memory.

2010-01-11  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/math.h (log2, log2f): Disable macro versions for C++,
	as they are incompatible with OpenMP/C++ headers.

2010-01-10  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/mbtowc_r.c (__ascii_mbtowc): Disallow conversion of
	non-ASCII chars on Cygwin.
	* libc/stdlib/wctomb_r.c (__ascii_wctomb): Ditto.

2009-12-22  Eric Blake  <ebb9@byu.net>

	* libc/include/sys/unistd.h (suboptarg, getsubopt): Move...
	* libc/include/stdlib.h: ...here, to match POSIX for getsubopt.

2009-12-17  Jeff Johnston  <jjohnstn@redhat.com>

	* NEWS: Update with 1.18.0 info.
	* README: Ditto.
	* acinclude.m4: Change version number to 1.18.0.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* doc/aclocal.m4: Ditto.
	* doc/configure: Ditto.
	* libc/*/aclocal.m4: Ditto.
	* libc/*/configure: Ditto.
	* libc/libc.texinfo: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.
	* libm/libm.texinfo: Ditto.
	* libc/sys/linux/shared.ld: Add VERS_1.18

2009-12-17  Jeff Johnston <jjohnstn@redhat.com>

	* libc/include/_syslist.h: Add _mkdir transform.

2009-12-17  Jerker Back  <jerker.back@gmail.com>

	* libc/iconv/lib/local.h[!__GNUC__]: Add alternative version of
	ICONV_ZERO_MB_STATE_T macro.
	* libc/iconv/lib/ucsconv.c (ucs_based_conversion_get_state): Use
	temporary local variable nullstate to hold empty mbstate_t.

2009-12-17  Jerker Back  <jerker.back@gmail.com>

	* libc/include/_ansi.h: Add new _EXFNPTR macro for using with
	function pointer arguments.
	* libc/iconv/lib/conv.h: Use _EXFNPTR rather than _EXPARM macro.
	* libc/iconv/lib/ucsconv.h: Ditto.
	* libc/include/stdlib.h: Use new _EXFNPTR macro for function pointers.
	* libc/include/sys/reent.h: Ditto.
	* libc/include/sys/unistd.h: Ditto.
	* libc/search/bsearch.c: Ditto.
	* libc/stdio/fseek.c: Ditto.
	* libc/stdio64/fseeko64.c: Ditto.
	* libc/stdlib/atexit.c: Ditto.
	* libc/stdlib/on_exit.c: Ditto.

2009-12-17  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/include/machine/ieeefp.h: Rework __IEEE_*_ENDIAN handling.
	* libc/machine/arm/machine/endian.h: Remove (Conflicts with
	libc/include/machine/endian.h)

2009-12-17  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/include/machine/setjmp.h: Set up _JBLEN #ifdef __m68k__.

2009-12-17  Ralf Corsepius <ralf.corsepius@rtems.org>

	* libc/include/pthread.h: Add pthread_atfork, pthread_rwlock_unlock
	* libc/include/sys/stat.h: Use struct timespec st_*tim,
	blksize_t st_blksize, blkcnt_t st_blocks.
	Add st_*time compatibility macros.

2009-12-16  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/sys/rtems/machine/param.h: Only use sizeof(double) -1
	for ALIGNBYTES on SPARC.

2009-12-16  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/errno.h: Move EHOSTDOWN, EPFNOSUPPORT,
	and ETOOMANYREFS into general list as they are referenced
	by OpenGroup and needed by RTEMS.

2009-12-16  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/search/hcreate.c: Don't include <sys/queue.h> (Unused).

2009-12-16  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/sys/rtems/machine/_types.h: New (Derived from
	machine/_default_types.h).
	* libc/sys/rtems/crt0.c: Rework. Introduce macro RTEMS_STUB.
	* libc/sys/rtems/sys/param.h:
	Update copyright notice from FreeBSD.
	Remove HZ.
	Add #include <sys/priority.h>
	Remove priority handling (moved to sys/priority.h).
	Remove CLBYTES (Unused, abandoned in BSD).
	* libc/sys/rtems/sys/queue.h: Update copyright (from FreeBSD).
	Remove CIRCLEQ_*.

2009-12-15  Conny Marco Menebrocker  <c-m-m@gmx.de>

	* libc/machine/xc16x/Makefile.am: Fix typo and refer
	to puts.c instead of putc.c.
	* libc/machine/xc16x/Makefile.in: Regenerated.

2009-12-14  Maxim Kuvyrkov <maxim@codesourcery.com>

	* libc/machine/m68k/memcpy.S: Patch to support
	boards which do not support unaligned read/write.

2009-12-10  Conny Marco Menebrocker  <c-m-m@gmx.de>

	* configure.host: Add xc16x support.
	* libc/include/machine/ieeefp.h: Ditto.
	* libc/include/sys/config.h: Ditto.
	* libc/machine/configure.in: Ditto.
	* libc/machine/Makefile.in: Regenerated.
	* libc/machine/aclocal.m4: Ditto.
	* libc/machine/configure: Ditto.
	* libc/machine/xc16x/Makefile.am: New file.
	* libc/machine/xc16x/Makefile.in: Ditto.
	* libc/machine/xc16x/aclocal.m4: Ditto.
	* libc/machine/xc16x/configure: Ditto.
	* libc/machine/xc16x/configure.in: Ditto.
	* libc/machine/xc16x/putchar.c: Ditto.
	* libc/machine/xc16x/puts.c: Ditto.
	* libc/machine/xc16x/setjmp.S: Ditto.

2009-12-08  Eric Blake  <ebb9@byu.net>

	Fix some *at declarations.
	* libc/include/stdio.h (symlinkat): Move this...
	* libc/include/sys/_default_fcntl.h (unlinkat): ...and this...
	* libc/include/sys/unistd.h (symlinkat, unlinkat): ...here, to
	match POSIX.

2009-12-03  Craig Howland <howland@LGSInnovations.com>

	* libc/stdlib/strtod.c:  Correct "NO_REENT" to "_REENT_ONLY".
	* libc/stdlib/wcstod.c:  Ditto.
	* libc/stdlib/dtoastub.c:  Ditto.

2009-11-23  Corinna Vinschen  <corinna@vinschen.de>

	Use NetBSD fix for CVE-2009-0689 security vulnerability.
	* libc/include/sys/reent.h (_Kmax): Define here based on the sizeof
	size_t, as in latest NetBSD.
	* libc/reent/reent.c (_reclaim_reent): Use _Kmax rather than constant
	value 15.
	* libc/stdlib/mprec.c (_Kmax): Don't define here.  Explain why.

2009-11-20  Nick Clifton  <nickc@redhat.com>

	* libc/machine/rx/strncat.S (_strncat): Replace use of r6
	(call-saved) with r14 (call-used).

2009-11-18  Dave Korn  <dave.korn.cygwin@googlemail.com>

	* libm/machine/i386/f_tan.S (_f_tan): Free fp stack register
	containing useless constant before advancing fp sp over it.
	(_f_tanf): Likewise.

2009-11-18  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/vfprintf.c: Include ../stdlib/local.h.  Replace call to
	_mbtowc_r with direct call to __mbtowc.
	* libc/stdio/vfscanf.c: Ditto.
	* libc/stdlib/btowc.c: Include local.h.  Replace call to _mbtowc_r
	with direct call to __mbtowc.
	* libc/stdlib/mblen.c: Ditto.
	* libc/stdlib/mblen_r.c: Ditto.
	* libc/stdlib/mbrtowc.c: Ditto.
	* libc/stdlib/mbstowcs_r.c: Ditto.
	* libc/stdlib/mbtowc.c: Ditto.
	* libc/stdlib/wcrtomb.c: Include local.h.  Replace call to _wctomb_r
	with direct call to __wctomb.
	* libc/stdlib/wcsnrtombs.c: Ditto.
	(_wcsnrtombs_r): Ditto.
	* libc/stdlib/wcstombs_r.c: Ditto.
	* libc/stdlib/wctob.c: Ditto.
	* libc/stdlib/wctomb.c: Ditto.

	* libc/stdlib/mbrtowc.c (mbrtowc): Implement independently from
	_mbrtowc_r, unless PREFER_SIZE_OVER_SPEED or __OPTIMIZE_SIZE__ are
	defined.
	* libc/stdlib/wcrtomb.c (wcrtomb): Implement independently from
	_wcrtomb_r, unless PREFER_SIZE_OVER_SPEED or __OPTIMIZE_SIZE__ are
	defined.

	* libc/stdlib/mbtowc_r.c (__utf8_mbtowc): Drop unnecessary test for
	ch >= 0.

2009-11-17  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libm/common/fdlibm.h (logb, logbf): Move decls from here...
	* libc/include/math.h (logb, logbf): ...to here.

2009-11-06  Jon Turney  <jon.turney@dronecode.org.uk>

	* libc/include/ctype.h (__ctype_lookup): Fix precedence.

2009-10-30  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/fflush.c (_fflush_r): Store old errno to check for
	low-level seek error condition.  Restore old errno in case of
	success.  Don't use new position after seek as error condition,
	rather check for return value of -1 and errno.  Handle EINVAL
	just like ESPIPE.  Only set fp->_offset if errno is 0.

2009-10-27  Nick Clifton  <nickc@redhat.com>

	* MAINTAINERS (ARM): Add myself as an ARM maintainer.

2009-10-26  DJ Delorie  <dj@redhat.com>

	* configure.host: Add support for RX architecture.
	* libc/include/machine/ieeefp.h: Likewise.
	* libc/include/machine/setjmp.h: Likewise.
	* libc/include/machine/configure.in: Likewise.
	* libc/include/machine/configure: Regenerate.
	* libc/machine/rx: New directory.
	* libc/machine/rx/*: New files to support RX architecture.

2009-10-24  Eric Blake  <ebb9@byu.net>

	* libc/include/ctype.h (__ctype_lookup): New macro.
	(isalpha, isupper, islower, isdigit, isxdigit, isspace, ispunct)
	(isalnum, isprint, isgraph, iscntrl, isblank): Use it to fix bug
	on 64-bit machines.

2009-10-20  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: Don't set -O2 flag in newlib_cflags.  Leave
	that to CFLAGS.
	* acinclude.m4: Don't reset CFLAGS before calling _AC_PROG_CC_G
	as it sets the same flags as we are using.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* Makefile.in: Ditto.
	* iconvdata/aclocal.m4: Ditto.
	* iconvdata/configure: Ditto.
	* iconvdata/Makefile.in: Ditto.
	* doc/aclocal.m4: Ditto.
	* doc/configure: Ditto.
	* doc/Makefile.in: Ditto.
	* libc/aclocal.m4: Ditto.
	* libc/configure: Ditto.
	* libc/Makefile.in: Ditto.
	* libc/*Makefile.in: Ditto.
	* libc/*aclocal.m4: Ditto.
	* libc/*configure: Ditto.
	* libm/*Makefile.in: Ditto.
	* libm/*aclocal.m4: Ditto.
	* libm/*configure: Ditto.

2009-10-16  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/config.h[__CYGWIN__]: Set __USE_XOPEN2K flag
	if not __STRICT_ANSI__ or stdc version C99 or greater.
	* libc/include/stdio.h[__STRICT_ANSI__]: Add __USE_XOPEN2K check
	for fseeko and ftello prototypes.

2009-10-15  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/wchar.h (struct tm0: Declare as incomplete type.

2009-10-15  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/nl_langinfo.c (nl_langinfo): Add Cygwin-specific temporary
	exception for KOI8 charsets.

2009-10-13  Eric Blake  <ebb9@byu.net>

	* libc/include/sys/unistd.h: Add _PC*, _CS*, and _SC* constants
	new to POSIX 2008.

2009-10-13  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libc/include/sys/signal.h: Include <sys/types.h> always.
	[__CYGWIN__, __rtems__]: Define kill first argument as pid_t per
	standards.

2009-10-09  Dave Korn  <dave.korn@artimi.com>

	* libc/include/sys/time.h (_TIMEVAL_DEFINED): Define when
	defining struct timeval.

2009-10-09  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (DEFAULT_LOCALE): New define.
	(__default_locale): New global variable set to the default locale.
	(__get_locale_env): Return __default_locale rather than fixed "C".

2009-10-08  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: For RTEMS, define HAVE_ASSERT_FUNC.
	* libc/stdlib/assert.c (_assert_func): Do not specify
	__assert_func if HAVE_ASSERT_FUNC flag is set.

2009-10-08  Eric Blake  <ebb9@byu.net>

	* libc/include/getopt.h (__getopt_r, __getopt_long_r)
	(__getopt_long_only_r): Protect declarations, to avoid compiler
	warning.

2009-10-07  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/nl_langinfo.c (nl_langinfo): Just return current locale
	charset on Cygwin.

2009-10-03  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/mbtowc_r.c (__utf8_mbtowc): Allow CESU-8 surrogate
	value encoding.
	* libc/stdlib/wctomb_r.c (__utf8_mbtowc): Allow CESU-8 surrogate
	value decoding.

2009-09-29  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (loadlocale): Allow "C." same as "C-" as locale
	prefix.  Add some words to documentation.

2009-09-29  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/sb_charsets.c: Throughout, translate undefined
	characters to their corresponding Windows Unicode value.

2009-09-28  Michael Eager <eager@eagercon.com>

	* configure.host: Add microblaze.
	* libc/include/machine/ieeefp.h [MICROBLAZE]: Define __IEEE_BIG_ENDIAN.
	* libc/include/machine/setjmp.h [MICROBLAZE]: Define _JBLEN, _JBTYPE.
	* libc/include/sys/config.h [MICROBLAZE]: Define _REENT_SMALL,
	_UNIX98_THREAD_MUTEX_ATTRIBUTES.
	* libc/include/sys/types.h: Treat XMK like rtems, define
	PTHREAD_MUTEX_NORMAL, PTHREAD_MUTEX_ERRORCHECK, PTHREAD_MUTEX_RECURSIVE,
	PTHREAD_MUTEX_DEFAULT, PTHREAD_STACK_MIN, define stuct pthread_attr_s.
	* libc/machine/configure.in: Add microblaze.
	* libc/machine/configure: Add microblaze (not regenerated).
	* libc/machine/microblaze/configure.in: NEW.
	* libc/machine/microblaze/configure: Generate.
	* libc/machine/microblaze/Makefile.am: NEW.
	* libc/machine/microblaze/Makefile.in: Generate.
	* libc/machine/microblaze/{abort.c, strcmp.c, strcpy.c, strlen.c,
	mallocr.c, longjmp.S, setjmp.S}: NEW.
	* libc/stdlib/mallocr.c [MICROBLAZE]: Don't declare sbrk prototype,
	mALLOc(): return malloc value.

2009-09-27  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (lc_ctype_charset): Set to "UTF-8" on Cygwin.
	(lc_message_charset): Ditto.
	(loadlocale): Set charset of the "C" locale to "UTF-8" on Cygwin.
	* libc/stdlib/mbtowc_r.c (__mbtowc): Default to __utf8_mbtowc on
	Cygwin.
	* libc/stdlib/wctomb_r.c (__wctomb): Default to __utf8_wctomb on
	Cygwin.

2009-09-26  Eric Blake  <ebb9@byu.net>

	* libc/include/sys/unistd.h (execvpe, fexecve) [__CYGWIN__]:
	Add declarations.

2009-09-24  Eric Blake  <ebb9@byu.net>

	* libc/include/sys/unistd.h (eaccess, euidaccess) [__CYGWIN__]:
	Add declarations.

2009-09-23  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c: Drop Cygwin-specific windows.h include.
	(loadlocale): Call __set_charset_from_codepage with 0 codepage.

2009-09-22  Ralf Corsépius <ralf.corsepius@rtems.org>

	* libc/include/stdlib.h: Add posix_memalign.

2009-09-22  Ralf Corsépius <ralf.corsepius@rtems.org>

	* configure.host (*-rtems*): Remove -DMISSING_SYSCALL_NAMES.
	Add -DHAVE_BLKSIZE, -D_NO_WORDEXP -D_NO_POPEN.

2009-09-22  Ralf Corsépius <ralf.corsepius@rtems.org>

	* configure.host (m32c): Move setting -DABORT_PROVIDED to second
	"case $host".

2009-09-18  Christopher Faylor  <me+cygwin@cgf.cx>

	* libc/include/sys/unistd.h: Declare getpagesize as returning
	POSIX-mandated int.
	* libc/sys/linux/sys/unistd.h: Ditto.

2009-08-31  Takaki Makino  <t@snowelm.com>

	* libm/machine/i386/f_pow.c(_f_pow): Alter ASM so it works with
	newer gcc versions.
	* libm/maachine/i386/f_powf.c(_f_powf): Ditto.

2009-08-25  Andy Koppe  <andy.koppe@gmail.com>

	* libc/stdlib/sb_charsets.c (__micro_atoi): Allow five-digit codepage
	numbers.
	* libc/locale/locale.c (loadlocale): Set MB_CUR_MAX to 1 for KOI8
	charsets.
	* libc/stdlib/local.h (__cp_conv): Remove incorrect number of codepages.

2009-08-24  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c: Update documentation.
	(loadlocale): Map "KOI8-R" and "KOI8-U" to CP20866 and CP21866.

2009-08-24  Andy Koppe  <andy.koppe@gmail.com>

	* libc/stdlib/sb_charsets.c (__cp_conv): Add KOI8-R (Russian, CP20866)
	and KOI8-U (Ukrainian, CP21866) to Windows codepage conversion tables.
	* libc/ctype/ctype_cp.h (__ctype_cp): Likewise for ctype tables.

2009-08-24  Andy Koppe  <andy.koppe@gmail.com>

	* libc/ctype/iswspace.c (iswspace): Include "non-breaking
	space" (U+00A0).
	* libc/ctype/iswblank.c (iswblank): Likewise.

2009-08-21  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (loadlocale): Throughout check charset string
	case insensitive and store internal charset string uppercased.  Allow
	"UTF8" additionally to "UTF-8".  Add this change to documentation.

2009-08-21  Eric Blake  <ebb9@byu.net>

	* libc/include/iconv.h (iconv): Match POSIX prototype.
	* libc/iconv/lib/iconv.c (iconv): Likewise.

2009-08-21  Craig Howland <howland@LGSInnovations.com>

	* libm/common/s_remquo.c (remquo):  Fix sign of quotient when |x|==|y|.
	* libc/stdio/mktemp.c:  Add #include <stdlib.h> for function prototypes.

2009-08-19  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* iconvdata/Makefile.am (all): Remove.
	* libc/sys/a29khif/Makefile.am (all-am): Rename from ...
	(all): ... this.
	* libc/sys/arc/Makefile.am: Likewise.
	* libc/sys/arm/Makefile.am: Likewise.
	* libc/sys/d10v/Makefile.am: Likewise.
	* libc/sys/decstation/Makefile.am: Likewise.
	* libc/sys/h8300hms/Makefile.am: Likewise.
	* libc/sys/h8500hms/Makefile.am: Likewise.
	* libc/sys/linux/Makefile.am: Likewise.
	* libc/sys/linux/machine/i386/Makefile.am: Likewise.
	* libc/sys/m88kbug/Makefile.am: Likewise.
	* libc/sys/mmixware/Makefile.am: Likewise.
	* libc/sys/netware/Makefile.am: Likewise.
	* libc/sys/rdos/Makefile.am: Likewise.
	* libc/sys/rtems/Makefile.am: Likewise.
	* libc/sys/sh/Makefile.am: Likewise.
	* libc/sys/sparc64/Makefile.am: Likewise.
	* libc/sys/sun4/Makefile.am: Likewise.
	* libc/sys/sysmec/Makefile.am: Likewise.
	* libc/sys/sysnec810/Makefile.am: Likewise.
	* libc/sys/sysnecv850/Makefile.am: Likewise.
	* libc/sys/sysvi386/Makefile.am: Likewise.
	* libc/sys/sysvnecv70/Makefile.am: Likewise.
	* libc/sys/tic80/Makefile.am: Likewise.
	* libc/sys/w65/Makefile.am: Likewise.
	* libc/sys/z8ksim/Makefile.am: Likewise.
	* iconvdata/Makefile.in: Regenerate.
	* libc/sys/a29khif/Makefile.in: Likewise.
	* libc/sys/arc/Makefile.in: Likewise.
	* libc/sys/arm/Makefile.in: Likewise.
	* libc/sys/d10v/Makefile.in: Likewise.
	* libc/sys/decstation/Makefile.in: Likewise.
	* libc/sys/h8300hms/Makefile.in: Likewise.
	* libc/sys/h8500hms/Makefile.in: Likewise.
	* libc/sys/linux/Makefile.in: Likewise.
	* libc/sys/linux/machine/i386/Makefile.in: Likewise.
	* libc/sys/m88kbug/Makefile.in: Likewise.
	* libc/sys/mmixware/Makefile.in: Likewise.
	* libc/sys/netware/Makefile.in: Likewise.
	* libc/sys/rdos/Makefile.in: Likewise.
	* libc/sys/rtems/Makefile.in: Likewise.
	* libc/sys/sh/Makefile.in: Likewise.
	* libc/sys/sparc64/Makefile.in: Likewise.
	* libc/sys/sun4/Makefile.in: Likewise.
	* libc/sys/sysmec/Makefile.in: Likewise.
	* libc/sys/sysnec810/Makefile.in: Likewise.
	* libc/sys/sysnecv850/Makefile.in: Likewise.
	* libc/sys/sysvi386/Makefile.in: Likewise.
	* libc/sys/sysvnecv70/Makefile.in: Likewise.
	* libc/sys/tic80/Makefile.in: Likewise.
	* libc/sys/w65/Makefile.in: Likewise.
	* libc/sys/z8ksim/Makefile.in: Likewise.

	* configure.in (newlib_cv_ldbl_eq_dbl): Rename cache variable
	from newlib_ldbl_eq_dbl.
	* configure: Regenerate.

2009-08-19  Eric Blake  <ebb9@byu.net>

	* libc/Makefile.am (SUBDEFS): Correctly build popen docs.
	* libc/libc.texinfo (Top): Add posix node to menu.

2009-08-18  Jeff Johnston  <jjohnstn@redhat.com>

	* newlib.hin: Add comment regarding file being manually edited.
	* Makefile.am: Add no-op rule for newlib.hin.
	* Makefile.in: Regenerated.

2009-08-18  Jeff Johnston  <jjohnstn@redhat.com>

	* acconfig.h: Add templates for _HAVE_LONG_DOUBLE and _LDBL_EQ_DBL.

2009-08-18  Eric Blake  <ebb9@byu.net>

	* libc/posix/popen.c (popen): Fix documented prototype.

	Improve popen compatibility with glibc.
	* libc/posix/popen.c (popen): The 2006-08-22 change to use
	FD_CLOEXEC disagrees with other implementations; instead, use
	pidlist to work even when fcntl is not available.  Meanwhile,
	support the 'e' modifier to set CLOEXEC, as in glibc.  Drop
	cygwin-specific code, now that cygwin has its own version.
	* libc/posix/Makefile.am (CHEWOUT_FILES): Document popen.
	* libc/posix/posix.tex: New file.

2009-08-17  Craig Howland <howland@LGSInnovations.com>

	* libc/string/wcsncpy.c (wcsncpy):  Re-write function based on small
	version of strncpy() (fixing two bugs).

2009-08-13  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/mktemp.c (mkdtemp): Fix typo in function name.

2009-08-12  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/mktemp.c (_gettemp): Do not call _mkdir_r unless
	HAVE_MKDIR is defined.

2009-08-12  Hans-Peter Nilsson  <hp@axis.com>

	* libc/include/reent.h: Add prototype and definition of _mkdir_r.
	* libc/reent/Makefile.am (GENERAL_SOURCES): Add mkdirr.c.
	(CHEWOUT_FILES): Add mkdirr.def.
	* libc/reent/Makefile.in: Regenerate.
	* libc/reent/mkdirr.c: New file.

2009-08-10  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/wcstombs.c: Change documentation to specify size_t
	return type instead of int.

2009-07-29  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/a64l.c: Fix to use 'a' instead of 'A' in calculation
	when a lower-case character is detected.

2009-07-29  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/mbtowc_r.c (__utf8_mbtowc): Rework UTF-16 surrogate
	pair handling to be more bullet-proof even with incomplete UTF-8
	sequences.  Add check for 4 byte sequences resulting in values
	outside the valid Unicode range.  Add a comment to clarify checking
	for invalid CESU-8 sequences.

2009-07-28  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/mbtowc_r.c (__utf8_mbtowc): Fix incrementing n in case
	of handling incomplete sequences.

2009-07-22  Eric Blake  <ebb9@byu.net>

	Avoid a fault from locking a closed standard file.
	* libc/stdio/fflush.c (_fflush_r): Give up early if stream has
	been previously closed.

2009-07-09  Craig Howland <howland@LGSInnovations.com>

	* libm/math/ef_scalb.c:  Replace isnanf() (pre-C99 function call) with
	isnan() (C99 macro).
	* libm/math/wf_log.c:  Ditto.
	* libm/math/wf_j0.c:  Ditto.
	* libm/math/wf_sqrt.c:  Ditto.
	* libm/math/wf_pow.c:  Ditto.
	* libm/math/wf_fmod.c:  Ditto.
	* libm/math/wf_remainder.c:  Ditto.
	* libm/math/wf_scalb.c:  Ditto.
	* libm/math/wf_atanh.c:  Ditto.
	* libm/math/wf_cosh.c:  Ditto.
	* libm/math/wf_acos.c:  Ditto.
	* libm/math/wf_acosh.c:  Ditto.
	* libm/math/wf_jn.c:  Ditto.
	* libm/math/wf_log10.c:  Ditto.
	* libm/math/wf_asin.c:  Ditto.
	* libm/math/wf_j1.c:  Ditto.
	* libm/common/sf_isnan.c:  Add #include <ieeefp.h>, fix comment.
	* libm/common/sf_isinf.c:  Add #include <ieeefp.h>, adjust comment to
	match that from s_isinf.c.
	* libc/include/machine/ieeefp.h:  Simplify isinf and isnan macros to
	remove un-necessary extension use (in a similar manner to as was
	recently done in math.h).
	* libc/include/math.h:  Remove isnanf and isinff prototypes (are in
	ieeefp.h).
	* libm/machine/spu/sf_isinf.c:  Fix comment (remove <math.h>).

2009-07-06  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/include/sys/features.h: Enable UNIX98 mutex attributes
	for RTEMS.

2009-07-03  Eric Blake  <ebb9@byu.net>

	Add mkdtemp, mkstemps.
	* libc/stdio/mktemp.c: Fix documentation.
	(_gettemp): Add domkdir and length parameters.  Check for
	insufficient 'X' suffix.  Drop cygwin-specific code.
	(_mkstemp_r, _mktemp_r, mkstemp, mktemp): Adjust clients.
	(_mkdtemp_r, _mkstemps_r, mkdtemp, mkstemps): New functions.
	* libc/include/stdlib.h (_mkdtemp_r, _mkstemps_r, mkdtemp)
	(mkstemps): Declare them.

	Add fpurge.
	* libc/stdio/fpurge.c (fpurge, _fpurge_r): New file.
	* libc/stdio/Makefile.am (ELIX_4_SOURCES, CHEWOUT_FILES, fpurge):
	Build it.
	* libc/stdio/Makefile.in: Regenerated.
	* libc/include/stdio.h (fpurge, _fpurge_r): New declarations.
	* libc/stdio/stdio.tex: Build documentation.

2009-06-23  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.am (MATHOBJS_IN_LIBC): Add s_fpclassify and
	sf_fpclassify as these are now used for infinity testing.
	* Makefile.in: Regenerated.

2009-06-19  Joel Sherrill <joel.sherrill@oarcorp.com>

	* libc/sys/rtems/machine/param.h: Change ALIGNBYTES
	so it can point to an aligned structure or double.

2009-06-18  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (loadlocale): Add handling of "@cjknarrow"
	modifier on _MB_CAPABLE targets.  Add comment to explain.  Improve
	documentation.

2009-06-17  Michael Eager <eager@eagercon.com>

	* libc/include/pthread.h: Support XMK (Xilinx) BSP, add RTEMS to
	PTHREAD_MUTEX_NORMAL.
	* libc/include/sys/features.h: Same.
	* libc/include/sys/types.h: Same.

2009-06-16  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/locale.h (struct lconv): Add missing members required
	by POSIX.1-2008.
	* libc/locale/locale.c (lconv): Initialize new members to default
	values in "C" locale.

2009-06-16  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Use actual length of
	radix char instead of assuming length 1.
	* libc/stdlib/gdtoa-gethex.c: Remove use of USE_LOCALE.
	(gethex): Allow multibyte decimal point.
	Fix compiler warnings due to different signedness of pointer types.
	* libc/stdlib/strtod.c: Remove use of USE_LOCALE.
	(_strtod_r): Allow multibyte decimal point.
	* libc/stdlib/wcstod.c (_wcstod_r): Evaluate correct wide char
	endptr position if the decimal point is a multibyte char.

2009-06-16  Craig Howland <howland@LGSInnovations.com>

	* libc/ctype/local.h (__locale_charset): Add arguments to
	prototype
	* libc/stdlib/local.h (__locale_charset): Ditto.

2009-06-16  Craig Howland <howland@LGSInnovations.com>

	* libc/include/math.h:  Simplify fpclassify, isinf, isnan, and signbit
	macros to remove un-necessary extension use.  isinf and isnan also
	changed to use fpclassify.  isfinite macro modified to run faster by
	only calling fpclassify once instead of possibly twice.

2009-06-09  Corinna Vinschen  <corinna@vinschen.de>

	* libc/ctype/tolower.c (tolower): Cast conversion result from
	mbtowc/wctomb to unsigned char to avoid negative return values.
	* libc/ctype/toupper.c (toupper): Ditto.

2009-06-03  IWAMURO Motonori  <deenheart@gmail.com>

	* libc/string/wcwidth.c: Optimize for speed.

2009-06-03  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (lc_ctype_cjk_lang): New static int.
	(loadlocale): In case of setting LC_CTYPE, set lc_ctype_cjk_lang
	to 1 if the language is "jp", "ko", or "zh", to 0 otherwise.
	(__locale_cjk_lang): New function.
	* libc/string/local.h (__locale_cjk_lang): Declare.
	* libc/string/wcwidth.c: Fix comments.
	(__wcwidth): Handle CJK Ambiguous Width characters according
	to setting returned by __locale_cjk_lang.

2009-06-02  Richard Earnshaw  <rearnsha@arm.com>

	* libc/include/sys/config.h: Remove specification of _REENT_SMALL for
	thumb2.

2009-06-02  IWAMURO Motonori  <deenheart@gmail.com>

	* libc/ctype/jp2uc.c: Skip all definition if defined __CYGWIN__.
	(__jp2uc): Change the scope to static function.
	* libc/ctype/local.h (_jp2uc): Define as macro if defined __CYGWIN__.
	* libc/string/local.h (_jp2uc): Include ../ctype/local.h.

2009-05-27  Neal H. Walfield  <neal@gnu.org>

	* libc/include/machine/setjmp.h (sigjmp_buf): Size according to
	_JBTYPE and the size of sigset_t.

2009-05-15  Craig Howland <howland@LGSInnovations.com>

	* configure.in:  Add configuration test for long double type existing
	and set flag _HAVE_LONG_DOUBLE if true.  Fix INIT_ARRAY (.init_array)
	and _LDBL_EQ_DBL tests to not link so that will work with
	cross-compilers.
	* configure: Regenerated.
	* Makefile.in: Ditto.
	* newlib.hin: Add _HAVE_LONG_DOUBLE flag.
	* libc/include/math.h:  Change non-builtin defines for HUGE_VAL,
	HUGE_VALF, and HUGE_VALL to be constant expressions.  Add definitions
	for the non-builtin case for INFINITY and NAN.  Gate HUGE_VALL and
	union __ldmath definitions with (new) _HAVE_LONG_DOUBLE.
	*libm/common/s_infconst.c:  Change definitions to use values from
	float.h instead of non-so-portable integer forms.  Mark as being
	deprecated (because now removed from math.h, are not used anywhere
	in Newlib, itself).

2009-05-15  Corinna Vinschen  <corinna@vinschen.de>

	* libc/string/local.h: New file.
	* libc/string/wcswidth.c (wcswidth):  Convert japanese wide
	characters to Unicode here.  Handle surrogate pairs for UTF-16
	systems.  Call __wcwidth rather than wcwidth.
	* libc/string/wcwidth.c: New implementation using Markus Kuhn's
	wcwidth implementation for Unicode.
	(bisearch): New static function.
	(__wcwidth): New function.  Take wint_t rather than wchar_t as
	parameter to allow full Unicode handling on UTF-16 systems.
	Move old wcwidth implementation here for non-multibyte aware
	systems.
	(wcwidth): Convert japanese wide characters to Unicode here.
	Call __wcwidth rather than using iswprint/iswcntrl.

2009-05-14  Corinna Vinschen  <corinna@vinschen.de>

	* libc/ctype/local.h (JP_JIS, JP_SJIS, JP_EUCJP): Move definition
	to jp2uc.c.
	(__jp2uc): Remove declaration.
	(_jp2uc): Declare.
	* libc/ctype/jp2uc.c (JP_JIS, JP_SJIS, JP_EUCJP): Define.
	(__jp2uc): Remove Cygwin special case.
	(_jp2uc): New function.  On Cygwin, just return c.
	* libc/ctype/iswalpha.c (iswalpha): Just call _jp2uc.
	* libc/ctype/iswblank.c (iswblank): Ditto.
	* libc/ctype/iswcntrl.c (iswcntrl): Ditto.
	* libc/ctype/iswprint.c (iswprint): Ditto.
	* libc/ctype/iswpunct.c (iswpunt): Ditto.
	* libc/ctype/iswspace.c (iswspace): Ditto.
	* libc/ctype/towlower.c (towlower): Ditto.
	* libc/ctype/towupper.c (towupper): Ditto.

2009-05-13  Paul Brook  <paul@codesourcery.com>

	* libc/machine/arm/setjmp.S: Don't bother saving IP.  Copy SP to
	IP before saving.  Likewise when restoring.

2009-05-13  Paul Brook  <paul@codesourcery.com>

	* libc/machine/arm/setjmp.S: Add ARMv6-M implementation.

2009-05-13  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/locale.c (setlocale): Don't build on Cygwin.

2009-05-11  Craig Howland <howland@LGSInnovations.com>

	* libm/machine/i386/f_llrint.c: Remove llrint() definition.
	* libm/machine/i386/f_llrintf.c: Remove llrintf() definition.

2009-05-08  Nick Clifton  <nickc@redhat.com>

	* MAINTAINERS: Add myself as a maintainer for the MN10300 and to
	the write-after-approval list.

2009-04-30  Anthony Green  <green@moxielogic.com>

	* MAINTAINERS: Add myself as moxie maintainer and to the
	write-after-approval list.

2009-04-30  Eric Blake  <ebb9@byu.net>

	Allow gcc warning for toupper even with extended charsets.
	* libc/include/ctype.h (toupper, tolower)
	[_MB_EXTENDED_CHARSETS_ISO]: Allow gcc warning when called with
	'char' even when we must call the function for correct behavior.
	[!_MB_EXTENDED_CHARSETS_ISO]: Fix regression in result type.

2009-04-24  Jeff johnston  <jjohnstn@redhat.com>

	* libc/stdio/fgetc.c: Make sure sfp lock is acquired before the
	file lock and released before the file lock to avoid a deadlock
	scenario.
	* libc/stdio/fgets.c: Ditto.
	* libc/stdio/fgetwc.c: Ditto.
	* libc/stdio/fgetws.c: Ditto.
	* libc/stdio/fread.c: Ditto.
	* libc/stdio/fseek.c: Ditto.
	* libc/stdio/getc.c: Ditto.
	* libc/stdio/getdelim.c: Ditto.
	* libc/stdio/gets.c: Ditto.

2009-04-24  Jeff johnston  <jjohnstn@redhat.com>

	* configure.in: Add configuration test for long double equals dbl
	and set flag _LDBL_EQ_DBL if true.
	* configure: Regenerated.
	* newlib.hin: Add _LDBL_EQ_DBL flag.
	* libc/include/math.h: Use _LDBL_EQ_DBL flag instead of
	_HAVE_LDBL_MATH.
	* libc/include/stdlib.h: Use _LDBL_EQ_DBL flag instead of
	_HAVE_LDBL_STDLIB.
	* libc/common/local.h: Remove _LDBL_EQ_DBL flag setting.
	* libc/stdlib/local.h: Ditto.

2009-04-24  Joseph Myers  <joseph@codesourcery.com>

	* libc/include/stdint.h (UINTPTR_MAX): Define to __UINTPTR_MAX__
	if __UINTPTR_MAX__ defined.

2009-04-24  Eric Blake  <ebb9@byu.net>

	Be namespace clean in ctype.h.
	* libc/include/ctype.h (_tolower, _toupper, isalpha, isupper)
	(islower, isdigit, isxdigit, isspace, ispunct, isalnum)
	(isprint, isgraph, iscntrl, isblank, toupper, tolower)
	(isascii, toascii): Don't use 'c' as macro parameter name.

	Trigger gcc warning if isFoo macros are called with plain char.
	* libc/include/ctype.h (isalpha, isupper, islower, isdigit)
	(isxdigit, isspace, ispunct, isalnum, isprint, isgraph)
	(iscntrl, isblank, toupper, tolower): Rewrite to let 'gcc -Wall'
	warn when user calls macro with a char argument.

2009-04-23  Mike Burgess  <wizardsguild@earthlink.net>

	* libc/string/strcasecmp.c: Optimized rewrite.
	* libc/string/strncasecmp.c: Fix description.
	* libc/string/strlwr.c: Avoid passing signed char to tolower.
	* libc/string/strupr.c: Avoid passing signed char to tolower.

2009-04-23  Paul Brook  <paul@codesourcery.com>
	    Kazu Hirata  <kazu@codesourcery.com>

	* libc/stdlib/__atexit.c (__register_exitproc): Use weak reference
	to malloc.  Allocate dynamically only if it is present.
	* libc/stdlib/__call_atexit.c (__call_exitprocs): Use weak
	reference to free.  Call free only if it is present.

2009-04-22 Anthony Green <green@moxielogic.com>

	* configure.host: Add moxie support.
	* libc/machine/configure.in: Add moxie support.
	* libc/machine/configure: Rebuilt.
	* libc/machine/moxie/aclocal.m4: New file.
	* libc/machine/moxie/configure: New file.
	* libc/machine/moxie/configure.in: New file.
	* libc/machine/moxie/Makefile.am: New file.
	* libc/machine/moxie/Makefile.in: New file.
	* libc/machine/moxie/setjmp.S: New file.
	* libc/include/machine/setjmp.h (_JBLEN): Define for moxie.
	* libc/include/machine/ieeefp.h: Add moxie support.

2009-04-22  Kazu Hirata  <kazu@codesourcery.com>

	* libc/stdio/local.h (__chclass, __state_table, __action_table):
	Add extern to the declarations.
	* libc/stdlib/local.h (__iso_8859_conv, __cp_conv): Likewise.

2009-04-21  Corinna Vinschen  <corinna@vinschen.de>

	* libc/ctype/ctype_.c (_CTYPE_DATA_128_255): Rename from
	_CTYPE_DATA_128_256.
	* libc/ctype/ctype_cp.h: Split off all character class values for
	character 255 from the rest of the definitions.
	(__ctype_cp): Use the new definitions.  Make sure that the table
	always contains 0 for EOF (-1).
	* libc/ctype/ctype_iso.h: Ditto.

2009-04-21  Sandra Loosemore  <sandra@codesourcery.com>

	* libc/reent/impure.c (__sf_fake_stdin, __sf_fake_stdout)
	(__sf_fake_stderr): Declare locally with weak attribute.

2009-04-21  Mark Mitchell  <mark@codesourcery.com>

	* libc/include/_ansi.h: Move C++ defines to top of file.
	(_NOTHROW): New macro.
	(_EXFUN_NOTHROW): Likewise.
	* libc/include/stdlib.h (calloc): Declare with _EXFUN_NOTHROW.
	(free): Likewise.
	(malloc): Likewise.
	(realloc): Likewise.
	(_malloc_r): Likewise.
	(_callor_r): Likewise.
	(_free_r): Likewise.
	(_realloc_r): Likewise.

2009-04-20  Jeff johnston  <jjohnstn@redhat.com>

	* libc/include/math.h: Change _LDBL_EQ_DBL flag usage to
	be _HAVE_LDBL_MATH.
	* libc/include/stdlib.h: Change _LDBL_EQ_DBL flag usage to
	be _HAVE_LDBL_STDLIB.

2009-04-17  Jeff johnston  <jjohnstn@redhat.com>

	* libc/include/machine/ieeefp.h (_LDBL_EQ_DBL): Remove.
	* libc/stdlib/local.h (_LDBL_EQ_DBL): Add.
	* libc/stdlib/strtold.c: Include local.h.
	* libc/stdlib/wcstold.c: Likewise.
